2001-12-30 11:48  mortene

	* src/actions/SoAction.cpp:
	
	More verbose warning message on the refcount-is-zero problem.

2001-12-22 12:14  mortene

	* src/misc/SoInput.cpp:
	
	Misc doxygen doc cleanups.

2001-12-21 14:48  pederb

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Fixes very ugly bug in SoMF[Node|Path|Engine]::copyValue().

2001-12-20 19:19  mortene

	* include/Inventor/actions/SoSearchAction.h,
	src/actions/SoSearchAction.cpp:
	
	For SGI / TGS Inventor compatibility, support the
	SoSearchAction::duringSearchAll flag.

2001-12-20 19:07  mortene

	* src/nodes/SoSwitch.cpp:
	
	Better SoSwitch::affectsState() implementation. Kills a couple of
	FIXMEs.

2001-12-20 18:57  mortene

	* src/: nodekits/SoNodeKitListPart.cpp, nodekits/SoSceneKit.cpp,
	nodes/SoNode.cpp, nodes/SoShape.cpp, nodes/SoSwitch.cpp:
	
	Misc Doxygen fixes.

2001-12-20 18:18  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Improved doc on copyContents().

2001-12-20 18:16  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Reverted patch with missing log entry.

2001-12-20 17:58  mortene

	* src/: caches/SoNormalCache.cpp, engines/SoEngine.cpp,
	fields/SoField.cpp, fields/SoFieldContainer.cpp,
	manips/SoClipPlaneManip.cpp, manips/SoDirectionalLightManip.cpp,
	manips/SoPointLightManip.cpp, manips/SoSpotLightManip.cpp,
	manips/SoTransformManip.cpp, nodekits/SoNodeKitListPart.cpp,
	nodes/SoBlinker.cpp, nodes/SoCallback.cpp, nodes/SoNode.cpp,
	nodes/SoPendulum.cpp, nodes/SoShuttle.cpp, nodes/SoWWWInline.cpp:
	
	Misc Doxygen doc fixes.

2001-12-20 12:51  mortene

	* src/nodes/: SoFontStyle.cpp, SoIndexedNurbsCurve.cpp,
	SoIndexedNurbsSurface.cpp, SoIndexedTriangleStripSet.cpp,
	SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Improves Doxygen doc.

2001-12-20 08:36  mortene

	* src/: draggers/SoDragger.cpp, nodekits/SoBaseKit.cpp:
	
	Misc doxygen doc improvements.

2001-12-19 17:28  mortene

	* src/nodes/SoSwitch.cpp:
	
	FIXME about latent bug.

2001-12-19 13:03  larsa

	* docs/todo.txt:
	
	added idea on making Coin ROM-safe - didn't find any better place
	to put it

2001-12-19 11:23  mortene

	* src/: draggers/SoCenterballDragger.cpp, draggers/SoDragger.cpp,
	nodekits/SoBaseKit.cpp:
	
	Doxygen doc.

2001-12-19 10:34  kintel

	* include/Inventor/nodes/SoIndexedTriangleStripSet.h:
	
	Added missing SO_END_STRIP_INDEX

2001-12-18 21:32  mortene

	* Makefile.am, include/Inventor/Makefile.am,
	include/Inventor/system/Makefile.am:
	
	Adds dependencies from SbBasic.h and inttypes.h to config.status.

2001-12-18 14:40  pederb

	* src/misc/SoGLImage.cpp:
	
	Fixes compiler warnings.

2001-12-18 13:57  mortene

	* THANKS:
	
	Adds Daniel Hams for helping us find problems with SoGtk on top of
	SGI Inventor.

2001-12-18 13:38  mortene

	* configure.in:
	
	Corrects invocation of SIM_AC_CHECK_NPRINTF.

2001-12-18 13:35  mortene

	* configure.in:
	
	Be consistent with the arguments to AC_DEFINE. Thanks to Steve M
	Robbins.

2001-12-18 13:27  mortene

	* src/actions/SoAction.cpp:
	
	Rename debug define to not clash with COIN_DEBUG when doing
	automated src checks.

2001-12-18 13:26  mortene

	* src/: base/SbBSPTree.cpp, misc/SoType.cpp:
	
	Use #if when checking COIN_DEBUG, not #ifdef.

2001-12-18 12:13  mortene

	* include/Inventor/C/base/time.h, src/base/SbTime.cpp,
	src/base/time.c:
	
	Port of C++ SbTime::getTimeOfDay() to C cc_time_gettimeofday().

2001-12-18 11:26  mortene

	* src/actions/SoGLRenderAction.cpp,
	models/dead_simple/multiplecopy.iv:
	
	Reverses erroneously applied patch.

2001-12-18 11:24  mortene

	* models/dead_simple/multiplecopy.iv,
	src/actions/SoGLRenderAction.cpp, src/nodes/SoMultipleCopy.cpp:
	
	FIXME about buggy bounding box calculation.

2001-12-18 11:20  mortene

	* models/dead_simple/: array.iv, multiplecopy.iv:
	
	Change header to Inventor 2.1.	Adds material and materialbinding
	test.

2001-12-18 11:11  mortene

	* src/nodes/: SoArray.cpp, SoMultipleCopy.cpp:
	
	Class documentation.

2001-12-18 10:54  mortene

	* docs/misc-resources.txt:
	
	Link to ODE, thanks to larsivi.

2001-12-17 17:34  pederb

	* src/manips/SoTransformManip.cpp:
	
	Bugfix in transferFieldValues().

2001-12-17 17:18  pederb

	* src/draggers/SoTransformBoxDragger.cpp:
	
	AntiSquish handling fix.

2001-12-17 17:13  pederb

	* src/draggers/SoHandleBoxDragger.cpp:
	
	Handle SurroundScale node correctly.

2001-12-17 16:45  pederb

	* src/draggers/SoTransformerDragger.cpp:
	
	Check if surroundScale is set before considering contribution.

2001-12-17 16:43  pederb

	* src/draggers/SoJackDragger.cpp:
	
	Bugfixed SurroundScale and AntiSquish handling.

2001-12-17 16:40  pederb

	* src/nodes/SoAntiSquish.cpp:
	
	Changed node so that the unsquishing is done with a multiplication,
	not by setting a new matrix.

2001-12-17 12:04  mortene

	* docs/misc-resources.txt:
	
	Adds URL to VRML models search-engine.

2001-12-17 11:49  larsa

	* docs/misc-resources.txt:
	
	added link to the Debian Linux build logs for Coin

2001-12-17 11:10  mortene

	* src/nodes/SoAnnotation.cpp:
	
	Class documentation.

2001-12-17 10:58  pederb

	* THANKS:
	
	Added Arne Sletteng.

2001-12-16 14:46  larsa

	* THANKS:
	
	Added Falk Hueffner

2001-12-16 11:16  mortene

	* src/base/SbMatrix.cpp:
	
	Kill doc FIXME.

2001-12-14 14:15  larsa

	* ChangeLog.1999, ChangeLog.2000, docs/ChangeLog.1999,
	docs/ChangeLog.2000:
	
	move to docs/

2001-12-14 14:14  larsa

	* src/tidbits.h:
	
	extra includes to ensure size_t type declaration

2001-12-14 11:39  larsa

	* src/misc/SoOffscreenRenderer.cpp:
	
	use #ifdef instead of #if on HAVE_CONFIG_H define

2001-12-13 16:05  pederb

	* src/draggers/SoTrackballDragger.cpp:
	
	Bugfix to make the dragger handle SurroundScale correctly.

2001-12-13 16:01  pederb

	* src/projectors/SbCylinderPlaneProjector.cpp:
	
	getRotation() bugfix for the case when both points are off the
	cylinder.

2001-12-13 15:08  pederb

	* src/draggers/SoTransformerDragger.cpp:
	
	Handle surroundScale node correctly.

2001-12-13 15:00  pederb

	* src/draggers/SoDragger.cpp:
	
	Use SoTempPath instead of SoPath in dragger cache. The cache is
	only valid during interaction anyway so there is no need to do
	auditing and reference counting.

2001-12-13 14:10  pederb

	* src/draggers/SoDragger.cpp:
	
	Fix for recently introduced bug. Simplified and fixed
	transferMotion().

2001-12-13 13:31  pederb

	* src/draggers/SoDragger.cpp:
	
	Fixed ugly bug in createPathToThis(). Fixed createPathToPart() to
	work also with scene graphs with SoSurroundScale nodes. Fixed
	appendRotation() to handle rotations correctly, even when
	converting from another coordinate system. Thanks to Chris Scharver
	for the bugreport.

2001-12-12 12:53  mortene

	* src/misc/SoPrimitiveVertex.cpp:
	
	Documents class.

2001-12-11 20:47  mortene

	* THANKS:
	
	Adds Michael Wright for fixing SoWin to compile with MSVC 5.

2001-12-10 16:16  mortene

	* docs/misc-resources.txt:
	
	Adds a link to the "Distributed Open Inventor" project at the
	Vienna University of Technology.

2001-12-10 15:09  mortene

	* configure.in:
	
	Do proper checking for Win32 threads and POSIX threads. Bootstrap.

2001-12-10 14:56  pederb

	* include/Inventor/threads/SbRWMutex.h, src/threads/rwmutex.c:
	
	Robustified code.

2001-12-10 14:55  pederb

	* include/Inventor/threads/SbMutex.h:
	
	Be compatible with TGS' mutex class.

2001-12-10 14:38  pederb

	* src/threads/: mutex.c, thread.c:
	
	Win32 compile fixes.

2001-12-10 14:22  mortene

	* src/nodes/SoFile.cpp:
	
	Use \since keyword for new API functionality.

2001-12-10 13:54  mortene

	* src/base/SbTime.cpp:
	
	Fix a typo causing low-frequency timer events on MSWin. Found and
	fixed by PC John.

2001-12-10 13:31  pederb

	* src/threads/barrier.c:
	
	Minor code cleanup.

2001-12-10 13:26  pederb

	* include/Inventor/threads/SbThread.h, src/threads/thread.c:
	
	More robust error handling and code cleanup.

2001-12-10 12:39  pederb

	* include/Inventor/threads/SbMutex.h, src/threads/mutex.c:
	
	More robust error handling and code cleanup.

2001-12-10 12:38  mortene

	* src/fields/SoSFImage.cpp:
	
	Improve doc on setValue().

2001-12-10 11:26  pederb

	* include/Inventor/threads/SbCondVar.h, src/threads/condvar.c:
	
	More robust error handling and code cleanup.

2001-12-09 12:37  mortene

	* src/: draggers/SoTranslate1Dragger.cpp,
	draggers/SoTranslate2Dragger.cpp, manips/SoTransformerManip.cpp:
	
	Doxygen documentation.

2001-12-08 21:02  mortene

	* include/Inventor/SbBasic.h.in:
	
	FIXME about missing configure test.

2001-12-08 20:49  mortene

	* src/: draggers/SoTransformerDragger.cpp,
	manips/SoTransformerManip.cpp:
	
	Class documentation.

2001-12-07 15:42  mortene

	* Makefile.am:
	
	Misc minor fixes. Bootstrap.

2001-12-07 15:30  mortene

	* cfg/doxy4win.pl:
	
	Moved to conf-macros module.

2001-12-07 12:14  pederb

	* src/elements/SoGLPolygonOffsetElement.cpp:
	
	SGI CC compile fix. Thanks to Chris Scharver for the fix.

2001-12-07 12:06  pederb

	* src/misc/GLWrapper.cpp:
	
	Include SoDebugError.h even when COIN_DEBUG is not defined. This is
	needed because of the (quite silly, IMO) way of testing for
	COIN_DEBUG we have introduced :)

2001-12-06 22:29  kintel

	* models/oiv_compliance/texture2transform.iv:
	
	Fixed texture bug and cleaned up

2001-12-06 21:36  mortene

	* THANKS:
	
	A couple of additions.

2001-12-06 18:53  mortene

	* src/misc/GLWrapper.cpp:
	
	Turn off the obtrusive debug message.

2001-12-06 11:18  kintel

	* models/oiv_compliance/texture2.iv:
	
	Fixed buggy texture image

2001-12-06 00:07  kintel

	* src/nodes/SoTexture3.cpp:
	
	Forgot to initialize wrapR

2001-12-05 18:38  mortene

	* docs/api-wish-list.txt:
	
	SoField::setValidator(SoValidator *)

2001-12-05 16:53  mortene

	* models/bugs/20011205-multiplecopy-bbox.iv:
	
	Notify about a bug with bbox calculation for SoMultipleCopy.

2001-12-05 16:53  pederb

	* include/Inventor/system/gl.h:
	
	Add support for GL_TEXTURE_3D define.

2001-12-05 16:50  pederb

	* include/Inventor/system/gl.h:
	
	Add support for GL_TEXTURE_WRAP_R

2001-12-05 16:46  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Use glw->glTexImage3D, not glTexImage3D directly.

2001-12-05 16:40  pederb

	* src/misc/: GLWrapper.cpp, GLWrapper.h:
	
	Win32 compile fixes.

2001-12-05 15:46  kintel

	* src/elements/SoTextureCoordinateElement.cpp:
	
	doc fixes

2001-12-05 15:39  kintel

	* include/Inventor/actions/SoCallbackAction.h,
	src/actions/SoCallbackAction.cpp:
	
	Added support for getting 3D texture coordinates, R wrap and image

2001-12-05 15:35  kintel

	* src/nodes/SoVertexProperty.cpp:
	
	Compile fix

2001-12-05 15:32  kintel

	* include/Inventor/nodes/SoVertexProperty.h,
	src/nodes/SoVertexProperty.cpp:
	
	Added support for 3D texture coordinates

2001-12-05 15:18  kintel

	* src/nodes/SoSwitch.cpp:
	
	Fixed small error in debug output

2001-12-05 12:13  larsa

	* INSTALL:
	
	remove obsolete information

2001-12-05 11:57  larsa

	* docs/todo.txt:
	
	item: Mac OS X framework

2001-12-05 11:30  pederb

	* src/misc/SoGLImage.cpp:
	
	Use SoGLTextureImageElement::isTextureSizeLegal() instead of
	maxGLTextureSize().

2001-12-05 11:27  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	true -> TRUE, false -> FALSE.

2001-12-05 11:13  pederb

	* include/Inventor/nodes/SoFile.h, src/nodes/SoFile.cpp:
	
	Moved readNamedFile() from private to protected space to enable
	subclasses to detect when the file is (re)read.

2001-12-05 11:04  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Support the 3D version of setData().

2001-12-05 10:14  kintel

	* include/Inventor/actions/SoCallbackAction.h:
	
	FIXME: Support getTextureFilename[s]()

2001-12-04 23:58  kintel

	* src/nodes/: SoCamera.cpp, SoExtSelection.cpp:
	
	Compile fix

2001-12-04 23:45  kintel

	* src/nodes/SoAsciiText.cpp:
	
	Reverted changes due to a bug

2001-12-04 23:38  kintel

	* include/Inventor/nodes/SoShape.h, src/nodes/SoShape.cpp,
	src/nodes/SoAsciiText.cpp:
	
	Added support for 3D texture coordinates

2001-12-04 22:08  kintel

	* src/nodes/: SoCamera.cpp, SoExtSelection.cpp:
	
	Disable 3D textures as well

2001-12-04 22:06  kintel

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Removed unneeded include

2001-12-04 22:01  kintel

	* include/Inventor/nodes/SoTexture3.h, src/nodes/SoTexture3.cpp:
	
	Initial add. Not added to build system yet.

2001-12-04 21:59  kintel

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	3D texture awareness. The R and Q texture coordinates are not
	generated but set to 0.0 and 1.0 respectively

2001-12-04 21:57  kintel

	* include/Inventor/bundles/SoTextureCoordinateBundle.h:
	
	minor cleanup

2001-12-04 17:35  larsa

	* HACKING:
	
	guideline on backporting virtualism from Coin to Coin-1

2001-12-04 17:26  larsa

	* FAQ:
	
	Question about init() assert

2001-12-04 17:08  kintel

	* include/Inventor/elements/SoGLTextureImageElement.h,
	src/elements/SoGLTextureImageElement.cpp:
	
	Added isTextureSizeLegal()

2001-12-04 17:06  kintel

	* src/misc/: GLWrapper.cpp, GLWrapper.h:
	
	Moved enums to implementation file, glTexSubImage supported by
	static binding, added GL_PROXY_TEXTURE_2D

2001-12-04 15:55  kintel

	* src/elements/SoTextureImageElement.cpp:
	
	Updated since tags in doc

2001-12-04 15:39  kintel

	* include/Inventor/elements/SoTextureImageElement.h,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoTextureImageElement.cpp:
	
	Added support for 3D textures

2001-12-04 12:27  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Improves documentation for addPreRenderCallback.

2001-12-04 10:41  pederb

	* src/threads/mutex.c:
	
	Removed unused variable.

2001-12-04 10:37  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp:
	
	Added stub implementation for 3D setData() function.

2001-12-04 10:36  pederb

	* src/misc/SoGLImage.cpp:
	
	Fixed meaningless cast.

2001-12-04 10:31  pederb

	* src/misc/SoGLImage.cpp:
	
	Fixed recently introduced checkTransparency bug.

2001-12-04 10:29  pederb

	* src/tidbits.c:
	
	Fixed assert statement.

2001-12-04 09:54  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/GLUWrapper.c,
	src/misc/GLUWrapper.h, src/misc/SoGLImage.cpp,
	src/misc/simage_wrapper.c, src/misc/simage_wrapper.h:
	
	Support for 3D GL textures. By kintel.

2001-12-03 18:19  pederb

	* src/base/SbVec2s.cpp:
	
	Fixed bug in operator -=.

2001-12-03 16:29  kintel

	* src/elements/SoElement.cpp:
	
	Reverted last change

2001-12-03 10:58  mortene

	* HACKING:
	
	Guidelines for writing Doxygen documentation.

2001-12-03 10:56  mortene

	* src/tidbits.c:
	
	Fix coin_strncasecmp() to be case _ignorant_.

2001-12-01 17:03  pederb

	* src/misc/SoGLImage.cpp:
	
	Increase default max age on GL textures.

2001-12-01 17:03  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Optimize subimage copy/resize functions.

2001-12-01 16:19  kintel

	* src/nodes/SoMarkerSet.cpp:
	
	true/false -> TRUE/FALSE

2001-12-01 16:18  kintel

	* src/elements/SoGLTextureEnabledElement.cpp:
	
	doc: Added 3D cross-reference

2001-12-01 16:16  kintel

	* src/elements/SoElement.cpp:
	
	init SoGLCacheContextElement first

2001-12-01 16:14  kintel

	* src/elements/SoGLDisplayList.cpp:
	
	Bugfix: forgot to wrap a GL call

2001-12-01 16:13  kintel

	* docs/GLWrapper.txt:
	
	Rewrite

2001-12-01 13:05  mortene

	* HACKING:
	
	Make the "don't leave commented out code" issue even more
	impossible to fail to understand.
	
	Number the codestyle issues for future easy referencing.
	
	Make a new subsection for information about debugging that can be
	done for the run-time environment, and mention the
	COIN_RENDER_CACHING env variable.

2001-12-01 12:02  mortene

	* src/manips/: SoCenterballManip.cpp, SoJackManip.cpp,
	SoTransformManip.cpp:
	
	Completes doc for SoCenterballManip and SoJackManip.

2001-11-30 16:15  kintel

	* src/misc/: GLWrapper.cpp, GLWrapper.h:
	
	Added glTexSubImage2D

2001-11-30 14:38  larsa

	* include/Inventor/C/base/string.h, src/base/string.c:
	
	additional memory management accessors for avoiding Windows libc
	troubles

2001-11-30 13:33  mortene

	* THANKS, src/caches/SoGLCacheList.cpp, src/misc/SoGLImage.cpp,
	src/nodes/SoExtSelection.cpp:
	
	Make function implementation signatures consistent with the header
	declarations.
	
	Patch by Joerg Baumann.

2001-11-30 12:56  pederb

	* src/nodes/SoTexture2.cpp:
	
	Enable SoGLTexture3Element for SoGLRenderAction.

2001-11-30 12:34  larsa

	* bootstrap:
	
	don't produce the configure.in.orig file during patching

2001-11-30 12:06  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Try to reduce the texture memory used.

2001-11-30 12:03  larsa

	* docs/header:
	
	keep the header block around

2001-11-30 11:35  mortene

	* docs/coin.doxygen.in, src/base/SbString.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoJackManip.cpp,
	src/misc/SoDB.cpp, src/misc/SoLockManager.cpp,
	src/nodes/SoColorIndex.cpp:
	
	Documentation.

2001-11-30 10:03  pederb

	* docs/todo.txt:
	
	Elaborate on texture handling.

2001-11-30 09:30  mortene

	* src/: draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp, manips/SoHandleBoxManip.cpp,
	manips/SoTrackballManip.cpp, manips/SoTransformBoxManip.cpp:
	
	Documents SoTransformBoxDragger and SoTransformBoxManip. Misc other
	doc fixes.

2001-11-29 23:34  mortene

	* HACKING:
	
	Mention the bool vs SbBool portability issue, as requested by
	kintel.

2001-11-29 18:04  mortene

	* src/base/string.c:
	
	Use GPL header, not LGPL.

2001-11-29 14:42  mortene

	* src/: misc/GLUWrapper.c, misc/GLUWrapper.h, misc/SoGLImage.cpp,
	nodes/SoImage.cpp:
	
	Better expression of intent with the paranoid measures in
	GLUWrapper.

2001-11-29 13:49  mortene

	* src/: Make-Common.tpl, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, details/Makefile.am,
	draggers/Makefile.am, elements/Makefile.am, engines/Makefile.am,
	errors/Makefile.am, events/Makefile.am, fields/Makefile.am,
	lists/Makefile.am, manips/Makefile.am, misc/Makefile.am,
	nodekits/Makefile.am, nodes/Makefile.am, projectors/Makefile.am,
	sensors/Makefile.am, threads/Makefile.am, vrml97/Makefile.am:
	
	Removes obsoleted references to threads-module under
	src/extensions/ (it has now been integrated in the build properly).

2001-11-29 12:31  larsa

	* docs/todo.txt:
	
	dynamic loading of extension nodes

2001-11-29 12:17  mortene

	* docs/todo.txt:
	
	Elaborate on the .dsp-generation item.

2001-11-29 11:45  mortene

	* FAQ:
	
	Q&A about MSVC++ project files. By larsa.

2001-11-29 11:41  mortene

	* src/: draggers/SoTrackballDragger.cpp,
	manips/SoTrackballManip.cpp, manips/SoTransformManip.cpp,
	manips/SoTransformerManip.cpp:
	
	Documents SoTrackballDragger and SoTrackballManip. Misc other minor
	doc fixes.

2001-11-29 10:51  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Handle subimages with size != 2^n

2001-11-29 10:50  pederb

	* src/misc/SoGLImage.cpp:
	
	Fix typo in comment.

2001-11-28 17:09  mortene

	* src/sensors/SoSensorManager.cpp:
	
	Some class doc.

2001-11-28 16:00  kintel

	* build/coin.spec.in, docs/coin.doxygen.in,
	include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	src/nodes/Makefile.am, src/nodes/SoNode.cpp,
	src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/all.cpp:
	
	Added SoTexture3Transform

2001-11-28 15:49  pederb

	* docs/todo.txt:
	
	Additional comments on the bounding box rendering item.

2001-11-28 15:18  mortene

	* docs/todo.txt:
	
	The auto-generation of MSVC++ project files.

2001-11-28 15:18  pederb

	* include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h, src/misc/Makefile.am:
	
	Install SoGLImage.h and SoGLBigImage.h. Bootstrap.

2001-11-28 15:15  mortene

	* docs/todo.txt:
	
	Font specification should be re-designed.

2001-11-28 15:15  mortene

	* docs/todo.txt:
	
	Add request for a "Coin2" design summit.

2001-11-28 14:50  mortene

	* docs/todo.txt:
	
	Adds a new item: make a new design for texture-related
	functionality before Coin v2, to compensate for the flaws and
	missing features of the SoTexture2 et al stuff.

2001-11-28 14:49  mortene

	* docs/todo.txt:
	
	Elaborate a little on the "file versioning item".

2001-11-28 14:01  mortene

	* docs/todo.txt:
	
	A new item for the file versioning mess.

2001-11-28 10:00  mortene

	* src/misc/SoDB.cpp:
	
	Inserts a loud reference to and recommendation of The Inventor
	Mentor book.

2001-11-28 09:58  larsa

	* NEWS:
	
	correction of Coin/ to Inventor/C/

2001-11-28 08:03  mortene

	* src/details/: SoConeDetail.cpp, SoCubeDetail.cpp,
	SoCylinderDetail.cpp, SoTextDetail.cpp:
	
	Documents SoTextDetail. Misc doc for other detail classes.

2001-11-28 07:42  mortene

	* src/manips/SoTabBoxManip.cpp:
	
	Documents class.

2001-11-27 23:42  kintel

	* include/Inventor/nodes/SoTextureCoordinate3.h,
	src/nodes/SoTextureCoordinate3.cpp:
	
	Added SoTextureCoordinate3

2001-11-27 23:26  kintel

	* build/coin.spec.in, docs/coin.doxygen.in,
	include/Inventor/nodes/SoNodes.h, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp, src/nodes/all.cpp:
	
	Added SoTextureCoordinate3

2001-11-27 16:55  kintel

	* docs/coin.doxygen.in:
	
	Added SoSFImage3

2001-11-27 16:52  kintel

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLDisplayList.cpp:
	
	Added support for 3D textures

2001-11-27 16:49  kintel

	* src/elements/SoGLTexture3EnabledElement.cpp:
	
	Now uses SoGLRenderAction to get context id for GLWrapper

2001-11-27 16:48  kintel

	* src/misc/GLWrapper.h:
	
	Added GLWRAPPER_FROM_STATE

2001-11-27 13:58  pederb

	* docs/optimization.txt:
	
	Deleted obsoleted item.

2001-11-27 13:29  larsa

	* FAQ:
	
	tweaks suggested by Morten

2001-11-27 13:16  larsa

	* FAQ:
	
	added q&a about volume rendering and vrml97

2001-11-27 11:06  mortene

	* docs/todo.txt:
	
	Elaborate on the "profile timer" item.

2001-11-27 10:57  mortene

	* src/caches/SoBoundingBoxCache.cpp:
	
	Improves doc on setHasLinesOrPoints() further.

2001-11-27 10:28  mortene

	* docs/todo.txt:
	
	Item about the clipping problem with anti-aliased points and lines,
	and a hint about how to solve it.

2001-11-27 10:27  mortene

	* src/caches/SoBoundingBoxCache.cpp:
	
	Improves doc on setHasLinesOrPoints().

2001-11-27 08:27  mortene

	* docs/todo.txt:
	
	Item about a "stopwatch" ADT for "inline", on-the-fly profiling
	operations.

2001-11-27 07:05  mortene

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Documents class. Stubs missing function getXYScreenLengths().

2001-11-27 05:40  mortene

	* docs/misc-resources.txt:
	
	Mention GLAF with the OpenGL extensions checking.

2001-11-27 05:39  mortene

	* configure.in:
	
	Test for pthreads availability before adding it to the build setup.

2001-11-26 23:07  kintel

	* src/elements/SoGLTextureCoordinateElement.cpp:
	
	Added support for 3D texture coordinates

2001-11-26 23:01  kintel

	* include/Inventor/elements/SoTextureCoordinateElement.h,
	src/elements/SoTextureCoordinateElement.cpp:
	
	Added support for 3D texture coordinates

2001-11-26 22:56  kintel

	* include/Inventor/SoPrimitiveVertex.h,
	src/misc/SoPrimitiveVertex.cpp:
	
	Added support for 3D texture coordinates

2001-11-26 22:55  kintel

	* src/: draggers/SoDragger.cpp, nodes/SoCallback.cpp,
	nodes/SoMarkerSet.cpp, nodes/SoWWWInline.cpp:
	
	Added SoGLTexture3EnabledElement

2001-11-26 20:45  kintel

	* src/elements/SoGLTexture3EnabledElement.cpp:
	
	Disables GL calls in init() while fixing a bug somewhere else

2001-11-26 18:34  kintel

	* src/elements/SoGLTexture3EnabledElement.cpp:
	
	Re-enabled SoShapeStyleElement

2001-11-26 18:34  kintel

	* include/Inventor/elements/SoShapeStyleElement.h,
	src/elements/SoShapeStyleElement.cpp:
	
	Added setTexture3Enabled()

2001-11-26 17:05  pederb

	* include/Inventor/elements/SoGLTexture3EnabledElement.h,
	src/elements/SoGLTexture3EnabledElement.cpp:
	
	Compile fixes.

2001-11-26 16:46  kintel

	* include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	src/elements/Makefile.am, src/elements/SoElement.cpp,
	src/elements/SoGLTexture3EnabledElement.cpp, src/elements/all.cpp,
	build/coin.spec.in:
	
	Added SoGLTexture3EnabledElement

2001-11-26 16:40  kintel

	* build/coin.spec.in:
	
	Added SoSFImage3

2001-11-26 16:27  kintel

	* src/misc/GLWrapper.h:
	
	Minor cleanup

2001-11-26 16:27  kintel

	* src/misc/GLWrapper.cpp:
	
	Debug output

2001-11-26 15:29  larsa

	* src/base/string.c:
	
	compile fixes

2001-11-26 14:27  larsa

	* include/Inventor/: elements/SoAccumulatedElement.h,
	elements/SoAmbientColorElement.h,
	elements/SoAnnoText3CharOrientElement.h,
	elements/SoAnnoText3FontSizeHintElement.h,
	elements/SoAnnoText3RenderPrintElement.h,
	elements/SoBBoxModelMatrixElement.h, elements/SoCacheElement.h,
	elements/SoClipPlaneElement.h, elements/SoComplexityElement.h,
	elements/SoComplexityTypeElement.h, elements/SoCoordinateElement.h,
	elements/SoCreaseAngleElement.h, elements/SoCullElement.h,
	elements/SoDecimationPercentageElement.h,
	elements/SoDecimationTypeElement.h,
	elements/SoDiffuseColorElement.h, elements/SoDrawStyleElement.h,
	elements/SoElement.h, elements/SoElements.h,
	elements/SoEmissiveColorElement.h, elements/SoEnvironmentElement.h,
	elements/SoFloatElement.h, elements/SoFocalDistanceElement.h,
	elements/SoFontNameElement.h, elements/SoFontSizeElement.h,
	elements/SoGLAmbientColorElement.h,
	elements/SoGLCacheContextElement.h,
	elements/SoGLClipPlaneElement.h, elements/SoGLColorIndexElement.h,
	elements/SoGLCoordinateElement.h,
	elements/SoGLDiffuseColorElement.h,
	elements/SoGLDrawStyleElement.h,
	elements/SoGLEmissiveColorElement.h,
	elements/SoGLEnvironmentElement.h, elements/SoGLLazyElement.h,
	elements/SoGLLightIdElement.h, elements/SoGLLightModelElement.h,
	elements/SoGLLinePatternElement.h, elements/SoGLLineWidthElement.h,
	elements/SoGLModelMatrixElement.h, elements/SoGLNormalElement.h,
	elements/SoGLNormalizeElement.h, elements/SoGLPointSizeElement.h,
	elements/SoGLPolygonOffsetElement.h,
	elements/SoGLPolygonStippleElement.h,
	elements/SoGLProjectionMatrixElement.h,
	elements/SoGLRenderPassElement.h, elements/SoGLShadeModelElement.h,
	elements/SoGLShapeHintsElement.h, elements/SoGLShininessElement.h,
	elements/SoGLSpecularColorElement.h,
	elements/SoGLTextureCoordinateElement.h,
	elements/SoGLTextureEnabledElement.h,
	elements/SoGLTextureImageElement.h,
	elements/SoGLTextureMatrixElement.h,
	elements/SoGLUpdateAreaElement.h,
	elements/SoGLViewingMatrixElement.h,
	elements/SoGLViewportRegionElement.h, elements/SoInt32Element.h,
	elements/SoLazyElement.h, elements/SoLightAttenuationElement.h,
	elements/SoLightElement.h, elements/SoLightModelElement.h,
	elements/SoLinePatternElement.h, elements/SoLineWidthElement.h,
	elements/SoLocalBBoxMatrixElement.h,
	elements/SoMaterialBindingElement.h,
	elements/SoModelMatrixElement.h, elements/SoNormalBindingElement.h,
	elements/SoNormalElement.h, elements/SoOverrideElement.h,
	elements/SoPickRayElement.h, elements/SoPickStyleElement.h,
	elements/SoPointSizeElement.h, elements/SoPolygonOffsetElement.h,
	elements/SoProfileCoordinateElement.h, elements/SoProfileElement.h,
	elements/SoProjectionMatrixElement.h, elements/SoReplacedElement.h,
	elements/SoShapeHintsElement.h, elements/SoShapeStyleElement.h,
	elements/SoShininessElement.h, elements/SoSpecularColorElement.h,
	elements/SoSubElement.h, elements/SoSwitchElement.h,
	elements/SoTextOutlineEnabledElement.h,
	elements/SoTextureCoordinateBindingElement.h,
	elements/SoTextureCoordinateElement.h,
	elements/SoTextureImageElement.h,
	elements/SoTextureMatrixElement.h,
	elements/SoTextureOverrideElement.h,
	elements/SoTextureQualityElement.h,
	elements/SoTextureScalePolicyElement.h,
	elements/SoTransparencyElement.h, elements/SoUnitsElement.h,
	elements/SoViewVolumeElement.h, elements/SoViewingMatrixElement.h,
	elements/SoViewportRegionElement.h, elements/SoWindowElement.h,
	fields/SoField.h, fields/SoFieldContainer.h, fields/SoFieldData.h,
	fields/SoFields.h, fields/SoGlobalField.h, fields/SoMFBitMask.h,
	fields/SoMFBool.h, fields/SoMFColor.h, fields/SoMFEngine.h,
	fields/SoMFEnum.h, fields/SoMFFloat.h, fields/SoMFInt32.h,
	fields/SoMFMatrix.h, fields/SoMFName.h, fields/SoMFNode.h,
	fields/SoMFPath.h, fields/SoMFPlane.h, fields/SoMFRotation.h,
	fields/SoMFShort.h, fields/SoMFString.h, fields/SoMFTime.h,
	fields/SoMFUInt32.h, fields/SoMFULong.h, fields/SoMFUShort.h,
	fields/SoMFVec2f.h, fields/SoMFVec3f.h, fields/SoMFVec4f.h,
	fields/SoMField.h, fields/SoSFBitMask.h, fields/SoSFBool.h,
	fields/SoSFColor.h, fields/SoSFEnum.h, fields/SoSFFloat.h,
	fields/SoSFImage.h, fields/SoSFImage3.h, fields/SoSFInt32.h,
	fields/SoSFLong.h, fields/SoSFMatrix.h, fields/SoSFName.h,
	fields/SoSFPath.h, fields/SoSFPlane.h, fields/SoSFRotation.h,
	fields/SoSFShort.h, fields/SoSFString.h, fields/SoSFTime.h,
	fields/SoSFTrigger.h, fields/SoSFUInt32.h, fields/SoSFULong.h,
	fields/SoSFUShort.h, fields/SoSFVec2f.h, fields/SoSFVec3d.h,
	fields/SoSFVec3f.h, fields/SoSFVec4f.h, fields/SoSField.h,
	fields/SoSubField.h, fields/SoSubFieldP.h, lists/SbIntList.h,
	lists/SbList.h, lists/SbPList.h, lists/SbStringList.h,
	lists/SbVec3fList.h, lists/SoActionMethodList.h,
	lists/SoAuditorList.h, lists/SoBaseList.h, lists/SoCallbackList.h,
	lists/SoDetailList.h, lists/SoEnabledElementsList.h,
	lists/SoEngineList.h, lists/SoEngineOutputList.h,
	lists/SoFieldList.h, lists/SoNodeList.h, lists/SoPathList.h,
	lists/SoPickedPointList.h, lists/SoTypeList.h,
	misc/SoAuditorList.h, misc/SoBase.h, misc/SoBasic.h,
	misc/SoByteStream.h, misc/SoCallbackList.h, misc/SoChildList.h,
	misc/SoGL.h, misc/SoGLBigImage.h, misc/SoGLImage.h,
	misc/SoGenerate.h, misc/SoGlyph.h, misc/SoLightPath.h,
	misc/SoNormalGenerator.h, misc/SoNotification.h, misc/SoPick.h,
	misc/SoProto.h, misc/SoProtoInstance.h, misc/SoState.h,
	misc/SoTempPath.h, misc/SoTranReceiver.h, misc/SoTranSender.h,
	misc/SoTranscribe.h, nodes/SoAnnotation.h, nodes/SoAntiSquish.h,
	nodes/SoArray.h, nodes/SoAsciiText.h, nodes/SoBaseColor.h,
	nodes/SoBlinker.h, nodes/SoCallback.h, nodes/SoCamera.h,
	nodes/SoClipPlane.h, nodes/SoColorIndex.h, nodes/SoComplexity.h,
	nodes/SoCone.h, nodes/SoCoordinate3.h, nodes/SoCoordinate4.h,
	nodes/SoCube.h, nodes/SoCylinder.h, nodes/SoDirectionalLight.h,
	nodes/SoDrawStyle.h, nodes/SoEnvironment.h,
	nodes/SoEventCallback.h, nodes/SoExtSelection.h, nodes/SoFaceSet.h,
	nodes/SoFile.h, nodes/SoFont.h, nodes/SoFontStyle.h,
	nodes/SoGroup.h, nodes/SoImage.h, nodes/SoIndexedFaceSet.h,
	nodes/SoIndexedLineSet.h, nodes/SoIndexedNurbsCurve.h,
	nodes/SoIndexedNurbsSurface.h, nodes/SoIndexedShape.h,
	nodes/SoIndexedTriangleStripSet.h, nodes/SoInfo.h, nodes/SoLOD.h,
	nodes/SoLabel.h, nodes/SoLevelOfDetail.h, nodes/SoLight.h,
	nodes/SoLightModel.h, nodes/SoLineSet.h, nodes/SoLinearProfile.h,
	nodes/SoLocateHighlight.h, nodes/SoMarkerSet.h, nodes/SoMaterial.h,
	nodes/SoMaterialBinding.h, nodes/SoMatrixTransform.h,
	nodes/SoMultipleCopy.h, nodes/SoNode.h, nodes/SoNodes.h,
	nodes/SoNonIndexedShape.h, nodes/SoNormal.h,
	nodes/SoNormalBinding.h, nodes/SoNurbsCurve.h,
	nodes/SoNurbsProfile.h, nodes/SoNurbsSurface.h,
	nodes/SoOrthographicCamera.h, nodes/SoPackedColor.h,
	nodes/SoPathSwitch.h, nodes/SoPendulum.h,
	nodes/SoPerspectiveCamera.h, nodes/SoPickStyle.h,
	nodes/SoPointLight.h, nodes/SoPointSet.h, nodes/SoPolygonOffset.h,
	nodes/SoProfile.h, nodes/SoProfileCoordinate2.h,
	nodes/SoProfileCoordinate3.h, nodes/SoQuadMesh.h,
	nodes/SoResetTransform.h, nodes/SoRotation.h,
	nodes/SoRotationXYZ.h, nodes/SoRotor.h, nodes/SoScale.h,
	nodes/SoSelection.h, nodes/SoSeparator.h, nodes/SoShape.h,
	nodes/SoShapeHints.h, nodes/SoShuttle.h, nodes/SoSphere.h,
	nodes/SoSpotLight.h, nodes/SoSubNode.h, nodes/SoSubNodeP.h,
	nodes/SoSurroundScale.h, nodes/SoSwitch.h, nodes/SoText2.h,
	nodes/SoText3.h, nodes/SoTexture2.h, nodes/SoTexture2Transform.h,
	nodes/SoTextureCoordinate2.h, nodes/SoTextureCoordinateBinding.h,
	nodes/SoTextureCoordinateDefault.h,
	nodes/SoTextureCoordinateEnvironment.h,
	nodes/SoTextureCoordinateFunction.h,
	nodes/SoTextureCoordinatePlane.h, nodes/SoTextureScalePolicy.h,
	nodes/SoTransform.h, nodes/SoTransformSeparator.h,
	nodes/SoTransformation.h, nodes/SoTranslation.h,
	nodes/SoTransparencyType.h, nodes/SoTriangleStripSet.h,
	nodes/SoUnits.h, nodes/SoUnknownNode.h, nodes/SoVertexProperty.h,
	nodes/SoVertexShape.h, nodes/SoWWWAnchor.h, nodes/SoWWWInline.h:
	
	last patch for moving the header #ifndef wrappers

2001-11-26 10:35  pederb

	* src/elements/: SoGLLightModelElement.cpp,
	SoGLShapeHintsElement.cpp:
	
	Comments about casting away constness.

2001-11-26 10:30  pederb

	* include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp:
	
	Use getConstElement(), not getElement() in forceSend() methods.
	Change signature of updategl() methods to make it more intuitive
	which method should be used to get the element pointer.

2001-11-26 08:45  mortene

	* docs/projects.txt:
	
	New item: make the configure / build setup work with other common
	MSWin compilers.

2001-11-26 08:44  mortene

	* FAQ:
	
	Mention an additional benefit of the Coin PEL.

2001-11-26 07:59  mortene

	* src/draggers/SoTabBoxDragger.cpp:
	
	Documents class.

2001-11-25 17:50  kintel

	* include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoNurbsCurve.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoSphere.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoVertexShape.cpp:
	
	Converted forceSend functions to static ones that take an SoState *
	as parameter

2001-11-25 17:46  kintel

	* src/misc/GLWrapper.cpp:
	
	Temporary fix for COIN_OPENGL_DYNAMIC_BINDING

2001-11-25 15:50  pederb

	* src/threads/mutex.c:
	
	Fixed ugly bug in W32MUTEX code, which will cause cc_mutex_try_lock
	to return TRUE even when FALSE should be returned.

2001-11-25 09:45  mortene

	* src/draggers/SoSpotLightDragger.cpp:
	
	Documents class.

2001-11-25 09:07  mortene

	* include/Inventor/fields/SoSFBitMask.h:
	
	Workaround for Doxygen bug.

2001-11-24 13:38  kintel

	* src/elements/SoGLDisplayList.cpp:
	
	Ported to GLWrapper

2001-11-24 13:37  kintel

	* src/misc/: GLWrapper.cpp, GLWrapper.h:
	
	Added texture object functions

2001-11-24 12:54  mortene

	* docs/todo.txt:
	
	Item about the lousy error reporting upon failed texture loading.

2001-11-24 12:20  mortene

	* docs/todo.txt:
	
	A new file listing medium-sized improvements that should be done to
	the Coin library.

2001-11-24 11:23  mortene

	* src/draggers/: SoScale2UniformDragger.cpp,
	SoScaleUniformDragger.cpp:
	
	Class documentation.

2001-11-24 08:54  mortene

	* src/misc/GLUWrapper.c:
	
	Removes superfluous include.

2001-11-24 08:49  mortene

	* FAQ:
	
	Mention that the So*-libraries handles the setting of unique cache
	context ids automatically.

2001-11-24 08:48  mortene

	* build/coin.spec.in:
	
	QPL -> GPL, FIXME about possible obsoletion.

2001-11-24 08:34  mortene

	* src/misc/GLWrapper.cpp:
	
	Do *NOT* use printf() / fprintf() for debugging-printouts!

2001-11-24 02:37  kintel

	* src/misc/SoOffscreenRenderer.cpp:
	
	Ported GLX code to GLWrapper

2001-11-24 02:36  kintel

	* src/elements/SoGLCacheContextElement.cpp:
	
	Changes in GLWrapper

2001-11-24 02:36  kintel

	* src/misc/: GLWrapper.cpp, GLWrapper.h:
	
	New and improved GLWrapper

2001-11-24 02:32  kintel

	* src/misc/SoGL.cpp:
	
	Removed unused code

2001-11-23 18:29  larsa

	* include/Inventor/: actions/SoAction.h, actions/SoActions.h,
	actions/SoBoxHighlightRenderAction.h, actions/SoCallbackAction.h,
	actions/SoGLRenderAction.h, actions/SoGetBoundingBoxAction.h,
	actions/SoGetMatrixAction.h, actions/SoGetPrimitiveCountAction.h,
	actions/SoGlobalSimplifyAction.h, actions/SoHandleEventAction.h,
	actions/SoLineHighlightRenderAction.h, actions/SoPickAction.h,
	actions/SoRayPickAction.h, actions/SoReorganizeAction.h,
	actions/SoSearchAction.h, actions/SoShapeSimplifyAction.h,
	actions/SoSimplifyAction.h, actions/SoSubAction.h,
	actions/SoSubActionP.h, actions/SoToVRML2Action.h,
	actions/SoToVRMLAction.h, actions/SoWriteAction.h,
	bundles/SoBundle.h, bundles/SoMaterialBundle.h,
	bundles/SoTextureCoordinateBundle.h, caches/SoBoundingBoxCache.h,
	caches/SoCache.h, caches/SoConvexDataCache.h,
	caches/SoGLCacheList.h, caches/SoGLRenderCache.h,
	caches/SoNormalCache.h, caches/SoTextureCoordinateCache.h,
	details/SoConeDetail.h, details/SoCubeDetail.h,
	details/SoCylinderDetail.h, details/SoDetail.h,
	details/SoDetails.h, details/SoFaceDetail.h,
	details/SoLineDetail.h, details/SoNodeKitDetail.h,
	details/SoPointDetail.h, details/SoSubDetail.h,
	details/SoTextDetail.h, draggers/SoCenterballDragger.h,
	draggers/SoDirectionalLightDragger.h,
	draggers/SoDragPointDragger.h, draggers/SoDragger.h,
	draggers/SoHandleBoxDragger.h, draggers/SoJackDragger.h,
	draggers/SoPointLightDragger.h,
	draggers/SoRotateCylindricalDragger.h,
	draggers/SoRotateDiscDragger.h,
	draggers/SoRotateSphericalDragger.h, draggers/SoScale1Dragger.h,
	draggers/SoScale2Dragger.h, draggers/SoScale2UniformDragger.h,
	draggers/SoScaleUniformDragger.h, draggers/SoSpotLightDragger.h,
	draggers/SoTabBoxDragger.h, draggers/SoTabPlaneDragger.h,
	draggers/SoTrackballDragger.h, draggers/SoTransformBoxDragger.h,
	draggers/SoTransformerDragger.h, draggers/SoTranslate1Dragger.h,
	draggers/SoTranslate2Dragger.h, errors/SoDebugError.h,
	errors/SoError.h, errors/SoErrors.h, errors/SoMemoryError.h,
	errors/SoReadError.h, events/SoButtonEvent.h, events/SoEvent.h,
	events/SoEvents.h, events/SoKeyboardEvent.h,
	events/SoLocation2Event.h, events/SoMotion3Event.h,
	events/SoMouseButtonEvent.h, events/SoSpaceballButtonEvent.h,
	events/SoSubEvent.h, lock/SoLockMgr.h, manips/SoCenterballManip.h,
	manips/SoClipPlaneManip.h, manips/SoDirectionalLightManip.h,
	manips/SoHandleBoxManip.h, manips/SoJackManip.h,
	manips/SoPointLightManip.h, manips/SoSpotLightManip.h,
	manips/SoTabBoxManip.h, manips/SoTrackballManip.h,
	manips/SoTransformBoxManip.h, manips/SoTransformManip.h,
	manips/SoTransformerManip.h, nodekits/SoAppearanceKit.h,
	nodekits/SoBaseKit.h, nodekits/SoCameraKit.h,
	nodekits/SoInteractionKit.h, nodekits/SoLightKit.h,
	nodekits/SoNodeKit.h, nodekits/SoNodeKitListPart.h,
	nodekits/SoNodekitCatalog.h, nodekits/SoSceneKit.h,
	nodekits/SoSeparatorKit.h, nodekits/SoShapeKit.h,
	nodekits/SoSubKit.h, nodekits/SoSubKitP.h, nodekits/SoWrapperKit.h,
	projectors/SbCylinderPlaneProjector.h,
	projectors/SbCylinderProjector.h,
	projectors/SbCylinderSectionProjector.h,
	projectors/SbCylinderSheetProjector.h,
	projectors/SbLineProjector.h, projectors/SbPlaneProjector.h,
	projectors/SbProjector.h, projectors/SbProjectors.h,
	projectors/SbSpherePlaneProjector.h,
	projectors/SbSphereProjector.h,
	projectors/SbSphereSectionProjector.h,
	projectors/SbSphereSheetProjector.h, sensors/SoAlarmSensor.h,
	sensors/SoDataSensor.h, sensors/SoDelayQueueSensor.h,
	sensors/SoFieldSensor.h, sensors/SoIdleSensor.h,
	sensors/SoNodeSensor.h, sensors/SoOneShotSensor.h,
	sensors/SoPathSensor.h, sensors/SoSensor.h,
	sensors/SoSensorManager.h, sensors/SoSensors.h,
	sensors/SoTimerQueueSensor.h, sensors/SoTimerSensor.h, system/gl.h,
	system/inttypes.h.in, threads/SbBarrier.h, threads/SbCondVar.h,
	threads/SbMutex.h, threads/SbRWMutex.h, threads/SbStorage.h,
	threads/SbThread.h, threads/SbTypedStorage.h:
	
	shave off some more clockcycles :) - only cosmetics

2001-11-23 15:44  mortene

	* src/base/string.c:
	
	Propagate a bugfix for IRIX 6.5 vsnprintf() usage from
	SbString.cpp.

2001-11-23 15:31  larsa

	* bootstrap:
	
	use less advanced syntax due to probable bash 2.05.8 bug

2001-11-23 15:25  larsa

	* include/Inventor/: Sb.h, SbBSPTree.h, SbBox.h, SbBox2f.h,
	SbBox2s.h, SbBox3f.h, SbClip.h, SbColor.h, SbColor4f.h,
	SbCylinder.h, SbDict.h, SbHeap.h, SbImage.h, SbLinear.h,
	SbMatrix.h, SbName.h, SbOctTree.h, SbPList.h, SbPlane.h,
	SbRotation.h, SbSphere.h, SbString.h, SbTesselator.h, SbTime.h,
	SbVec2f.h, SbVec2s.h, SbVec3d.h, SbVec3f.h, SbVec3s.h, SbVec4f.h,
	SbViewVolume.h, SbViewportRegion.h, SbXfBox3f.h, So.h, SoDB.h,
	SoFullPath.h, SoInput.h, SoInteraction.h, SoLists.h,
	SoNodeKitPath.h, SoOffscreenRenderer.h, SoOutput.h, SoPath.h,
	SoPickedPoint.h, SoPrimitiveVertex.h, SoSceneManager.h, SoType.h:
	
	save 123 clockcycles during preprocessing :)

2001-11-23 15:23  larsa

	* include/Inventor/C/base/string.h, src/base/string.c:
	
	C ADT for string manipulation

2001-11-23 14:35  pederb

	* configure-vrml97:
	
	Due to some larsa magic, this file is no longer needed.

2001-11-23 14:34  mortene

	* FAQ:
	
	Adds 3 Q&As about legal issues wrt licensing.

2001-11-23 14:16  kintel

	* configure.in:
	
	Added check for glXGetProcAddressARB()

2001-11-23 09:21  mortene

	* src/draggers/SoScale2Dragger.cpp:
	
	Documents class.

2001-11-22 10:30  mortene

	* src/draggers/SoScale1Dragger.cpp:
	
	Documents class.

2001-11-21 18:03  pederb

	* src/misc/SoProto.cpp:
	
	Remove debug message.

2001-11-21 13:08  larsa

	* HACKING:
	
	comment on new/preferred COIN_DEBUG usage

2001-11-21 12:42  larsa

	* configure.in:
	
	don't forget to subst CFLAGS too

2001-11-21 11:24  mortene

	* src/draggers/: SoRotateCylindricalDragger.cpp,
	SoRotateDiscDragger.cpp, SoRotateSphericalDragger.cpp:
	
	Documents SoRotateSphericalDragger. Misc other doc fixes.

2001-11-20 16:35  mortene

	* src/misc/GLWrapper.h:
	
	Adds copyright header.

2001-11-20 16:31  larsa

	* bootstrap, configure.in, configure.in.patch:
	
	automatically integrate patches for using on/off shell variables in
	the AC_CONFIG_FILES macro

2001-11-20 16:27  mortene

	* THANKS:
	
	Adds Colin Dunlop.

2001-11-20 16:02  larsa

	* Makefile.am, configure.in:
	
	geosim-specific hack to avoid extra configure script...

2001-11-20 15:35  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Usage example in doc for addMarkerSet(). Misc minor fixes.

2001-11-20 15:34  pederb

	* configure-vrml97:
	
	Updated vrml97 script.

2001-11-20 15:25  kintel

	* include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFImage3.h, src/fields/Makefile.am,
	src/fields/SoField.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFImage3.cpp, src/fields/all.cpp:
	
	Added the SoSFImage3 field

2001-11-20 15:15  pederb

	* src/threads/thread.c:
	
	Win32 link fix.

2001-11-20 15:00  larsa

	* src/Makefile.am:
	
	typo fix

2001-11-20 13:55  mortene

	* src/draggers/: SoRotateCylindricalDragger.cpp,
	SoRotateDiscDragger.cpp:
	
	Improves API doc.

2001-11-20 13:52  larsa

	* Makefile.am, configure.in, include/Inventor/C/Makefile.am,
	src/Makefile.am, src/base/Makefile.am, src/base/all.cpp:
	
	honor --disable-threads option

2001-11-20 13:52  larsa

	* LICENSE.LGPL:
	
	obsoleted

2001-11-20 13:51  larsa

	* coin-config, coin.cfg.in, bin/Makefile.am, bin/coin-config:
	
	additional options --cflags and --msvcrt for coin-config, and move
	to separate dir to avoid bin/ creation when not installing script

2001-11-20 13:49  pederb

	* include/Inventor/C/base/Makefile.am:
	
	Install fix.

2001-11-20 13:04  pederb

	* src/threads/thread.c:
	
	unistd.h needed for sleep().

2001-11-20 13:04  pederb

	* src/threads/storage.c:
	
	Bugfixes.

2001-11-20 12:58  mortene

	* docs/projects.txt:
	
	Minor updates.

2001-11-20 12:23  pederb

	* configure-vrml97:
	
	Updated vrml97 build.

2001-11-20 11:45  larsa

	* configure.in, include/Makefile.am, include/Coin/Makefile.am,
	include/Coin/base/Makefile.am, include/Coin/base/basep.h,
	include/Coin/base/debug.h, include/Coin/base/dict.h,
	include/Coin/base/list.h, include/Coin/base/name.h,
	include/Coin/base/string.h, include/Coin/base/time.h,
	include/Coin/threads/Makefile.am, include/Coin/threads/barrier.h,
	include/Coin/threads/barrierp.h, include/Coin/threads/common.h,
	include/Coin/threads/condvar.h, include/Coin/threads/condvarp.h,
	include/Coin/threads/mutex.h, include/Coin/threads/mutexp.h,
	include/Coin/threads/rwmutex.h, include/Coin/threads/rwmutexp.h,
	include/Coin/threads/storage.h, include/Coin/threads/storagep.h,
	include/Coin/threads/thread.h, include/Coin/threads/threadp.h,
	include/Inventor/Makefile.am, include/Inventor/C/Makefile.am,
	include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/basep.h, include/Inventor/C/base/debug.h,
	include/Inventor/C/base/dict.h, include/Inventor/C/base/list.h,
	include/Inventor/C/base/name.h, include/Inventor/C/base/string.h,
	include/Inventor/C/base/time.h,
	include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/threads/SbBarrier.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/threads/SbRWMutex.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/threads/SbThread.h,
	include/Inventor/threads/SbTypedStorage.h, src/base/base.c,
	src/base/debug.c, src/base/dict.c, src/base/list.c,
	src/base/time.c, src/threads/barrier.c, src/threads/common.c,
	src/threads/condvar.c, src/threads/mutex.c, src/threads/rwmutex.c,
	src/threads/storage.c, src/threads/thread.c:
	
	can't use Coin/ include dir because of Mac compiler framework
	limitations - using Inventor/C instead

2001-11-20 09:24  mortene

	* src/draggers/SoRotateDiscDragger.cpp:
	
	Documents class.

2001-11-20 00:09  mortene

	* configure.in:
	
	Report platforms not in SIM aswell as untested platforms.

2001-11-19 23:54  mortene

	* HACKING:
	
	Mention references along with pointer types in the codestyle.

2001-11-19 23:48  mortene

	* HACKING:
	
	Minor update to be in sync with Coin-1/HACKING.

2001-11-19 23:47  mortene

	* HACKING:
	
	Adds codestyle rule about pointer type formatting.

2001-11-19 23:19  kintel

	* include/Inventor/SbImage.h, src/base/SbImage.cpp:
	
	Added support for handling 3D (volume) images

2001-11-19 19:54  larsa

	* configure.in, include/Makefile.am, src/Makefile.am:
	
	build threads parts

2001-11-19 19:54  larsa

	* src/base/: dict.c, list.c:
	
	C implementation of SbDict

2001-11-19 19:51  larsa

	* include/Coin/: base/basep.h, threads/barrierp.h,
	threads/condvar.h, threads/condvarp.h, threads/mutexp.h,
	threads/rwmutexp.h, threads/storagep.h, threads/threadp.h:
	
	cosmetics

2001-11-19 19:50  larsa

	* src/threads/: Makefile.am, all.c, wrappers.cpp:
	
	ignore barrier for now

2001-11-19 19:48  larsa

	* NEWS:
	
	update on recent changes

2001-11-19 19:46  larsa

	* src/base/Makefile.am:
	
	tweaked build setup

2001-11-19 19:46  larsa

	* src/base/: all.cpp, base.c, debug.c, time.c:
	
	misc minor C interfaces

2001-11-19 19:19  larsa

	* src/threads/Makefile.am:
	
	build setup

2001-11-19 19:19  larsa

	* src/threads/wrappers.cpp:
	
	C++ wrapper includer

2001-11-19 19:18  larsa

	* src/threads/: all.c, barrier.c, common.c, condvar.c, mutex.c,
	rwmutex.c, storage.c, thread.c:
	
	multithread support C ADTs

2001-11-19 18:44  larsa

	* src/extensions/Makefile.am:
	
	remove support for threads extension

2001-11-19 18:43  larsa

	* include/Coin/Makefile.am:
	
	build setup

2001-11-19 18:32  larsa

	* include/Inventor/threads/: SbBarrier.h, SbCondVar.h, SbMutex.h,
	SbRWMutex.h, SbStorage.h, SbThread.h, SbTypedStorage.h:
	
	prefix type fix

2001-11-19 18:28  larsa

	* include/Coin/base/Makefile.am:
	
	build setup

2001-11-19 18:28  larsa

	* include/Coin/base/: basep.h, debug.h, dict.h, list.h, name.h,
	string.h, time.h:
	
	preliminaries to some C ADTs

2001-11-19 18:01  larsa

	* include/Coin/threads/Makefile.am:
	
	makefile setup

2001-11-19 18:00  larsa

	* include/Coin/threads/: common.h, mutex.h, rwmutex.h:
	
	#include-fixes

2001-11-19 17:57  larsa

	* include/Coin/threads/: barrier.h, barrierp.h, common.h,
	condvar.h, condvarp.h, mutex.h, mutexp.h, rwmutex.h, rwmutexp.h,
	storage.h, storagep.h, thread.h, threadp.h:
	
	C ADTs for multithread support

2001-11-19 17:37  larsa

	* include/Inventor/threads/: SbBarrier.h, SbCondVar.h, SbMutex.h,
	SbRWMutex.h, SbStorage.h, SbThread.h, SbTypedStorage.h:
	
	C++ wrapper classes for multithread support data types

2001-11-19 16:51  mortene

	* src/lists/SoAuditorList.cpp:
	
	FIXME and better assert message upon flaw in SoAuditorList.

2001-11-19 14:07  pederb

	* configure-vrml97:
	
	Configure script for Coin with vrml97 support. Temporary solution.

2001-11-19 14:06  pederb

	* configure.in:
	
	Detect Win32 function timeGetTime().

2001-11-19 13:26  mortene

	* COPYING, build/coin.spec.in, data/draggerDefaults/iv2h.sh,
	include/SoWinEnterScope.h, include/SoWinLeaveScope.h,
	include/coindefs.h, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h.in,
	include/Inventor/SbBox.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbClip.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3d.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec3s.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoPick.h, include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/gl.h,
	include/Inventor/system/inttypes.h.in,
	packaging/debian/copyright.in, packaging/redhat/coin.spec.in,
	src/tidbits.c, src/tidbits.h, src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all.cpp, src/base/SbBSPTree.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox2s.cpp, src/base/SbBox3f.cpp, src/base/SbClip.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDict.cpp, src/base/SbHeap.cpp,
	src/base/SbImage.cpp, src/base/SbLine.cpp, src/base/SbMatrix.cpp,
	src/base/SbName.cpp, src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3d.cpp, src/base/SbVec3f.cpp, src/base/SbVec3s.cpp,
	src/base/SbVec4f.cpp, src/base/SbViewVolume.cpp,
	src/base/SbViewportRegion.cpp, src/base/SbXfBox3f.cpp,
	src/base/all.cpp, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp, src/bundles/all.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoGLCacheList.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp, src/caches/all.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/all.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/draggers/all.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLCacheContextElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDisplayList.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/elements/all.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/all.cpp,
	src/engines/evaluator.c, src/engines/evaluator.h,
	src/engines/evaluator.l, src/engines/lex.so_eval.c,
	src/errors/SoDebugError.cpp, src/errors/SoError.cpp,
	src/errors/SoMemoryError.cpp, src/errors/SoReadError.cpp,
	src/errors/all.cpp, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/events/all.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec3d.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/fields/all.cpp,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/all.cpp, src/manips/SoCenterballManip.cpp,
	src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all.cpp, src/manips/commoncode.cpp,
	src/misc/GLUWrapper.c, src/misc/GLUWrapper.h,
	src/misc/GLWrapper.cpp, src/misc/SoBase.cpp,
	src/misc/SoByteStream.cpp, src/misc/SoChildList.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLFaceSetTemplate.cpp,
	src/misc/SoGLImage.cpp, src/misc/SoGLTristripTemplate.cpp,
	src/misc/SoGenerate.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoInput.cpp, src/misc/SoInteraction.cpp,
	src/misc/SoLightPath.cpp, src/misc/SoLockManager.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoNotification.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOutput.cpp,
	src/misc/SoPath.cpp, src/misc/SoPick.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoTranReceiver.cpp,
	src/misc/SoTranSender.cpp, src/misc/SoType.cpp, src/misc/all.cpp,
	src/misc/default2dfont.cpp, src/misc/default3dfont.cpp,
	src/misc/simage_wrapper.c, src/misc/simage_wrapper.h,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodekits/all.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoAsciiText.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTransparencyType.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoUnknownNode.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp, src/nodes/all.cpp,
	src/nodes/soshape_bigtexture.cpp, src/nodes/soshape_bigtexture.h,
	src/nodes/soshape_primdata.cpp, src/nodes/soshape_primdata.h,
	src/nodes/soshape_trianglesort.cpp,
	src/nodes/soshape_trianglesort.h,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp, src/projectors/all.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all.cpp, src/vrml97/all.cpp:
	
	The big license switcheroo in anticipation of Coin v2: from LGPL
	2.1 to GPL 2.

2001-11-19 13:10  mortene

	* src/nodes/SoShape.cpp:
	
	Tiny robustness fix: read transparency values _below_ 0.0 as
	opaque.

2001-11-19 09:46  mortene

	* src/draggers/SoRotateCylindricalDragger.cpp:
	
	Documentes class.

2001-11-19 09:46  mortene

	* src/: fields/SoFieldContainer.cpp, nodekits/SoBaseKit.cpp,
	nodes/SoNode.cpp:
	
	Misc doc fixes for doc common with subclasses.

2001-11-18 20:45  mortene

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLCacheContextElement.cpp, src/misc/GLWrapper.cpp,
	src/misc/GLWrapper.h:
	
	Design fix: move newly introduced OpenGL version-querying functions
	to internal GLWrapper.

2001-11-18 12:43  mortene

	* src/draggers/SoPointLightDragger.cpp:
	
	Completes doc.

2001-11-18 10:44  mortene

	* src/misc/SoInput.cpp:
	
	Minor doc fix.

2001-11-17 10:47  mortene

	* src/details/SoNodeKitDetail.cpp:
	
	Documents protected class members.

2001-11-16 16:07  mortene

	* src/base/SbString.cpp:
	
	Fixes a nasty bug in SbString::snprintf() on IRIX.

2001-11-16 09:18  mortene

	* src/details/: SoDetail.cpp, SoLineDetail.cpp, SoPointDetail.cpp:
	
	Documents SoPointDetail and SoLineDetail.

2001-11-15 23:01  mortene

	* src/elements/: SoGLLineWidthElement.cpp,
	SoGLPointSizeElement.cpp:
	
	Document alternative option for getting limits. Kills a handful of
	FIXMEs.

2001-11-15 23:00  mortene

	* NEWS:
	
	SoGLPointSizeElement::getValidRange() was removed again.
	
	Fixes a minor typo.

2001-11-15 20:12  mortene

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLCacheContextElement.cpp, src/misc/GLWrapper.cpp,
	src/misc/GLWrapper.h:
	
	Remove getGLWrapper() from SoGLCacheContextElement, instantiate
	GLWrapper objects from the wrapper itself.

2001-11-15 16:52  kintel

	* HACKING:
	
	Minor change

2001-11-15 15:45  mortene

	* src/misc/SoDB.cpp:
	
	Mis-applied patch with doc changes from stable branch. *blush*

2001-11-15 15:43  mortene

	* src/misc/SoDB.cpp:
	
	Misc minor doc updates.

2001-11-15 14:57  mortene

	* docs/api-wish-list.txt:
	
	Update to item about a better design for hash ADTs.

2001-11-15 14:46  mortene

	* docs/misc-resources.txt:
	
	Link to TrollTech's Tech FAQ for Qt (has information on ABI
	compatibility "rules").

2001-11-15 14:32  mortene

	* HACKING:
	
	Embeds kintel's instructions for adding new classes to Coin.

2001-11-15 14:18  mortene

	* include/Inventor/fields/: MFNodeAndEngine.tpl, SoMFEngine.h,
	SoMFNode.h:
	
	SoMFNode and SoMFEngine can not be generated from a common template
	any more (missing functions from the API was added to SoMFNode).

2001-11-15 14:16  mortene

	* include/Inventor/fields/: MFNodeAndEngine.tpl, SoMFEngine.h,
	SoMFNode.h, SoMFPath.h:
	
	Make deleteValues() and insertSpace() public for
	SoMF[Path|Node|Engine] to match the original Inventor API.
	
	Thanks to Rune Torkildsen for notifying us.

2001-11-15 14:11  mortene

	* include/Inventor/fields/: MFNodeAndEngine.tpl,
	SFNodeAndEngine.tpl:
	
	Templates were still using the COIN_DLL_EXPORT keyword, which
	should've been COIN_DLL_API.

2001-11-15 13:47  mortene

	* include/Inventor/lists/SoTypeList.h:
	
	Publicly export the SoTypeList API for MSWin DLLs.  Thanks to Rune
	Torkildsen for finding and fixing the bug.

2001-11-15 13:40  mortene

	* THANKS, src/fields/MFNodeEnginePath.tpl,
	src/fields/SoMFEngine.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMField.cpp:
	
	Bugfix: don't leave one too many elements when deleting values in
	SoMFNode, SoMFPath and SoMFEngine.
	
	Found and fixed by Rune Torkildsen.

2001-11-15 10:44  mortene

	* src/draggers/SoJackDragger.cpp:
	
	Completes documentation of SoJackDragger.

2001-11-14 17:09  kintel

	* src/: base/SbVec3s.cpp, elements/SoGLCacheContextElement.cpp:
	
	Added \since to doc

2001-11-14 17:08  kintel

	* build/coin.spec.in, docs/coin.doxygen.in:
	
	Added SbVec3s

2001-11-14 14:38  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Implements missing methods fieldSensorCB() and
	connectSeparatorFields().

2001-11-14 14:23  pederb

	* src/: engines/SoEngineOutput.cpp, misc/SoInput.cpp:
	
	Doxygen fixes.

2001-11-14 14:16  mortene

	* src/base/SbImage.cpp:
	
	"\since" was missing for scheduleReadFile().

2001-11-14 07:27  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Documentation. Codestyle fixes (#if COIN_DEBUG => if (COIN_DEBUG)).

2001-11-13 23:10  mortene

	* src/draggers/: SoCenterballDragger.cpp,
	SoDirectionalLightDragger.cpp, SoDragPointDragger.cpp,
	SoHandleBoxDragger.cpp, SoJackDragger.cpp, SoPointLightDragger.cpp,
	SoRotateCylindricalDragger.cpp, SoRotateDiscDragger.cpp,
	SoRotateSphericalDragger.cpp, SoScale1Dragger.cpp,
	SoScale2Dragger.cpp, SoScale2UniformDragger.cpp,
	SoScaleUniformDragger.cpp, SoSpotLightDragger.cpp,
	SoTabBoxDragger.cpp, SoTabPlaneDragger.cpp, SoTrackballDragger.cpp,
	SoTransformBoxDragger.cpp, SoTransformerDragger.cpp,
	SoTranslate1Dragger.cpp, SoTranslate2Dragger.cpp:
	
	Documents SoHandleBoxDragger.
	
	Adds common doc for internal functions common for most dragger
	classes.

2001-11-13 18:51  larsa

	* configure.in:
	
	fix (maybe) CPPFLAGS propagation problem

2001-11-13 09:59  mortene

	* include/Inventor/nodes/SoGroup.h:
	
	Workaround for Doxygen bug.

2001-11-12 17:45  larsa

	* configure.in:
	
	add -lpthread to link line when using threads

2001-11-12 17:37  mortene

	* src/Makefile.am:
	
	Install fix: public exposure of SbVec3s.h.

2001-11-12 11:25  mortene

	* docs/coin.doxygen.in, src/elements/SoElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoPointSizeElement.cpp:
	
	Fully documents SoPointSizeElement. Misc other doc fixes.

2001-11-12 02:37  kintel

	* src/base/: SbVec2f.cpp, SbVec2s.cpp, SbVec3f.cpp, SbVec4f.cpp:
	
	Misc. doc

2001-11-12 02:36  kintel

	* include/Inventor/Sb.h, include/Inventor/SbLinear.h,
	src/base/Makefile.am, src/base/all.cpp:
	
	Added SbVec3s

2001-11-12 02:35  kintel

	* include/Inventor/SbVec3s.h, src/base/SbVec3s.cpp:
	
	Initial commit: Needed for 3D textures

2001-11-11 18:16  pederb

	* src/Makefile.am:
	
	vrml97 make fixes.

2001-11-11 17:07  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Trigger image loading if the threads module is active.

2001-11-11 17:06  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Added assert.

2001-11-11 17:06  pederb

	* include/Inventor/SbImage.h, src/base/SbImage.cpp:
	
	Introduce SbImageP in class definition.

2001-11-11 16:21  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Fixed bug. WrapT was set to WrapS in element.

2001-11-08 20:04  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLBigImage.cpp,
	src/misc/SoGLImage.cpp:
	
	bigimage age fixes.

2001-11-08 20:03  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Tag SoGLBigImage also.

2001-11-08 18:25  pederb

	* include/Inventor/SbImage.h, src/base/SbImage.cpp:
	
	New method hasData().

2001-11-08 18:09  pederb

	* src/engines/SoCalculator.cpp:
	
	Roll back to stable version, since the optimized version seems to
	have a bug.

2001-11-08 17:40  pederb

	* src/misc/GLWrapper.h:
	
	Don't include gl.h directly.

2001-11-08 17:23  pederb

	* include/Inventor/SbImage.h, src/base/SbImage.cpp:
	
	Return value for schedule callback.

2001-11-08 15:57  kintel

	* src/elements/SoGLCacheContextElement.cpp:
	
	Fixed IRIX compile error

2001-11-08 15:11  kintel

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLCacheContextElement.cpp:
	
	Integrated GLWrapper, added openGLVersionMatchesAtLeast()

2001-11-08 14:37  pederb

	* src/nodes/SoSeparator.cpp:
	
	release version compile fix.

2001-11-08 14:29  pederb

	* src/elements/SoGLLineWidthElement.cpp:
	
	release version compile fix.

2001-11-08 14:26  pederb

	* src/base/SbImage.cpp:
	
	compile fix.

2001-11-07 17:22  pederb

	* configure.in, include/Inventor/SbImage.h,
	include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h, src/base/SbImage.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoTextureImageElement.cpp, src/engines/Makefile.am,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp:
	
	Miscellaneous changes to support async loading of textures.

2001-11-07 17:17  pederb

	* src/elements/SoGLViewingMatrixElement.cpp:
	
	initialize variable.

2001-11-07 14:35  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Handle texgen cases better.

2001-11-07 14:25  pederb

	* src/nodes/SoVertexProperty.cpp:
	
	Bugfix. Move some code into doAction() to make the node work during
	an SoGLRenderAction traversal even when doAction() and not
	GLRender() is called.

2001-11-06 17:08  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Compiler warning fix.

2001-11-06 17:08  pederb

	* src/lists/SoAuditorList.cpp:
	
	Added assert.

2001-11-06 12:44  pederb

	* src/fields/SoSFRotation.cpp:
	
	Handle null-vectors in identity rotations.

2001-11-05 09:50  pederb

	* NEWS, configure.in, include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoTransparencyType.h,
	src/actions/SoGLRenderAction.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoShapeStyleElement.cpp, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp, src/nodes/SoTransparencyType.cpp,
	src/nodes/all.cpp:
	
	New node SoTransparencyType, which makes it possible to set
	different transparency types for different parts of the scene
	graph.

2001-11-04 11:26  pederb

	* THANKS:
	
	Added David Laine.

2001-11-04 11:25  pederb

	* src/base/SbViewVolume.cpp:
	
	Fixed incorrect debug message.

2001-11-04 11:24  pederb

	* src/base/SbTime.cpp:
	
	string.h needed for strlen().

2001-11-04 11:23  pederb

	* src/nodes/SoCamera.cpp:
	
	Bugfix for SoCamera::pointAt(). Generated coordinate system was not
	orthonormal. Fix suggested by David Laine.

2001-11-02 13:05  pederb

	* src/misc/SoGLImage.cpp:
	
	Explicit casts to GLenum.

2001-11-02 13:05  pederb

	* src/nodes/SoCamera.cpp:
	
	Remove unnecessary include.

2001-11-02 11:34  pederb

	* include/Inventor/elements/SoGLViewingMatrixElement.h,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoResetTransform.cpp:
	
	Miscellaneous fixes to handle transformations before the camera
	correctly. Breaks the ABI since I needed a new data member in
	SoGLViewingMatrixElement.

2001-11-02 11:31  pederb

	* src/base/SbViewVolume.cpp:
	
	Bugfix in SbViewVolume::transform().

2001-10-31 16:16  larsa

	* FAQ:
	
	new Q&A about the .so-version number

2001-10-31 12:05  larsa

	* src/: Make-Common.tpl, Makefile.am, actions/Makefile.am,
	base/Makefile.am, bundles/Makefile.am, caches/Makefile.am,
	details/Makefile.am, draggers/Makefile.am, elements/Makefile.am,
	engines/Makefile.am, errors/Makefile.am, events/Makefile.am,
	fields/Makefile.am, lists/Makefile.am, manips/Makefile.am,
	misc/Makefile.am, nodekits/Makefile.am, nodes/Makefile.am,
	projectors/Makefile.am, sensors/Makefile.am, vrml97/Makefile.am:
	
	INCLUDES adjustments

2001-10-31 11:41  larsa

	* configure.in, src/Makefile.am, src/extensions/.cvsignore,
	src/extensions/Makefile.am:
	
	Prepare for utilizing threads extension.

2001-10-31 10:47  pederb

	* src/nodes/SoCamera.cpp:
	
	Bugfix for SoGetPrimitiveCountAction.

2001-10-30 17:12  pederb

	* src/: Makefile.am, extensions/Makefile.am:
	
	bootstrap

2001-10-30 15:03  larsa

	* configure.in:
	
	Don't use LINKHACK suffix on SuperGLU library

2001-10-30 14:38  larsa

	* configure.in, src/Makefile.am, src/extensions/Makefile.am:
	
	extensions fix

2001-10-30 14:29  larsa

	* src/: Make-Common.tpl, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, details/Makefile.am,
	draggers/Makefile.am, elements/Makefile.am, engines/Makefile.am,
	errors/Makefile.am, events/Makefile.am, fields/Makefile.am,
	lists/Makefile.am, manips/Makefile.am, misc/Makefile.am,
	nodekits/Makefile.am, nodes/Makefile.am, projectors/Makefile.am,
	sensors/Makefile.am, vrml97/Makefile.am:
	
	adjust include path for extensions

2001-10-30 14:27  larsa

	* include/Inventor/system/gl.h:
	
	update for superglu

2001-10-30 14:19  larsa

	* configure.in:
	
	SuperGLU emmbedding fix

2001-10-29 17:01  pederb

	* include/Inventor/SbVec3d.h, include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFVec3d.h, src/base/Makefile.am,
	src/base/SbVec3d.cpp, src/fields/Makefile.am,
	src/fields/SoField.cpp, src/fields/SoSFVec3d.cpp:
	
	Added support for double precision 3D vector.

2001-10-27 10:46  mortene

	* docs/misc-resources.txt:
	
	Links to SGI's information about the ARB extension function pointer
	retrieval mechanism.

2001-10-27 10:24  mortene

	* docs/coin.doxygen.in, include/Inventor/elements/SoFloatElement.h,
	src/elements/SoElement.cpp, src/elements/SoFloatElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoLineWidthElement.cpp:
	
	Fully documents SoFloatElement and SoLineWidthElement. Misc other
	element doc fixes.

2001-10-27 10:04  mortene

	* docs/coin.doxygen.in, src/elements/SoElement.cpp:
	
	Proper, complete class documentation (and many other doc fixes) for
	SoElement.

2001-10-26 14:55  pederb

	* src/misc/SoInput.cpp:
	
	Typo-fix

2001-10-26 14:54  pederb

	* src/misc/SoInput.cpp:
	
	Improved/bugfixed IS keyword search. Added assert-check in
	putBack() to verify that the correct data is put back.

2001-10-26 12:39  larsa

	* src/misc/SoDB.cpp:
	
	frontpage doc updates

2001-10-26 12:17  mortene

	* README.AIX, README.IRIX:
	
	Elaborate on the 'arg list too long' problem.

2001-10-26 09:33  mortene

	* src/details/: SoDetail.cpp, SoFaceDetail.cpp:
	
	Full documentation for SoFaceDetail. Misc other doc fixes.

2001-10-25 11:46  pederb

	* src/misc/SoProto.cpp:
	
	Resolve eventOut IS references correctly.

2001-10-25 11:15  pederb

	* src/nodes/SoGroup.cpp:
	
	Use getChildren() instead of accessing the children member directly
	to allow subclasses to update the child list before returning it.

2001-10-25 11:13  pederb

	* include/Inventor/fields/SoMFNode.h, src/fields/SoMFNode.cpp:
	
	Added missing node handling methods.

2001-10-24 21:23  mortene

	* src/misc/: SoGLFaceSetTemplate.cpp, SoGLTristripTemplate.cpp,
	SoInput.cpp:
	
	FIXME notes.

2001-10-24 17:55  mortene

	* include/Inventor/fields/SoMFNode.h:
	
	FIXME about missing member functions versus the original Inventor
	API.

2001-10-24 17:55  mortene

	* include/Inventor/nodes/SoGroup.h:
	
	Fix incompatibility versus the original Inventor API: getChildren()
	should be virtual.

2001-10-24 17:37  mortene

	* THANKS, src/base/SbTime.cpp:
	
	Use Win32 high-resolution counter, if available, instead of
	_ftime().  Original patch submitted by Jan Peciva (aka PCJohn).
	
	Use coin_strncasecmp() wrapper.
	
	Convert fprintf()s to SoDebugError::postInfo().

2001-10-24 17:28  mortene

	* src/: tidbits.c, tidbits.h:
	
	Adds implementation of strncasecmp() abstraction.

2001-10-24 17:26  mortene

	* configure.in:
	
	Check for strncasecmp() availability.

2001-10-24 17:08  pederb

	* src/fields/SoField.cpp:
	
	Detect NodeEngine before calling evaluateWrapper().

2001-10-24 16:51  larsa

	* configure.in:
	
	Fix typo.  Wrap MS VC++ C library part in appropriate if-clause. 
	Duplicate error of SoQt problem discovered by Steve M. Robbins.

2001-10-24 16:37  mortene

	* THANKS, include/Inventor/nodekits/SoSubKit.h:
	
	Adds two macros that were missing from the API vs SGI Inventor:
	SO_KIT_CHANGE_ENTRY_TYPE and SO_KIT_CHANGE_NULL_BY_DEFAULT.
	
	Submitted by Guy Barrand.

2001-10-24 16:07  mortene

	* src/: engines/SoConvertAll.cpp, engines/SoFieldConverter.cpp,
	manips/SoCenterballManip.cpp, manips/SoJackManip.cpp,
	manips/SoTabBoxManip.cpp, manips/SoTrackballManip.cpp,
	manips/SoTransformBoxManip.cpp, manips/SoTransformerManip.cpp,
	nodes/SoAnnotation.cpp, nodes/SoArray.cpp, nodes/SoLOD.cpp,
	nodes/SoMultipleCopy.cpp, nodes/SoNode.cpp, nodes/SoPickStyle.cpp,
	nodes/SoPolygonOffset.cpp, nodes/SoProfileCoordinate2.cpp,
	nodes/SoProfileCoordinate3.cpp, nodes/SoShapeHints.cpp,
	nodes/SoSwitch.cpp, nodes/SoText2.cpp,
	nodes/SoTextureCoordinate2.cpp,
	nodes/SoTextureCoordinateBinding.cpp,
	nodes/SoTextureCoordinateDefault.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp,
	nodes/SoTextureCoordinateFunction.cpp,
	nodes/SoTransformSeparator.cpp, nodes/SoUnknownNode.cpp,
	nodes/SoWWWAnchor.cpp, nodes/SoWWWInline.cpp:
	
	Common initClass documentation.

2001-10-24 13:43  pederb

	* THANKS:
	
	Bugfix :)

2001-10-24 13:11  mortene

	* src/: actions/SoGLRenderAction.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoTranslate2Dragger.cpp,
	nodes/SoMaterial.cpp:
	
	Completes SoDragPointDragger documentation. Also other misc doc
	fixes.

2001-10-24 12:40  mortene

	* src/: misc/SoState.cpp, nodes/SoNode.cpp:
	
	Adds additional (default disabled) GL-error debugging to
	SoState::lazyEvaluate().

2001-10-24 12:10  mortene

	* src/misc/GLUWrapper.h:
	
	FIXME about cleaning up the enums properly.

2001-10-24 12:08  mortene

	* src/nodes/SoSeparator.cpp:
	
	Codestyle / readability fix: prefer 'if (COIN_DEBUG ...' to #ifdef.

2001-10-24 12:02  mortene

	* src/elements/: SoGLLineWidthElement.cpp,
	SoGLPointSizeElement.cpp:
	
	Bugfix: was getting invalid range due to faulty initialization of
	sizerange variable.

2001-10-24 11:24  pederb

	* src/misc/SoInput.cpp:
	
	Treat comma (,) as whitespace in vrml2 files.

2001-10-24 10:36  pederb

	* include/Inventor/misc/SoProto.h, src/misc/SoProto.cpp:
	
	Misc fixes to handle IS keyword better.

2001-10-24 10:34  pederb

	* include/Inventor/SoInput.h, include/Inventor/fields/SoField.h,
	src/fields/SoField.cpp, src/fields/SoFieldData.cpp,
	src/misc/SoInput.cpp:
	
	Moved checkISReference() from SoField to SoInput.

2001-10-24 10:29  pederb

	* src/misc/SoBase.cpp:
	
	Support for NodeEngine outputs in ROUTEs.

2001-10-24 10:25  pederb

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Another recursive evaluation fix.

2001-10-23 18:03  mortene

	* configure.in:
	
	Check for functions used to query about the current time.

2001-10-23 17:43  larsa

	* INSTALL, configure.in:
	
	New option --with-msvcrt=<crt> for deciding which C library to link
	Coin with when building with the MS Visual C++ command line utils.

2001-10-23 17:39  mortene

	* src/nodes/SoSeparator.cpp:
	
	Mark cullTest() as obsoleted.

2001-10-23 17:01  pederb

	* src/engines/SoEngineOutput.cpp:
	
	Node engine support bugfix.

2001-10-23 14:54  pederb

	* src/engines/SoNodeEngine.cpp:
	
	Updated doc.

2001-10-23 14:25  pederb

	* src/nodes/SoShape.cpp:
	
	Improved the shape transparency test slightly. Added some comments
	about the test.

2001-10-23 13:56  pederb

	* src/engines/SoEngineOutput.cpp:
	
	Fixed recently introduced engine connection bugs.

2001-10-23 12:19  mortene

	* docs/misc-resources.txt:
	
	Link to on-line document of list of incompatible API changes from
	SGI Inventor v2.0 to v2.1.

2001-10-23 11:01  mortene

	* data/draggerDefaults/directionalLightDragger.iv:
	
	Remove obsoleted geometry.

2001-10-23 10:52  mortene

	* data/draggerDefaults/: centerballDragger.iv,
	directionalLightDragger.iv, jackDragger.iv, scale1Dragger.iv,
	spotLightDragger.iv, trackballDragger.iv, transformBoxDragger.iv:
	
	Use correct type of part root nodes (Group->Separator).

2001-10-23 10:47  mortene

	* data/draggerDefaults/rotateDiscDragger.iv:
	
	Make inside of cylinder band visible.

2001-10-23 10:16  mortene

	* src/: details/SoCubeDetail.cpp, draggers/SoCenterballDragger.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoHandleBoxDragger.cpp,
	draggers/SoJackDragger.cpp, draggers/SoPointLightDragger.cpp,
	draggers/SoRotateCylindricalDragger.cpp,
	draggers/SoRotateDiscDragger.cpp,
	draggers/SoRotateSphericalDragger.cpp,
	draggers/SoScale1Dragger.cpp, draggers/SoScale2Dragger.cpp,
	draggers/SoScale2UniformDragger.cpp,
	draggers/SoScaleUniformDragger.cpp,
	draggers/SoSpotLightDragger.cpp, draggers/SoTabBoxDragger.cpp,
	draggers/SoTabPlaneDragger.cpp, draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp,
	draggers/SoTransformerDragger.cpp,
	draggers/SoTranslate1Dragger.cpp, draggers/SoTranslate2Dragger.cpp,
	manips/SoDirectionalLightManip.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoInteractionKit.cpp:
	
	Documentation fixes:
	
	* SoCubeDetail doc bug fix * fully documented
	SoDirectionalLightDragger class * documented all constructors and
	initClass() methods for draggers * improved doc of
	SoInteractionKit::readDefaultParts()

2001-10-22 13:35  kintel

	* src/nodes/SoText2.cpp:
	
	doc-fix

2001-10-22 11:22  mortene

	* HACKING:
	
	Snip extra copy of footnotes. Explain main intent with coding
	rules. Point to Mozilla C++ portability guide.

2001-10-22 08:37  mortene

	* src/nodes/SoEventCallback.cpp:
	
	Minor doc fix.

2001-10-21 20:12  mortene

	* configure.in:
	
	Provide option to turn off compiler optimization, as a workaround
	for a widespread problem with GCC v2.96.* under Red Hat Linux.

2001-10-21 16:07  mortene

	* docs/projects.txt:
	
	Ideas for student projects.

2001-10-21 16:01  mortene

	* docs/misc-resources.txt:
	
	Provide a link to the Boost C++ libraries.

2001-10-21 11:15  mortene

	* HACKING:
	
	Adds link to TrollTech's list of ABI-breakers.

2001-10-21 11:09  mortene

	* docs/misc-resources.txt:
	
	Adds Kintel's recommendation for a book on threads programming.

2001-10-21 11:05  mortene

	* docs/msvc-ide-getting-started.txt:
	
	Removes non-ASCII characters.

2001-10-21 11:01  mortene

	* docs/msvc-ide-getting-started.txt:
	
	Barbara's preliminary "Getting Started" guide.

2001-10-19 18:05  pederb

	* include/Inventor/engines/: SoSubNodeEngine.h, SoSubNodeEngineP.h:
	
	Misc fixes.

2001-10-19 15:51  kintel

	* src/elements/SoGLLineWidthElement.cpp:
	
	Added #include <float.h> for MAX_FLT

2001-10-19 15:50  mortene

	* README.WIN32:
	
	Sync with README-file from stable branch (adds instructions about
	checking sanity of MSVC++ setup).

2001-10-19 15:47  mortene

	* README.WIN32:
	
	Adds Lars' explanation of what the configure script is.
	
	Adds some simple layout.
	
	FIXMEs about compiling non-default configurations.

2001-10-19 15:41  mortene

	* docs/quat2euler.txt:
	
	Usenet posting with more explanations about doing conversion
	between quaternions and Euler angles.

2001-10-19 15:40  mortene

	* include/Inventor/SbBasic.h.in:
	
	Sanity checking to catch errors for people building on MSWin.

2001-10-19 15:35  mortene

	* include/Inventor/SbTime.h:
	
	FIXMEs about #ifdef-checking on system.

2001-10-19 15:28  mortene

	* src/fields/SoField.cpp:
	
	Optimization: save about 1kB pr field connection.

2001-10-19 15:22  mortene

	* src/: base/SbLine.cpp, base/SbMatrix.cpp, base/SbViewVolume.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoDragger.cpp,
	fields/SoFieldContainer.cpp, misc/SoInteraction.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoSeparator.cpp, nodes/SoShape.cpp,
	nodes/SoVertexShape.cpp:
	
	Misc documentation updates and FIXMEs.

2001-10-19 15:10  mortene

	* configure.in:
	
	Use default placement for errors.txt file.

2001-10-19 14:59  pederb

	* include/Inventor/VRMLnodes/SoVRMLInterpolator.h:
	
	Removed obsoleted file.

2001-10-19 14:55  pederb

	* include/Inventor/fields/SoField.h, src/fields/SoField.cpp:
	
	Reintroduced SoVRMLInterpOutput methods to avoid breaking the ABI
	compatibility.

2001-10-19 14:42  pederb

	* src/nodes/SoText2.cpp:
	
	Compile fix.

2001-10-19 14:39  pederb

	* src/lists/all.cpp:
	
	Remove SoVRMLInterpList from all.cpp

2001-10-19 14:37  pederb

	* src/lists/: Makefile.am, SoVRMLInterpOutputList.cpp:
	
	Compile fix.

2001-10-19 14:26  pederb

	* configure.in, include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/lists/SoVRMLInterpOutputList.h,
	include/Inventor/misc/SoNotification.h, src/Makefile.am,
	src/VRMLnodes/Makefile.am, src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp, src/VRMLnodes/all.cpp,
	src/engines/Makefile.am, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOutputData.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/lists/SoAuditorList.cpp,
	src/misc/SoBase.cpp, src/misc/SoNotification.cpp:
	
	Added new engine type called SoNodeEngine, with support for
	SoNodeEngine outputs in SoField. Removed all traces of
	SoVRMLInterpolator and SoVRMLInterpOutput.

2001-10-19 14:17  pederb

	* src/engines/SoCalculator.cpp:
	
	Optimized this engine by caching which fields are used.

2001-10-19 13:57  mortene

	* src/nodes/SoText2.cpp:
	
	Use HAVE_X11_AVAILABLE instead of buggy Autoconf X_DISPLAY_MISSING
	define.

2001-10-19 13:38  mortene

	* configure.in:
	
	Set up a proper define according to whether or not X11 is
	available.

2001-10-19 13:29  mortene

	* README.MAC:
	
	Minor typo.

2001-10-19 13:27  mortene

	* src/: actions/SoPickAction.cpp, actions/SoRayPickAction.cpp,
	bundles/SoMaterialBundle.cpp, misc/SoDB.cpp, misc/SoGL.cpp,
	misc/SoGenerate.cpp, nodes/SoMarkerSet.cpp,
	nodes/SoTriangleStripSet.cpp:
	
	Misc documentation fixes and updates, plus a bunch of FIXME notes.

2001-10-19 13:16  mortene

	* FAQ:
	
	Sync with FAQ file from stable branch.

2001-10-19 13:12  mortene

	* configure.in:
	
	Use the convenience macro to test and exit with a fatal error
	message if the C++ compiler is not deemed worthy of building Coin.

2001-10-19 13:09  mortene

	* cfg/errors.txt:
	
	Moved to m4/ to be shared between projects.

2001-10-19 11:42  mortene

	* THANKS:
	
	Additional contributors.

2001-10-19 11:23  mortene

	* docs/coin.doxygen.in,
	include/Inventor/elements/SoGLPointSizeElement.h,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLPointSizeElement.cpp, src/nodes/SoDrawStyle.cpp:
	
	Improve documentation about pointsize and linewidth bounds, as
	requested by Alan Walford.
	
	Removes the SoGLPointSizeElement::getValidRange() function, as it
	was bad design.

2001-10-19 10:31  mortene

	* INSTALL:
	
	Be a little more elaborate about the --disable-debug and
	--disable-symbols configure options.

2001-10-18 15:34  pederb

	* src/misc/: SoProto.cpp, SoProtoInstance.cpp:
	
	PROTO destruction bugfix.

2001-10-18 15:33  pederb

	* src/misc/SoInput.cpp:
	
	Minor PROTO ref-counting fix.

2001-10-18 14:24  pederb

	* include/Inventor/SoInput.h, include/Inventor/fields/SoField.h,
	include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/nodes/SoNode.h, src/fields/SoField.cpp,
	src/fields/SoFieldData.cpp, src/misc/Makefile.am,
	src/misc/SoBase.cpp, src/misc/SoDB.cpp, src/misc/SoInput.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/nodes/SoNode.cpp:
	
	Miscellaneous changes and fixes to support VRML97 PROTO.

2001-10-17 14:52  pederb

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Fix for recursive evaluation when connecting to MFieldNode,
	MFieldPath or MFieldEngine.

2001-10-16 14:40  pederb

	* src/sensors/: SoFieldSensor.cpp, SoNodeSensor.cpp,
	SoPathSensor.cpp:
	
	Fixes embarrassing blunder in latest fix.

2001-10-16 14:17  pederb

	* src/sensors/: SoFieldSensor.cpp, SoNodeSensor.cpp,
	SoPathSensor.cpp:
	
	Bugfix. Delete callback was never called.

2001-10-16 12:17  pederb

	* THANKS:
	
	Added Trond Gaarder.

2001-10-15 13:57  pederb

	* include/Inventor/lists/SbList.h:
	
	Compile fix for Visual C++ 7.0. Moved inline functions inside the
	class declaration. Fix suggested by Trond Gaarder.

2001-10-14 21:56  mortene

	* configure.in, src/Makefile.am, src/extensions/.cvsignore,
	src/misc/GLUWrapper.c:
	
	Non-intrusive set-up for automatically using the "superglu"
	appropriated SGI GLU 1.3 library if it has been checked out under
	src/extensions/.

2001-10-14 21:26  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Fixes rounding errors.

2001-10-14 21:17  mortene

	* src/elements/SoGLClipPlaneElement.cpp:
	
	Important FIXME about the getMaxGLPlanes() method.

2001-10-12 18:50  pederb

	* configure.in:
	
	Bugfix

2001-10-12 17:15  pederb

	* docs/misc-resources.txt:
	
	Added SGI's OpenGL Multipipe SDK.

2001-10-12 16:59  larsa

	* INSTALL:
	
	additional info on {CPP,C,CXX,LD}FLAGS under configuration options

2001-10-12 15:28  pederb

	* src/misc/SoBase.cpp:
	
	Compile fix.

2001-10-12 15:22  pederb

	* configure.in:
	
	Bugfix

2001-10-12 15:16  pederb

	* configure.in, src/Makefile.am:
	
	Fix to detect and build the vrml97 module.

2001-10-12 15:12  pederb

	* include/Inventor/fields/SoField.h:
	
	Added enums for field types.

2001-10-12 15:09  pederb

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	Miscellaneous changes to support VRML97 files.

2001-10-12 15:01  pederb

	* src/misc/SoInput.cpp:
	
	Added some documentation.

2001-10-12 14:59  pederb

	* include/Inventor/SoInput.h, src/misc/SoInput.cpp:
	
	Miscellaneous changes to support VRML97 file parsing.

2001-10-12 14:26  larsa

	* scripts/replace:
	
	new script for replacing text blocks in large batches of text files

2001-10-12 13:55  pederb

	* src/extensions/.cvsignore:
	
	Added extensions directory.

2001-10-12 11:58  pederb

	* src/: elements/SoGLDiffuseColorElement.cpp,
	misc/SoNormalGenerator.cpp:
	
	Documentation

2001-10-12 11:48  pederb

	* src/projectors/SbProjector.cpp:
	
	Improved/bugfixed version of getVanishingPoint().

2001-10-12 11:47  pederb

	* include/Inventor/misc/SoNormalGenerator.h,
	src/misc/SoNormalGenerator.cpp:
	
	Added reset() method in SoNormalGenerator, to make it possible to
	reuse the generator.

2001-10-12 11:45  pederb

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp,
	src/nodes/SoPointSet.cpp:
	
	Moved PointSet rendering code to SoGL.

2001-10-12 11:44  pederb

	* include/Inventor/elements/SoGLDiffuseColorElement.h,
	src/elements/SoGLDiffuseColorElement.cpp:
	
	Added method sendOneColor(SbVec4f).

2001-10-12 10:18  mortene

	* docs/misc-resources.txt:
	
	URL to what some regard as the best VRML browser and general model
	viewer.

2001-10-11 18:22  pederb

	* src/projectors/SbLineProjector.cpp:
	
	Line projector improvements.

2001-10-11 18:20  pederb

	* src/projectors/SbProjector.cpp:
	
	Bugfix in SbPlane::findVanishingDistance().

2001-10-11 15:36  pederb

	* src/base/SbPlane.cpp:
	
	Document that SbPlane::intersect(SbPlane) is a Coin-specific
	method.

2001-10-11 15:27  pederb

	* src/base/SbPlane.cpp:
	
	Adds missing documentation.

2001-10-11 15:21  mortene

	* HACKING:
	
	Explain the "ABI" and "API" terms.

2001-10-11 15:04  pederb

	* include/Inventor/SbPlane.h,
	include/Inventor/projectors/SbProjector.h, src/base/SbPlane.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp:
	
	More robust SbPlaneProjector. Added new method
	SbPlane::intersect(SbPlane).

2001-10-11 09:44  larsa

	* HACKING, README:
	
	sections in software configurations and some build environment
	defines

2001-10-10 18:04  mortene

	* include/coindefs.h:
	
	Use SoDebugError instead of fprintf() on stderr.

2001-10-10 11:47  mortene

	* docs/misc-resources.txt:
	
	URL for in-depth explanation of various aspects of how OpenGL
	behaves and should be used on MSWindows platforms.

2001-10-09 21:57  mortene

	* src/actions/SoCallbackAction.cpp:
	
	Provide a full usage example.

2001-10-04 17:54  larsa

	* configure.in:
	
	bugfix for setting up OpenGL compilation environment

2001-10-04 17:26  larsa

	* include/Inventor/system/gl.h, src/misc/GLUWrapper.c:
	
	include glu.h through Invnetor/system/gl.h

2001-10-04 10:37  larsa

	* configure.in:
	
	reinstate -lwsock32 on Windows until we're totally free from it

2001-10-04 09:58  pederb

	* include/Inventor/misc/SoPick.h, src/misc/Makefile.am,
	src/misc/SoPick.cpp, src/nodes/SoCone.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoSphere.cpp:
	
	Moved some picking code into a separate file.

2001-10-03 15:34  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Verify node type before setting a part.

2001-10-03 15:32  pederb

	* include/Inventor/bundles/SoTextureCoordinateBundle.h,
	src/bundles/SoTextureCoordinateBundle.cpp:
	
	Fix to support other shape nodes than SoVertexShape.

2001-10-02 18:56  larsa

	* src/misc/SoDB.cpp:
	
	FIXME about select() usage and Win32

2001-10-02 17:22  larsa

	* src/: elements/SoOverrideElement.cpp, errors/SoDebugError.cpp,
	misc/SoGLImage.cpp, nodekits/SoInteractionKit.cpp,
	nodes/SoSeparator.cpp:
	
	change to tidbits-include for all files using coin_getenv()

2001-10-02 17:17  larsa

	* configure.in, src/Makefile.am, src/snprintf.c, src/snprintf.h,
	src/tidbits.c, src/tidbits.h, src/base/SbString.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp, src/misc/SoInput.cpp,
	src/misc/SoOutput.cpp:
	
	snprintf.* -> tidbits.* + GetEnvironmentVariable() test

2001-09-30 23:00  mortene

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/actions/SoRayPickAction.cpp, src/base/SbImage.cpp,
	src/draggers/SoDragPointDragger.cpp, src/engines/SoCalculator.cpp,
	src/misc/SoDB.cpp, src/misc/SoPickedPoint.cpp,
	src/nodes/SoEventCallback.cpp:
	
	Miscellaneous documentation updates and FIXMEs.

2001-09-30 22:06  mortene

	* bugs/0000-dragger-setpart.cpp.in:
	
	Test-case for bug with setPart() on composite draggers.

2001-09-28 15:43  larsa

	* configure.in:
	
	bugfix

2001-09-28 11:23  pederb

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp, SoMField.cpp:
	
	Bugfix1: Initialize allocated array to 0. This is needed since
	SoMFNode, SoMFEngine and SoMFPath dereferences the old values when
	a new value is set. Bugfix 2: Access the array directly in
	setValue() to avoid recursive evaluation caused by a getValue()
	call.

2001-09-27 12:38  mortene

	* include/Inventor/nodes/SoMarkerSet.h, src/nodes/SoMarkerSet.cpp:
	
	Adds a special enum value "NONE" for indicating that no marker
	should be rendered.  Written by kintel.

2001-09-26 23:13  mortene

	* docs/api-wish-list.txt:
	
	SbFile class for file and directory abstractions.

2001-09-26 17:07  pederb

	* src/misc/SoPath.cpp:
	
	Some simple but quite effective optimizations.

2001-09-26 14:20  pederb

	* src/engines/SoConcatenate.cpp:
	
	Major optimization.

2001-09-26 09:29  mortene

	* src/fields/: SFNodeEnginePath.tpl, SoSFEngine.cpp, SoSFNode.cpp,
	SoSFPath.cpp:
	
	Fix to avoid recursive calls to field evaluation.

2001-09-25 19:25  pederb

	* THANKS:
	
	Added Philippe Debanne

2001-09-25 19:21  pederb

	* src/fields/SoSFNode.cpp:
	
	Fixed bug in SoSFNode::setValue(), which caused recursive (and
	neverending) evaluation of fields/engines.

2001-09-25 18:59  pederb

	* include/Inventor/engines/SoSubEngine.h:
	
	Adds paranoid assertion.

2001-09-25 18:48  pederb

	* include/Inventor/engines/SoSubEngine.h:
	
	Fixes extremely ugly bug in SO_ENGINE_OUTPUT macro, which basically
	caused all engines to fail under certain conditions.

2001-09-25 17:31  larsa

	* bootstrap, configure.in, cfg/ltconfig.diff, cfg/ltmain.sh.diff:
	
	upgrade to libtool 1.4.2

2001-09-25 17:27  larsa

	* src/: snprintf.c, snprintf.h:
	
	compile fixes for C++ compilation

2001-09-25 15:53  mortene

	* include/Inventor/system/gl.h, src/misc/SoGLImage.cpp:
	
	Move OpenGL-defines to correct place.  Fix by larsa.

2001-09-24 14:42  pederb

	* src/nodes/: SoCone.cpp, SoCylinder.cpp, SoSphere.cpp:
	
	Set picked point normal and texture coordinates for these shapes.

2001-09-24 13:23  larsa

	* src/actions/SoSearchAction.cpp:
	
	clarify doc for isFound() method

2001-09-24 13:08  larsa

	* HACKING:
	
	new debugging tricks section

2001-09-24 12:55  larsa

	* src/actions/SoAction.cpp:
	
	doc update

2001-09-21 17:25  mortene

	* src/actions/SoRayPickAction.cpp:
	
	Improve documentation.

2001-09-21 14:27  pederb

	* src/nodes/SoCamera.cpp:
	
	Invalidate bounding box cache in SoCamera::getBoundingBox().

2001-09-21 13:29  mortene

	* include/Inventor/SbBasic.h.in:
	
	Don't use C++ comments in this file.

2001-09-20 18:01  larsa

	* docs/api-wish-list.txt:
	
	void SoAction::apply(SoAction * beingApplied) suggestion

2001-09-20 15:37  mortene

	* src/nodes/SoSwitch.cpp:
	
	Improvement to documentation, by larsa.

2001-09-20 13:46  mortene

	* src/actions/SoRayPickAction.cpp:
	
	Document the common problem of using SoRayPickAction on a
	scenegraph with no camera.

2001-09-19 21:49  larsa

	* docs/api-wish-list.txt:
	
	Updates on the following items * SoDB::registerImporter() * Make
	APIs for engine classes more consistent.

2001-09-19 11:53  mortene

	* src/nodes/SoNode.cpp:
	
	Fixes bug in searchaction behavior: _all_ criteria must match for a
	node, not just one.

2001-09-17 23:36  mortene

	* src/engines/SoOneShot.cpp:
	
	Fixes a nasty bug: initialize enum values for "flags" field.

2001-09-17 23:35  mortene

	* src/fields/: SoSFBitMask.cpp, SoSFEnum.cpp:
	
	Better error reporting for assert() checks.

2001-09-17 16:18  mortene

	* src/nodes/SoNurbsCurve.cpp:
	
	Work-around for bug in HP-UX aCC.  Reported by Sven-Kaare Evenseth.

2001-09-17 13:10  mortene

	* configure.in:
	
	Checking for OpenGL headers has been moved inside the
	SIM_AC_CHECK_OPENGL() macro.

2001-09-16 18:16  larsa

	* docs/api-wish-list.txt:
	
	ideas related to SoInput/SoOutput

2001-09-15 15:40  pederb

	* src/nodekits/SoInteractionKit.cpp:
	
	HPUX compile fix. Bug reported by Sven-Kaare Evenseth.

2001-09-14 13:37  mortene

	* src/draggers/SoDragPointDragger.cpp:
	
	Document a nasty bug with a FIXME.

2001-09-14 11:33  mortene

	* docs/coin.doxygen.in:
	
	Generate doc for SoClipPlaneManip.

2001-09-14 00:53  mortene

	* src/: actions/SoAction.cpp, base/SbRotation.cpp,
	details/SoDetail.cpp, draggers/SoDragPointDragger.cpp,
	draggers/SoDragger.cpp, elements/SoElement.cpp, errors/SoError.cpp,
	events/SoEvent.cpp, fields/SoField.cpp, fields/SoGlobalField.cpp,
	fields/SoSField.cpp, manips/SoHandleBoxManip.cpp, misc/SoBase.cpp,
	misc/SoGLBigImage.cpp, misc/SoGLImage.cpp, misc/SoGenerate.cpp,
	misc/SoState.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoInteractionKit.cpp, nodes/SoNode.cpp,
	nodes/SoNurbsCurve.cpp:
	
	Lots of new / updated documentation.  Some new FIXMEs.

2001-09-14 00:48  mortene

	* src/misc/SoDB.cpp:
	
	Bugfix for faulty return value type (used boolean where we should
	use SoNode pointer).

2001-09-14 00:44  mortene

	* src/base/SbName.cpp:
	
	Indentation and codestyle fixes.

2001-09-13 21:19  larsa

	* configure.in:
	
	Use SIM_AC_ERROR/SIM_AC_ENABLE_ERROR macros where appropriate. 
	Tidy up the "--enable-hacking"-related variable setup section.

2001-09-13 20:22  larsa

	* FAQ, HACKING, LICENSE.GPL, LICENSE.LGPL:
	
	untabify

2001-09-13 20:22  larsa

	* NEWS:
	
	updates

2001-09-13 20:18  larsa

	* docs/api-wish-list.txt:
	
	Add a couple of cross references.  Cosmetics.

2001-09-13 19:39  larsa

	* FAQ, INSTALL, INSTALL.GNU, Makefile.am, NEWS, README, THANKS,
	bootstrap, configure.in, cfg/errors.txt, cfg/install-header,
	man/.cvsignore, man/Makefile.am, man/man1/.cvsignore,
	man/man1/Makefile.am, src/Makefile.am, src/misc/GLUWrapper.h:
	
	Tweaks and updates - catching up to Coin-1 developments.  New
	bootstrap.

2001-09-13 19:38  larsa

	* man/man3/: .cvsignore, Makefile.am:
	
	Makefile for taking care of everything related to manpage
	documentation generation.

2001-09-13 19:38  larsa

	* html/: .cvsignore, Makefile.am:
	
	Makefile taking care of everything related to HTML documentation
	generation.

2001-09-13 19:36  larsa

	* packaging/redhat/coin.spec.in:
	
	redhat packaging template files

2001-09-13 19:36  larsa

	* packaging/debian/: changelog.in, coin1-dev.files.in,
	coin1-doc.files.in, coin1.files.in, control.in, copyright.in,
	libcoin1-dev.files.in, libcoin1-doc.files.in, libcoin1.files.in,
	libcoin40-dev.README.Debian.in, libcoin40-dev.files.in,
	libcoin40-doc.README.Debian.in, libcoin40-doc.doc-base.in,
	libcoin40-doc.files.in, libcoin40-runtime.README.Debian.in,
	libcoin40-runtime.files.in, libcoin40.README.Debian.in,
	libcoin40.files.in, postinst.in, rules.in:
	
	debian packaging template files

2001-09-13 19:36  larsa

	* src/: actions/SoGLRenderAction.cpp, bundles/SoMaterialBundle.cpp,
	bundles/SoTextureCoordinateBundle.cpp, caches/SoGLCacheList.cpp,
	elements/SoGLAmbientColorElement.cpp,
	elements/SoGLCacheContextElement.cpp,
	elements/SoGLClipPlaneElement.cpp,
	elements/SoGLColorIndexElement.cpp,
	elements/SoGLCoordinateElement.cpp,
	elements/SoGLDiffuseColorElement.cpp, elements/SoGLDisplayList.cpp,
	elements/SoGLDrawStyleElement.cpp,
	elements/SoGLEmissiveColorElement.cpp,
	elements/SoGLEnvironmentElement.cpp,
	elements/SoGLLightIdElement.cpp,
	elements/SoGLLightModelElement.cpp,
	elements/SoGLLinePatternElement.cpp,
	elements/SoGLLineWidthElement.cpp,
	elements/SoGLModelMatrixElement.cpp,
	elements/SoGLNormalElement.cpp, elements/SoGLNormalizeElement.cpp,
	elements/SoGLPointSizeElement.cpp,
	elements/SoGLPolygonOffsetElement.cpp,
	elements/SoGLPolygonStippleElement.cpp,
	elements/SoGLProjectionMatrixElement.cpp,
	elements/SoGLShadeModelElement.cpp,
	elements/SoGLShapeHintsElement.cpp,
	elements/SoGLShininessElement.cpp,
	elements/SoGLSpecularColorElement.cpp,
	elements/SoGLTextureCoordinateElement.cpp,
	elements/SoGLTextureEnabledElement.cpp,
	elements/SoGLTextureImageElement.cpp,
	elements/SoGLTextureMatrixElement.cpp,
	elements/SoGLUpdateAreaElement.cpp,
	elements/SoGLViewingMatrixElement.cpp,
	elements/SoGLViewportRegionElement.cpp, misc/SoGL.cpp,
	misc/SoGLBigImage.cpp, misc/SoGLImage.cpp,
	misc/SoOffscreenRenderer.cpp, misc/SoSceneManager.cpp,
	nodes/SoAnnotation.cpp, nodes/SoAsciiText.cpp, nodes/SoCamera.cpp,
	nodes/SoDirectionalLight.cpp, nodes/SoExtSelection.cpp,
	nodes/SoFaceSet.cpp, nodes/SoImage.cpp, nodes/SoIndexedFaceSet.cpp,
	nodes/SoIndexedLineSet.cpp, nodes/SoIndexedNurbsCurve.cpp,
	nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoIndexedTriangleStripSet.cpp, nodes/SoLineSet.cpp,
	nodes/SoMarkerSet.cpp, nodes/SoNode.cpp, nodes/SoNurbsCurve.cpp,
	nodes/SoNurbsProfile.cpp, nodes/SoNurbsSurface.cpp,
	nodes/SoPointLight.cpp, nodes/SoPointSet.cpp, nodes/SoQuadMesh.cpp,
	nodes/SoSeparator.cpp, nodes/SoShape.cpp, nodes/SoSpotLight.cpp,
	nodes/SoText2.cpp, nodes/SoText3.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp,
	nodes/SoTextureCoordinatePlane.cpp, nodes/SoTriangleStripSet.cpp,
	nodes/SoWWWInline.cpp, nodes/soshape_bigtexture.cpp,
	nodes/soshape_trianglesort.cpp:
	
	use the new Inventor/system/gl.h header

2001-09-13 19:35  larsa

	* include/Inventor/system/: Makefile.am, gl.h:
	
	new header for taking care of system anomalies and including gl.h

2001-09-13 16:06  mortene

	* src/misc/: GLUWrapper.c, simage_wrapper.c:
	
	Kill two nasty cases of the same bug: the singleton access
	functions were calling themselves recursively.

2001-09-12 17:36  larsa

	* src/engines/Makefile.am:
	
	dist evaluator*

2001-09-12 17:34  mortene

	* README.MAC:
	
	Copied from the stable branch.

2001-09-12 17:33  mortene

	* src/: errors/SoDebugError.cpp, misc/SoBase.cpp,
	nodes/SoText2.cpp:
	
	Misc documentation updates.

2001-09-11 17:36  pederb

	* src/elements/SoGLDisplayList.cpp:
	
	Be more portable when handling GLuint variables. Also added some
	asserts to make sure only one texture object is created at a time.
	Problem reported by Karin Kosina.

2001-09-11 17:21  mortene

	* src/engines/: SoConcatenate.cpp, SoGate.cpp, SoSelectOne.cpp:
	
	Document how some engines are inconsistent with the majority for
	the output field.

2001-09-11 17:19  mortene

	* docs/api-wish-list.txt:
	
	Make engines API more consistent.

2001-09-11 17:18  mortene

	* src/: elements/SoGLShapeHintsElement.cpp, nodes/SoShapeHints.cpp:
	
	Document behavior of how SoShapeHints influences rendering of
	polygon primitives.

2001-09-11 13:10  larsa

	* src/fields/SoMField.cpp:
	
	Use <stdlib.h> instead of <malloc.h> for malloc() prototype (ANSI
	C).

2001-09-11 12:14  mortene

	* src/base/SbMatrix.cpp:
	
	Optimization: avoid excessive use of the [] operator.

2001-09-11 10:56  mortene

	* src/engines/SoEngineOutput.cpp:
	
	Save about 1kB of memory use for each engine output.  Thanks to
	pederb.

2001-09-10 17:05  mortene

	* THANKS, include/Inventor/engines/SoEngineOutput.h,
	src/engines/SoEngineOutput.cpp:
	
	The preservation of notifyenabled flags was fubar.  This is both
	bugfix and optimization.

2001-09-10 16:57  mortene

	* include/Inventor/engines/SoSubEngine.h:
	
	Compile fix (don't use line-continuation backslashes inside
	comments in macros -- fails with SGI MIPSpro, at least).
	
	Optimize and properly comment the engineoutput -> field value
	forwarding macro.

2001-09-10 16:54  mortene

	* include/Inventor/nodes/SoIndexedShape.h:
	
	FIXME note about unused variables.

2001-09-10 00:07  mortene

	* src/draggers/: SoDragPointDragger.cpp, SoDragger.cpp:
	
	Class doc for SoDragPointDragger.  Typo fixes for SoDragger doc.

2001-09-09 23:44  mortene

	* src/draggers/: SoCenterballDragger.cpp,
	SoDirectionalLightDragger.cpp, SoDragPointDragger.cpp,
	SoDragger.cpp, SoHandleBoxDragger.cpp, SoJackDragger.cpp,
	SoPointLightDragger.cpp, SoRotateCylindricalDragger.cpp,
	SoRotateDiscDragger.cpp, SoRotateSphericalDragger.cpp,
	SoScale1Dragger.cpp, SoScale2Dragger.cpp,
	SoScale2UniformDragger.cpp, SoScaleUniformDragger.cpp,
	SoSpotLightDragger.cpp, SoTabBoxDragger.cpp, SoTabPlaneDragger.cpp,
	SoTrackballDragger.cpp, SoTransformBoxDragger.cpp,
	SoTransformerDragger.cpp, SoTranslate1Dragger.cpp,
	SoTranslate2Dragger.cpp:
	
	Common doc for all dragger class destructors.

2001-09-09 23:12  mortene

	* src/: manips/SoTransformManip.cpp, nodes/SoNurbsCurve.cpp:
	
	Improve documentation.

2001-09-09 22:46  mortene

	* docs/coin.doxygen.in:
	
	Generate Doxygen documentation for all manipulator classes.

2001-09-09 14:34  larsa

	* docs/misc-resources.txt:
	
	SoGlut

2001-09-06 16:46  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Limit the number of subtextures that can be changes/resized each
	frame. This will yield much smoother frame rates when, for
	instance, zooming in on a billboard with a big texture.

2001-09-05 17:00  mortene

	* docs/api-wish-list.txt:
	
	_Really_ elaborate on the SbBool item (too trigger-happy with the
	last commit).

2001-09-05 16:58  mortene

	* docs/api-wish-list.txt:
	
	Elaborate on the incompabilities resulting from the SbReal and
	SbBool items.

2001-09-05 16:47  mortene

	* docs/api-wish-list.txt:
	
	For the SbBool-item, mention the FIXME in SbBasic.h.in.

2001-09-05 16:20  larsa

	* docs/api-wish-list.txt:
	
	Item on new SbReal typedef.  Item on existing SbBool typedef.

2001-09-03 10:44  mortene

	* src/fields/: SoField.cpp, SoMField.cpp:
	
	Documentation improvements.

2001-08-29 17:14  mortene

	* docs/coin.doxygen.in:
	
	Let Doxygen know about SoCompose.h.

2001-08-29 17:04  mortene

	* src/base/SbClip.cpp:
	
	Miniscule typo fix in doc.

2001-08-29 17:01  mortene

	* src/: base/SbClip.cpp, base/SbDict.cpp, base/SbName.cpp,
	bundles/SoBundle.cpp, bundles/SoMaterialBundle.cpp,
	bundles/SoTextureCoordinateBundle.cpp,
	caches/SoBoundingBoxCache.cpp, caches/SoCache.cpp,
	caches/SoConvexDataCache.cpp, caches/SoGLCacheList.cpp,
	caches/SoGLRenderCache.cpp, caches/SoNormalCache.cpp,
	elements/SoAccumulatedElement.cpp,
	elements/SoAmbientColorElement.cpp,
	elements/SoAnnoText3CharOrientElement.cpp,
	elements/SoAnnoText3FontSizeHintElement.cpp,
	elements/SoAnnoText3RenderPrintElement.cpp,
	elements/SoBBoxModelMatrixElement.cpp, elements/SoCacheElement.cpp,
	elements/SoClipPlaneElement.cpp, elements/SoComplexityElement.cpp,
	elements/SoComplexityTypeElement.cpp,
	elements/SoCoordinateElement.cpp,
	elements/SoCreaseAngleElement.cpp, elements/SoCullElement.cpp,
	elements/SoDecimationPercentageElement.cpp,
	elements/SoDecimationTypeElement.cpp,
	elements/SoDiffuseColorElement.cpp,
	elements/SoDrawStyleElement.cpp, elements/SoElement.cpp,
	elements/SoEmissiveColorElement.cpp,
	elements/SoEnvironmentElement.cpp, elements/SoFloatElement.cpp,
	elements/SoFocalDistanceElement.cpp,
	elements/SoFontNameElement.cpp, elements/SoFontSizeElement.cpp,
	elements/SoGLAmbientColorElement.cpp,
	elements/SoGLCacheContextElement.cpp,
	elements/SoGLClipPlaneElement.cpp,
	elements/SoGLColorIndexElement.cpp,
	elements/SoGLCoordinateElement.cpp,
	elements/SoGLDiffuseColorElement.cpp, elements/SoGLDisplayList.cpp,
	elements/SoGLDrawStyleElement.cpp,
	elements/SoGLEmissiveColorElement.cpp,
	elements/SoGLEnvironmentElement.cpp, elements/SoGLLazyElement.cpp,
	elements/SoGLLightIdElement.cpp,
	elements/SoGLLightModelElement.cpp,
	elements/SoGLLinePatternElement.cpp,
	elements/SoGLLineWidthElement.cpp,
	elements/SoGLModelMatrixElement.cpp,
	elements/SoGLNormalElement.cpp, elements/SoGLNormalizeElement.cpp,
	elements/SoGLPolygonOffsetElement.cpp,
	elements/SoGLPolygonStippleElement.cpp,
	elements/SoGLProjectionMatrixElement.cpp,
	elements/SoGLRenderPassElement.cpp,
	elements/SoGLShadeModelElement.cpp,
	elements/SoGLShapeHintsElement.cpp,
	elements/SoGLShininessElement.cpp,
	elements/SoGLSpecularColorElement.cpp,
	elements/SoGLTextureCoordinateElement.cpp,
	elements/SoGLTextureEnabledElement.cpp,
	elements/SoGLTextureImageElement.cpp,
	elements/SoGLTextureMatrixElement.cpp,
	elements/SoGLUpdateAreaElement.cpp,
	elements/SoGLViewingMatrixElement.cpp,
	elements/SoGLViewportRegionElement.cpp,
	elements/SoInt32Element.cpp, elements/SoLazyElement.cpp,
	elements/SoLightAttenuationElement.cpp,
	elements/SoLightElement.cpp, elements/SoLightModelElement.cpp,
	elements/SoLinePatternElement.cpp, elements/SoLineWidthElement.cpp,
	elements/SoLocalBBoxMatrixElement.cpp,
	elements/SoMaterialBindingElement.cpp,
	elements/SoModelMatrixElement.cpp,
	elements/SoNormalBindingElement.cpp, elements/SoNormalElement.cpp,
	elements/SoOverrideElement.cpp, elements/SoPickRayElement.cpp,
	elements/SoPickStyleElement.cpp, elements/SoPointSizeElement.cpp,
	elements/SoPolygonOffsetElement.cpp,
	elements/SoProfileCoordinateElement.cpp,
	elements/SoProfileElement.cpp,
	elements/SoProjectionMatrixElement.cpp,
	elements/SoReplacedElement.cpp, elements/SoShapeHintsElement.cpp,
	elements/SoShapeStyleElement.cpp, elements/SoShininessElement.cpp,
	elements/SoSpecularColorElement.cpp, elements/SoSwitchElement.cpp,
	elements/SoTextOutlineEnabledElement.cpp,
	elements/SoTextureCoordinateBindingElement.cpp,
	elements/SoTextureCoordinateElement.cpp,
	elements/SoTextureImageElement.cpp,
	elements/SoTextureMatrixElement.cpp,
	elements/SoTextureOverrideElement.cpp,
	elements/SoTextureQualityElement.cpp,
	elements/SoTextureScalePolicyElement.cpp,
	elements/SoTransparencyElement.cpp, elements/SoUnitsElement.cpp,
	elements/SoViewVolumeElement.cpp,
	elements/SoViewingMatrixElement.cpp,
	elements/SoViewportRegionElement.cpp, elements/SoWindowElement.cpp,
	engines/SoOutputData.cpp, errors/SoDebugError.cpp,
	errors/SoError.cpp, errors/SoMemoryError.cpp,
	errors/SoReadError.cpp, misc/SoDB.cpp, misc/SoFullPath.cpp,
	misc/SoLightPath.cpp, misc/SoNormalGenerator.cpp,
	misc/SoPickedPoint.cpp, misc/SoPrimitiveVertex.cpp,
	misc/SoTempPath.cpp:
	
	Group all classes into documentationgroups. Misc other
	documentation improvements.

2001-08-29 15:18  mortene

	* docs/api-wish-list.txt:
	
	SoMarkerSet scaling.

2001-08-29 15:16  mortene

	* include/Inventor/SbLinear.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp:
	
	In Doxygen class-documentation for SoCompose* and SoDecompose*
	engines, point to OIV-API compatible SoCompose.h header file
	instead of Coin-specific headers.  Problem reported by kintel.

2001-08-28 12:00  pederb

	* src/elements/SoGLPolygonOffsetElement.cpp:
	
	SGI IRIX compile fix.

2001-08-27 22:54  larsa

	* FAQ:
	
	We now have some frequently asked questions to report.

2001-08-27 22:53  larsa

	* README:
	
	A more appealing and descriptive README file.  Modified for Coin
	2.0 warnings.

2001-08-26 12:48  mortene

	* THANKS, src/base/all.cpp, src/caches/all.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoSpecularColorElement.cpp, src/elements/all.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp,
	src/misc/all.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoWWWInline.cpp, src/nodes/all.cpp,
	src/nodes/soshape_primdata.cpp:
	
	Misc fixes to make "--enable-compact" build-setup work again. 
	Thanks to Dan Stewart for notifying us about this problem.

2001-08-24 12:01  mortene

	* HACKING:
	
	Updates coding standard.

2001-08-24 10:56  mortene

	* src/: elements/SoGLPointSizeElement.cpp, nodes/SoDrawStyle.cpp:
	
	Recognize a pointsize value of 0.0 as a dummy default value.

2001-08-23 18:45  larsa

	* man/: Makefile.am, man1/Makefile.am, man1/coin-config.man:
	
	coin-config man-page contributed by Steve M. Robbins.

2001-08-23 18:41  mortene

	* src/: caches/SoNormalCache.cpp, nodes/SoText3.cpp:
	
	Compile fixes after removing unnecessary float.h inclusion from
	some base classes.

2001-08-23 18:40  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Center markers at the projected 3D coordinates before rendering. 
	Thanks to Nigel Murry for notifying us about the bug.

2001-08-23 17:20  mortene

	* src/nodes/SoDrawStyle.cpp:
	
	Don't send invalid pointsize value 0.0 to SoPointSizeElement.

2001-08-23 16:18  larsa

	* packaging/debian/: coin1-doc.files.in, libcoin1-doc.files.in,
	rules.in:
	
	Install html-doc in /usr/share/doc instead of /usr/doc

2001-08-23 16:13  mortene

	* src/: base/SbBox3f.cpp, fields/SoMFVec3f.cpp, misc/SoInput.cpp,
	misc/default2dfont.cpp, nodes/SoCamera.cpp, nodes/SoDrawStyle.cpp,
	nodes/SoEventCallback.cpp, nodes/SoPointSet.cpp, nodes/SoScale.cpp,
	nodes/SoSeparator.cpp, nodes/SoSurroundScale.cpp:
	
	Much new documentation and various documentation fixes.

2001-08-23 16:10  mortene

	* src/misc/2d-font.xpm:
	
	Minor simplification.

2001-08-23 16:02  mortene

	* include/Inventor/elements/SoGLPointSizeElement.h,
	src/elements/SoGLPointSizeElement.cpp:
	
	Adds new static method getValidRange().  Documents class.  More
	robust handling of invalid pointsize setting.

2001-08-23 16:00  larsa

	* packaging/debian/: coin1-doc.files.in, libcoin1-doc.files.in,
	rules.in:
	
	Move man-file-installation from usr/man to usr/share/man.

2001-08-23 15:59  mortene

	* include/Inventor/SbBox2f.h, include/Inventor/SbBox3f.h,
	src/base/SbBox2f.cpp, src/base/SbBox3f.cpp:
	
	Move include that was unnecessary in the header file.

2001-08-23 15:57  mortene

	* docs/projects.txt:
	
	Typo fix.

2001-08-23 15:39  larsa

	* packaging/debian/: coin1-dev.files.in, coin1-doc.files.in,
	coin1.files.in, control.in, copyright.in, libcoin1-dev.files.in,
	libcoin1-doc.files.in, libcoin1.files.in, rules.in:
	
	Package name changes coin# to libcoin#.  Misc other updates.

2001-08-23 14:31  larsa

	* NEWS:
	
	Same NEWS as in Coin-1

2001-08-23 14:31  larsa

	* Makefile.am:
	
	Change in doxygen and debian rules.

2001-08-23 14:25  larsa

	* packaging/debian/changelog.in:
	
	Improved templating.

2001-08-23 14:24  larsa

	* packaging/debian/control.in:
	
	Packages setup.

2001-08-23 14:24  larsa

	* packaging/debian/copyright.in:
	
	More extensive information.

2001-08-23 14:24  larsa

	* packaging/debian/: coin1-dev.files.in, coin1-doc.files.in,
	coin1.files.in:
	
	Directions for which files goes to what packages...

2001-08-23 14:23  larsa

	* packaging/debian/rules.in:
	
	Use debhelper wrappers instead of dpkg directly.

2001-08-23 14:17  mortene

	* include/Inventor/SbBasic.h.in, src/misc/SoDB.cpp:
	
	Cleanup: moves Doxygen items from SbBasic.h.in to SoDB.

2001-08-22 13:27  larsa

	* Metadon.conf, src/actions/actions.metadon, src/base/base.metadon,
	src/bundles/bundles.metadon, src/caches/caches.metadon,
	src/details/details.metadon, src/draggers/draggers.metadon,
	src/elements/elements.metadon, src/engines/engines.metadon,
	src/errors/errors.metadon, src/events/events.metadon,
	src/fields/fields.metadon, src/lists/lists.metadon,
	src/manips/manips.metadon, src/misc/general.metadon,
	src/nodekits/nodekits.metadon, src/nodes/nodes.metadon,
	src/projectors/projectors.metadon, src/sensors/sensors.metadon:
	
	Obsolete.

2001-08-22 13:27  larsa

	* HACKING:
	
	Inserted code standard text from Metadon.conf.

2001-08-21 19:10  larsa

	* docs/projects.txt:
	
	updates and removals

2001-08-21 16:19  larsa

	* HACKING:
	
	General information update.

2001-08-21 15:03  mortene

	* src/: snprintf.c, snprintf.h,
	elements/SoGLPolygonOffsetElement.cpp,
	elements/SoOverrideElement.cpp, errors/SoDebugError.cpp,
	misc/SoGLImage.cpp, misc/SoInput.cpp,
	nodekits/SoInteractionKit.cpp, nodes/SoSeparator.cpp:
	
	Better environment handling for Win32.

2001-08-21 14:55  mortene

	* src/: actions/SoGLRenderAction.cpp, nodes/SoTexture2.cpp:
	
	Fixes minor typos.

2001-08-21 00:36  mortene

	* THANKS:
	
	Adds Jahn Otto Næsgaard Andersen.

2001-08-19 14:07  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Bugfix when using GLRenderAction to generate primitives with
	texture coordinates. Bug could result in an assert failure in
	SoTextureCoordinateElement::get(point,normal) when primitive had an
	SoVertexProperty node.

2001-08-17 18:04  pederb

	* src/misc/SoState.cpp:
	
	Assert that element is enabled before returning it in getElement()
	and getElementNoPush().

2001-08-17 17:13  mortene

	* src/: base/SbMatrix.cpp, base/SbTime.cpp,
	caches/SoNormalCache.cpp:
	
	Fix erranusly spellink of "erranus". \;\)

2001-08-17 16:09  larsa

	* Makefile.am, packaging/debian/control.in,
	packaging/debian/postinst.in, packaging/debian/rules.in:
	
	Updates to debian setup.

2001-08-16 16:02  mortene

	* docs/coin.doxygen.in, src/details/SoConeDetail.cpp,
	src/details/SoCubeDetail.cpp, src/details/SoCylinderDetail.cpp,
	src/details/SoDetail.cpp, src/draggers/SoCenterballDragger.cpp,
	src/lists/SoAuditorList.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodes/SoLocateHighlight.cpp:
	
	Misc documentation updates.

2001-08-16 14:48  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Tags obsoleted functions with COIN_OBSOLETED().

2001-08-16 13:00  mortene

	* docs/coin.doxygen.in:
	
	Generate documentation for dragger classes.

2001-08-16 12:59  mortene

	* src/draggers/: SoCenterballDragger.cpp,
	SoDirectionalLightDragger.cpp, SoDragPointDragger.cpp,
	SoHandleBoxDragger.cpp, SoPointLightDragger.cpp,
	SoRotateCylindricalDragger.cpp, SoRotateDiscDragger.cpp,
	SoRotateSphericalDragger.cpp, SoScale1Dragger.cpp,
	SoScale2Dragger.cpp, SoScale2UniformDragger.cpp,
	SoScaleUniformDragger.cpp, SoSpotLightDragger.cpp,
	SoTrackballDragger.cpp, SoTransformBoxDragger.cpp,
	SoTranslate1Dragger.cpp, SoTranslate2Dragger.cpp:
	
	Adds "stubs" for class documentation.

2001-08-16 12:57  mortene

	* src/draggers/SoTransformerDragger.cpp:
	
	Converts some methods erraneously marked as STUBs to being marked
	as OBSOLETED.

2001-08-16 12:33  mortene

	* src/nodes/SoTexture2.cpp:
	
	Converted a method erraneously marked as a STUB to OBSOLETED. 
	Wrote some class documentation.

2001-08-16 12:22  mortene

	* src/nodes/SoWWWInline.cpp:
	
	Class documentation. Bugfix for getFullURLName() method.

2001-08-15 21:15  larsa

	* Makefile.am:
	
	New 'debian-setup' rule.

2001-08-15 21:13  larsa

	* packaging/debian/: changelog.in, control.in, copyright.in,
	rules.in:
	
	Debian setup files.

2001-08-15 16:46  mortene

	* src/: manips/SoClipPlaneManip.cpp, nodes/SoClipPlane.cpp,
	nodes/SoMarkerSet.cpp, nodes/SoPointSet.cpp,
	nodes/SoPolygonOffset.cpp:
	
	Misc documentation fixes.

2001-08-15 16:42  larsa

	* docs/api-wish-list.txt:
	
	Added SoFocusEvent proposal.

2001-08-15 16:36  mortene

	* NEWS:
	
	Mention SoMarkerSet node and SoClipPlaneManip manipulator
	extensions.

2001-08-15 10:44  pederb

	* src/nodes/SoRotor.cpp:
	
	Fixed sensor handling bug.

2001-08-14 17:05  pederb

	* include/unconfig.h:
	
	Undef COIN_VERSION defines to kill some compiler warnings. Some
	typofixes by larsa.

2001-08-14 13:02  mortene

	* src/misc/SoInput.cpp:
	
	Warn about the SoInput methods with FILE* arguments or return
	values (they'll cause crashes when used in MSWindows DLLs).

2001-08-13 18:14  larsa

	* ChangeLog.1999, ChangeLog.2000:
	
	Cleaned up some cvs2cl.pl randomness...

2001-08-13 17:20  larsa

	* NEWS:
	
	NEWS for v1.0

2001-08-13 16:47  larsa

	* .cvsignore, Makefile.am, configure.in,
	data/draggerDefaults/Makefile.am, include/.cvsignore,
	include/Makefile.am, include/Inventor/Makefile.am,
	include/Inventor/lock/Makefile.am,
	include/Inventor/system/Makefile.am, src/Makefile.am,
	src/VRMLnodes/Makefile.am, src/actions/Makefile.am,
	src/base/Makefile.am, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/details/Makefile.am,
	src/draggers/Makefile.am, src/elements/Makefile.am,
	src/engines/Makefile.am, src/errors/Makefile.am,
	src/events/Makefile.am, src/fields/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/misc/Makefile.am, src/nodekits/Makefile.am,
	src/nodes/Makefile.am, src/projectors/Makefile.am,
	src/sensors/Makefile.am:
	
	Adjustments for "make distcheck".

2001-08-10 15:43  pederb

	* include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h, src/misc/SoGLBigImage.cpp,
	src/misc/SoGLImage.cpp:
	
	Support texture resource handling also for SoGLBigImage.

2001-08-10 13:26  mortene

	* src/nodes/SoText3.cpp:
	
	Document field default values.

2001-08-10 11:59  mortene

	* include/Inventor/SbBasic.h.in:
	
	Fixes blunder which made it impossible to build Coin as a static
	.lib under Cygwin + MSWindows.

2001-08-10 10:03  mortene

	* THANKS:
	
	Adds Steve M Robbins.

2001-08-09 18:39  larsa

	* Makefile.am:
	
	Dependency to srcdir instead of builddir.

2001-08-09 16:57  larsa

	* Makefile.am, coin.cfg.in, configure.in:
	
	Cygwin issues: - Install wrapmsvc.exe.	- Use the installed
	compiler from coin-config so the source hierarchy can	be removed
	after the build.

2001-08-09 13:03  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Added new static method, SoGLImage::freeAllImages().

2001-08-09 12:56  larsa

	* NEWS:
	
	Added the HPUX-extension SoAction::IN_PATH

2001-08-09 12:49  mortene

	* src/nodes/SoColorIndex.cpp:
	
	FIXME about checking for pre-conditions.

2001-08-09 12:36  mortene

	* configure.in:
	
	Recognize wrapmsvc.exe as a tested compiler for Cygwin.

2001-08-09 12:36  pederb

	* include/Inventor/misc/SoGLImage.h:
	
	Forgot to commit this file in latest SoGLImage fix.

2001-08-09 12:02  pederb

	* src/misc/SoGLImage.cpp:
	
	Define some GL enums if not defined. GL_CLAMP_TO_EDGE test is now
	100% run-time.

2001-08-09 11:48  pederb

	* include/Inventor/elements/SoGLTextureImageElement.h,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp:
	
	Fixed recently introduced texture quality bug. Also improved
	texture quality handling by recreating the display list if a
	mipmapped image is requested for a non-mipmapped display list. Bug
	reported by Alan Walford.

2001-08-09 11:11  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Tag internal images to avoid that the texture resource handler
	frees the display lists too soon.

2001-08-09 08:43  mortene

	* NEWS, src/misc/SoGLImage.cpp, src/nodes/SoText3.cpp:
	
	Fixes typos in doc.

2001-08-08 15:55  pederb

	* src/misc/SoGenerate.cpp:
	
	Fixed texture coordinate bug in generated primitives for SoCube.

2001-08-08 15:25  mortene

	* configure.in:
	
	Bugfix, set up CPPFLAGS etc for static version of the lib.

2001-08-08 14:32  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Implemented writeToPostscript(fp, pagesize).

2001-08-08 14:04  pederb

	* include/Inventor/misc/SoGLImage.h,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp:
	
	Implemented support for texture resource handling.

2001-08-08 12:43  mortene

	* README.WIN32:
	
	Minor typo fix.

2001-08-08 11:04  mortene

	* README.WIN32:
	
	Updates to information about building on Win32.

2001-08-08 10:48  mortene

	* src/: Make-Common.tpl, VRMLnodes/Makefile.am,
	actions/Makefile.am, base/Makefile.am, bundles/Makefile.am,
	caches/Makefile.am, details/Makefile.am, draggers/Makefile.am,
	elements/Makefile.am, engines/Makefile.am, errors/Makefile.am,
	events/Makefile.am, fields/Makefile.am, lists/Makefile.am,
	manips/Makefile.am, misc/Makefile.am, nodekits/Makefile.am,
	nodes/Makefile.am, projectors/Makefile.am, sensors/Makefile.am,
	vrml97/Makefile.am:
	
	Use new compiler wrapper on Cygwin / Win32.

2001-08-07 14:07  mortene

	* src/nodes/SoWWWInline.cpp:
	
	Make get_private_data() static.

2001-08-07 11:11  pederb

	* include/Inventor/elements/SoCreaseAngleElement.h,
	src/elements/SoCreaseAngleElement.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoShapeHints.cpp:
	
	Fix to handle VRML1 crease angle correctly.

2001-08-06 16:07  pederb

	* include/Inventor/nodes/SoWWWInline.h, src/nodes/SoWWWInline.cpp:
	
	Implemented this node, using an SbDict to avoid breaking the Coin
	1.0 ABI.

2001-08-06 15:59  pederb

	* src/nodes/: SoDirectionalLight.cpp, SoPointLight.cpp,
	SoSpotLight.cpp:
	
	Disable ambient contribution from light sources.

2001-08-03 00:23  larsa

	* docs/coin.doxygen.in:
	
	added detail classes

2001-08-02 16:07  larsa

	* docs/misc-resources.txt:
	
	Update on Kahlua maintainer.

2001-08-02 13:06  mortene

	* docs/misc-resources.txt:
	
	JNI.

2001-08-02 13:04  mortene

	* docs/misc-resources.txt:
	
	Kahlua.

2001-08-02 12:56  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Return TRUE, not FALSE, when writeToPostscript() succeeds :)

2001-08-02 01:33  larsa

	* configure.in:
	
	Use SIM_AS_TR_CPP instead of AC_TR_CPP which was obsoleted.

2001-08-02 01:29  larsa

	* .cvsignore:
	
	Hide autom4te.cache/

2001-08-02 01:28  larsa

	* bootstrap:
	
	Compare new aclocal.m4 to old one, and preserve timestamp if not
	updated, to make boostrapping *blindingly* fast with Autoconf
	2.52b.

2001-08-01 16:30  pederb

	* NEWS:
	
	Some extension items.

2001-08-01 14:08  larsa

	* NEWS:
	
	Added a few more of the Coin extensions

2001-07-30 13:57  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Test if line has length before doing line intersection testing.

2001-07-27 16:29  larsa

	* .cvsignore, Makefile.am, build/.cvsignore,
	data/draggerDefaults/Makefile.am, docs/.cvsignore,
	include/.cvsignore, include/Makefile.am,
	include/Inventor/Makefile.am, include/Inventor/system/.cvsignore,
	include/Inventor/system/Makefile.am, src/vrml97/.cvsignore:
	
	Fixes for "make dist" problems.  Now seems to work again.

2001-07-27 14:48  larsa

	* src/nodes/Makefile.am:
	
	File path corrections.

2001-07-27 14:32  larsa

	* src/Makefile.am:
	
	Added missing INCLUDES addition.

2001-07-27 14:20  larsa

	* cfg/texinfo.tex:
	
	Added because of a "make dist" peculiarity.

2001-07-27 13:22  larsa

	* configure.in, include/unconfig.h:
	
	Fix for annoying redefinition warning.

2001-07-27 13:11  larsa

	* cfg/depcomp:
	
	New depcomp.

2001-07-27 13:00  larsa

	* coin-config, coin.cfg.in, configure.in, src/Makefile.am,
	src/vrml97/Makefile.am, src/vrml97/all.cpp:
	
	New option --enable-vrml97 for enabling some code in development. 
	Corresponding --have-feature keyword "vrml97" for coin-config.

2001-07-26 17:59  pederb

	* src/: misc/SoGLqmeshTemplate.cpp, nodes/SoQuadMesh.cpp:
	
	Bugfix for PER_FACE material binding.

2001-07-26 12:01  pederb

	* src/nodes/SoCallback.cpp:
	
	Added some documentation.

2001-07-24 10:38  pederb

	* THANKS, src/caches/SoNormalCache.cpp:
	
	Fixed epsilon-too-large-bug in SoNormalCache. Bug reported by
	Christophe ATTANASIO.

2001-07-23 10:10  pederb

	* src/misc/SoGL.cpp:
	
	Fixed nurbs surface default texture mapping. Bug reported by
	kintel.

2001-07-23 09:53  pederb

	* src/misc/SoGLImage.cpp:
	
	Minor code cleanup.

2001-07-23 09:52  pederb

	* src/nodes/SoTexture2.cpp:
	
	Fixed recently introduced texture quality bug.

2001-07-22 20:58  larsa

	* NEWS:
	
	Start NEWS file for Web3D SDK CD beta release.

2001-07-22 20:57  larsa

	* configure.in:
	
	Remove diff-merge duplicate section causing syntax error.

2001-07-22 20:17  larsa

	* AUTHORS:
	
	Bootstrap.

2001-07-22 20:14  larsa

	* configure.in:
	
	Fix for $COIN_EXTRA_LIBS setup.

2001-07-21 16:56  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Implemented writeToPostScript(). Also implemented proper (weighted)
	convert-to-gray.

2001-07-20 13:46  kintel

	* src/caches/SoNormalCache.cpp:
	
	Typo

2001-07-20 13:38  pederb

	* docs/misc-resources.txt:
	
	Added opennurbs.com.

2001-07-19 18:12  larsa

	* coin-config:
	
	Improved/extended set of convenience functions.

2001-07-19 17:56  larsa

	* configure.in:
	
	cosmetics

2001-07-19 17:53  larsa

	* src/: Makefile.am, Make-Common.tpl, VRMLnodes/Makefile.am,
	actions/Makefile.am, base/Makefile.am, bundles/Makefile.am,
	caches/Makefile.am, details/Makefile.am, draggers/Makefile.am,
	elements/Makefile.am, engines/Makefile.am, errors/Makefile.am,
	events/Makefile.am, fields/Makefile.am, lists/Makefile.am,
	manips/Makefile.am, misc/Makefile.am, nodekits/Makefile.am,
	nodes/Makefile.am, projectors/Makefile.am, sensors/Makefile.am:
	
	Reinstate the suppression of header-installation for unchanged
	headers.

2001-07-19 17:00  larsa

	* src/system/.cvsignore:
	
	empty dir needs no .cvsignore

2001-07-19 16:53  larsa

	* configure.in:
	
	Removed non-functional AS_TR_CPP definition test.

2001-07-19 16:50  larsa

	* HACKING, configure.in:
	
	Moved the obsolete interface-information from configure.in to
	HACKING, to be updated before Coin 1.0.

2001-07-19 15:24  pederb

	* src/nodes/SoText2.cpp:
	
	Bugfix. Didn't check if SoRayPickAction::addIntersection() returned
	NULL.

2001-07-19 11:39  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Use textureQuality to decide if linear filtering should be enabled.

2001-07-19 11:19  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp,
	src/nodes/SoShape.cpp, src/nodes/soshape_bigtexture.cpp,
	src/nodes/soshape_bigtexture.h:
	
	Consider projected geometry size when creating subtextures to
	minimize GL texture usage.

2001-07-19 11:19  larsa

	* bootstrap:
	
	Accept latest Autoconf release.

2001-07-18 18:37  pederb

	* src/nodes/: SoShape.cpp, soshape_bigtexture.cpp,
	soshape_bigtexture.h:
	
	Recoded to optimize (sub)texture usage.

2001-07-18 14:56  larsa

	* Makefile.am, src/Make-Common.tpl,
	include/Inventor/system/Makefile.am, src/VRMLnodes/Makefile.am,
	src/actions/Makefile.am, src/base/Makefile.am,
	src/bundles/Makefile.am, src/caches/Makefile.am,
	src/details/Makefile.am, src/draggers/Makefile.am,
	src/elements/Makefile.am, src/engines/Makefile.am,
	src/errors/Makefile.am, src/events/Makefile.am,
	src/fields/Makefile.am, src/lists/Makefile.am,
	src/manips/Makefile.am, src/misc/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am:
	
	AM_CONDITIONAL hack on BUILD_WITH_MSVC disabled dependencies -
	reinstate.

2001-07-18 14:27  pederb

	* src/: misc/Makefile.am, nodes/Makefile.am, nodes/SoShape.cpp,
	nodes/SoTexture2.cpp, nodes/soshape_bigtexture.cpp,
	nodes/soshape_bigtexture.h, nodes/soshape_primdata.cpp,
	nodes/soshape_primdata.h, nodes/soshape_trianglesort.cpp,
	nodes/soshape_trianglesort.h:
	
	Active big texture handling. Cleaned up messy code in SoShape by
	moving code into some new files.

2001-07-18 14:25  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp:
	
	Alpha version of class for handling large textures.

2001-07-18 12:14  pederb

	* include/Inventor/elements/SoGLTextureImageElement.h,
	src/elements/SoGLTextureImageElement.cpp:
	
	Added static method for returning the current image. Some changes
	to use the new SoGLImage interface.

2001-07-18 12:13  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Cleaned up up and improved interface for this internal class.

2001-07-17 13:45  pederb

	* include/Inventor/SbClip.h, src/base/Makefile.am,
	src/base/SbClip.cpp:
	
	Added an (internal) polygon clipper class.

2001-07-17 12:51  pederb

	* docs/api-wish-list.txt:
	
	New item SoTexture2::CLAMP_TO_EDGE

2001-07-17 12:03  larsa

	* configure.in:
	
	Move compiler tests before OBJEXT/EXEEXT/LIBTOOL macros to solve
	the cause of the failing C preprocessor macro (/lib/cpp).

2001-07-16 18:31  pederb

	* include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	src/elements/Makefile.am, src/elements/SoElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/nodes/Makefile.am, src/nodes/SoNode.cpp,
	src/nodes/SoTextureScalePolicy.cpp:
	
	Added internal element and node for controlling texture image
	scaling.

2001-07-16 15:06  pederb

	* src/nodes/SoSurroundScale.cpp:
	
	Made the node more robust. An SoGetMatrixAction applied directly on
	the node would trigger an assert failure. Problem reported by
	kintel.

2001-07-16 14:41  mortene

	* src/misc/simage_wrapper.c:
	
	Information about HP-UX support for run-time binding to dynamic
	libraries.

2001-07-16 14:35  mortene

	* src/misc/SoState.cpp:
	
	Misc minor improvements to main class doc. FIXME about the lack of
	example sourcecode for writing extensions.
	
	Added to document-group "general classes". Problem reported by
	kintel.

2001-07-15 14:42  mortene

	* docs/: api-wish-list.txt, quat2euler.cpp:
	
	Euler conversion methods in SbRotation.

2001-07-12 11:49  larsa

	* include/Inventor/Makefile.am,
	include/Inventor/system/Makefile.am, src/Makefile.am:
	
	Don't fail on "make install" without normal build first.

2001-07-12 10:43  larsa

	* Makefile.am, coindefs.h, configure.in, include/Makefile.am,
	include/coindefs.h, include/Inventor/Makefile.am,
	include/Inventor/system/Makefile.am,
	include/Inventor/system/inttypes.h.in, src/Make-Common.tpl,
	src/Makefile.am, src/VRMLnodes/Makefile.am,
	src/actions/Makefile.am, src/base/Makefile.am,
	src/base/SbImage.cpp, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/details/Makefile.am,
	src/draggers/Makefile.am, src/elements/Makefile.am,
	src/engines/Makefile.am, src/errors/Makefile.am,
	src/events/Makefile.am, src/fields/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/misc/Makefile.am, src/misc/SoGLImage.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/simage_wrapper.c,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/projectors/Makefile.am, src/sensors/Makefile.am,
	src/system/Makefile.am:
	
	Remove many redundant and annoying -I compiler options.

2001-07-11 19:45  larsa

	* configure.in, include/Inventor/system/inttypes.h.in:
	
	Prefer <inttypes.h> before <stdint.h> when looking for
	size-specific int types.

2001-07-11 14:52  mortene

	* configure.in, include/Inventor/system/inttypes.h.in:
	
	Acknowledge <stdint.h> in the fixed-size bitwidth type checking.

2001-07-11 14:02  larsa

	* src/: Make-Common.tpl, Makefile.am, VRMLnodes/Makefile.am,
	actions/Makefile.am, base/Makefile.am, bundles/Makefile.am,
	caches/Makefile.am, details/Makefile.am, draggers/Makefile.am,
	elements/Makefile.am, engines/Makefile.am, errors/Makefile.am,
	events/Makefile.am, fields/Makefile.am, lists/Makefile.am,
	manips/Makefile.am, misc/Makefile.am, nodekits/Makefile.am,
	nodes/Makefile.am, projectors/Makefile.am, sensors/Makefile.am:
	
	Remove make warning on duplicate .lib: rule on non-Cygwin
	platforms.

2001-07-11 11:31  mortene

	* configure.in:
	
	Better descriptions on link-type for simage and GLU libraries in
	the configuration report.  Problem detected by Sven-Kåre Evenseth.

2001-07-11 11:22  mortene

	* src/nodes/SoRotor.cpp:
	
	Fix "future error" warning reported by HP-UX aCC. Thanks to
	Sven-Kåre Evenseth.

2001-07-11 09:58  mortene

	* src/lists/SbList.cpp:
	
	Doc.

2001-07-11 09:58  mortene

	* src/base/SbBSPTree.cpp:
	
	Cleans up some really ugly casts.

2001-07-11 09:48  mortene

	* src/engines/SoEngine.cpp:
	
	Fixes nasty code resulting in compiler warning with HP-UX aCC. 
	Reported by Sven-Kåre Evenseth.

2001-07-11 09:41  mortene

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Untabify.

2001-07-11 09:34  mortene

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Rewrites some nasty code causing warnings with the HP-UX aCC
	compiler.  Reported by Sven-Kåre Evenseth.

2001-07-11 08:36  mortene

	* THANKS, configure.in:
	
	Remove unnecessary and buggy duplisation of code in configure.in. 
	Problem reported by Sven-Kåre Evenseth.
	
	Factorized WGL detection code.

2001-07-10 16:46  larsa

	* README.DLL:
	
	Obsoleted warning - header #error takes care of this.

2001-07-10 16:30  larsa

	* configure.in, src/Make-Common.tpl, src/Makefile.am,
	src/VRMLnodes/Makefile.am, src/actions/Makefile.am,
	src/base/Makefile.am, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/details/Makefile.am,
	src/draggers/Makefile.am, src/elements/Makefile.am,
	src/engines/Makefile.am, src/errors/Makefile.am,
	src/events/Makefile.am, src/fields/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/misc/Makefile.am, src/nodekits/Makefile.am,
	src/nodes/Makefile.am, src/projectors/Makefile.am,
	src/sensors/Makefile.am:
	
	New bootstrap that disables libtool and unix-like cruft for
	Cygwin-hosted MSVC++ builds.

2001-07-10 16:11  mortene

	* src/: actions/soglrenderaction.scm,
	actions/ivy/soglrenderaction.scm, engines/sobooloperation.scm,
	engines/socalculator.scm, engines/socomposerotationfromto.scm,
	engines/socomposevec2f.scm, engines/socomputeboundingbox.scm,
	engines/soconcatenate.scm, engines/soelapsedtime.scm,
	engines/sogate.scm, engines/sointerpolatefloat.scm,
	engines/sointerpolaterotation.scm, engines/sooneshot.scm,
	engines/soselectone.scm, engines/sotimecounter.scm,
	engines/ivy/sobooloperation.scm, engines/ivy/socalculator.scm,
	engines/ivy/socomposerotationfromto.scm,
	engines/ivy/socomposevec2f.scm,
	engines/ivy/socomputeboundingbox.scm,
	engines/ivy/soconcatenate.scm, engines/ivy/soelapsedtime.scm,
	engines/ivy/sogate.scm, engines/ivy/sointerpolatefloat.scm,
	engines/ivy/sointerpolaterotation.scm, engines/ivy/sooneshot.scm,
	engines/ivy/soselectone.scm, engines/ivy/sotimecounter.scm,
	fields/somfield.scm, fields/ivy/somfield.scm, misc/soinput.scm,
	misc/ivy/soinput.scm, nodekits/soappearancekit.scm,
	nodekits/sobasekit.scm, nodekits/sonodekitlistpart.scm,
	nodekits/ivy/soappearancekit.scm, nodekits/ivy/sobasekit.scm,
	nodekits/ivy/sonodekitlistpart.scm, nodes/soblinker.scm,
	nodes/soextselection.scm, nodes/sonode.scm, nodes/sopendulum.scm,
	nodes/sorotor.scm, nodes/soselection.scm, nodes/soshuttle.scm,
	nodes/sotext3.scm, nodes/sotexture2.scm, nodes/ivy/soblinker.scm,
	nodes/ivy/soextselection.scm, nodes/ivy/sonode.scm,
	nodes/ivy/sopendulum.scm, nodes/ivy/sorotor.scm,
	nodes/ivy/soselection.scm, nodes/ivy/soshuttle.scm,
	nodes/ivy/sotext3.scm, nodes/ivy/sotexture2.scm:
	
	Sourcecode files for Ivy will now reside on their own directories.

2001-07-10 15:58  mortene

	* bootstrap:
	
	Allow current Automake installation on main SIM bootstrap box.

2001-07-10 15:58  mortene

	* src/misc/all.cpp:
	
	FIXME notification that the "compact" build might not be up-to-date
	with other changes.

2001-07-10 15:57  mortene

	* src/nodes/SoPointLight.cpp:
	
	Minor doc fix.

2001-07-10 15:01  mortene

	* src/misc/SoType.cpp:
	
	Write remaining documentation for the SoType class (kills half a
	dozen FIXME notes).

2001-07-10 14:53  mortene

	* src/misc/SoType.cpp:
	
	Small elaboration on the code example.

2001-07-10 14:44  larsa

	* bootstrap:
	
	Remove Automake warnings about non-standard library names.

2001-07-10 14:33  mortene

	* src/misc/SoType.cpp:
	
	Tag class documentation for proper documentation module group. Bug
	reported by kintel.
	
	Improve contents of class documentation.

2001-07-10 10:19  mortene

	* src/caches/SoGLCacheList.cpp:
	
	Tiny doc typo.

2001-07-10 10:02  mortene

	* HACKING:
	
	Link to the article in Dr Dobb's Journal which explains the
	principles behind our "pseudo-incremental" linking scheme.

2001-07-09 11:08  mortene

	* configure.in, src/misc/GLUWrapper.c:
	
	Re-instate the functionality for doing run-time binding against the
	GLU library.
	
	Also tries to fix a bug reported by Sven-Kåre Evenseth where
	linking fails on platforms with neither dlopen() nor LoadLibrary().

2001-07-09 11:06  mortene

	* src/misc/GLUWrapper.h:
	
	Minor doc fixes.

2001-07-09 10:21  mortene

	* src/misc/simage_wrapper.c:
	
	Compile fix for platforms with neither dlopen() nor LoadLibrary()
	(problem reported by Sven-Kåre Evenseth).

2001-07-06 17:17  pederb

	* docs/api-wish-list.txt:
	
	Suggest new node TextureAttribute

2001-07-06 14:21  mortene

	* docs/api-wish-list.txt:
	
	SoDB::registerImporter().

2001-07-06 13:31  pederb

	* src/actions/SoSearchAction.cpp:
	
	Added important notice about the usage of SoSearchAction.

2001-07-05 20:44  larsa

	* configure.in:
	
	Properly set up the -DCOIN_NOT_DLL flag for coin-config on Cygwin.

2001-07-03 13:57  mortene

	* docs/api-wish-list.txt:
	
	Typo fix.

2001-07-03 13:52  pederb

	* docs/api-wish-list.txt:
	
	Added comment about setOverride() on fields.

2001-07-03 13:29  mortene

	* docs/api-wish-list.txt:
	
	Alternative naming suggestion for SbMatrix::inversePossible().

2001-07-03 13:27  mortene

	* docs/api-wish-list.txt:
	
	Item about the lack of persistance of SoNode::setOverride(), as
	reported by kintel.

2001-07-03 13:15  mortene

	* docs/api-wish-list.txt:
	
	Adds mariusbu's suggestion for increased flexibility of
	SbList::find().
	
	Corrects Peder's overly pessimistic dating.

2001-07-03 10:24  pederb

	* src/nodes/SoTransformSeparator.cpp:
	
	Simplified code and removed erroneous assert in getMatrix(). Bug
	reported by Eivind Rovik.

2001-07-02 10:26  pederb

	* docs/api-wish-list.txt:
	
	New item SbMatrix::inversePossible().

2001-06-30 18:04  pederb

	* src/misc/GLUWrapper.c:
	
	Reverse previous patch.

2001-06-29 12:09  pederb

	* src/misc/GLUWrapper.c:
	
	Use run-time test when setting GLU 1.3 function pointer.

2001-06-29 11:58  mortene

	* docs/api-wish-list.txt:
	
	A couple of typos.

2001-06-28 14:35  larsa

	* docs/api-wish-list.txt:
	
	utf-8 comment

2001-06-28 14:27  mortene

	* docs/api-wish-list.txt:
	
	Suggest SbString / SbName / Coin internationalization.
	
	Fixes some typos.

2001-06-28 10:42  pederb

	* src/: actions/SoCallbackAction.cpp, actions/SoGLRenderAction.cpp,
	actions/SoGetBoundingBoxAction.cpp, actions/SoGetMatrixAction.cpp,
	actions/SoGetPrimitiveCountAction.cpp,
	actions/SoHandleEventAction.cpp, actions/SoPickAction.cpp,
	actions/SoRayPickAction.cpp, actions/SoSearchAction.cpp,
	actions/SoWriteAction.cpp, lists/SoActionMethodList.cpp,
	nodes/SoNode.cpp:
	
	OIV Conformance and bug fix for action method handling.

2001-06-27 21:45  pederb

	* src/nodes/SoText2.cpp:
	
	Added missing <string.h> include.

2001-06-27 21:39  pederb

	* src/: misc/SoOutput.cpp, nodes/SoAsciiText.cpp,
	nodes/SoMarkerSet.cpp:
	
	Added missing <string.h> include.

2001-06-27 14:11  mortene

	* src/misc/simage_wrapper.c:
	
	Kill obsoleted FIXME.

2001-06-27 13:36  mortene

	* src/misc/: simage_wrapper.c, simage_wrapper.h:
	
	Runtime binding against the simage library on MSWindows platforms.
	
	Also contains compile-fix for the ubiquitous brown-paper-bag bug.

2001-06-27 12:38  mortene

	* src/base/SbXfBox3f.cpp:
	
	Adds a FIXME comment about the SbXfBox3f degenerate matrix quickfix
	hack.

2001-06-27 12:04  pederb

	* src/: actions/SoRayPickAction.cpp, base/SbXfBox3f.cpp:
	
	Handle degenerate transformations.

2001-06-26 17:02  mortene

	* configure.in:
	
	Use the LoadLibrary() check.
	
	Bootstrap.

2001-06-26 15:48  pederb

	* src/elements/SoGLPolygonOffsetElement.cpp:
	
	Fix for recently introduced polygon offset bug.

2001-06-26 15:02  pederb

	* src/elements/SoGLPolygonOffsetElement.cpp:
	
	Fix for polygon offset on the SGI platform.

2001-06-25 12:35  mortene

	* src/misc/SoInput.cpp:
	
	Inform that SoInput::searchForFile() is an extension specific for
	Coin.

2001-06-25 12:29  pederb

	* src/base/SbImage.cpp:
	
	Forward SbImage::searchForFile() to SoInput::seachForFile().

2001-06-25 12:28  pederb

	* include/Inventor/SoInput.h, src/misc/SoInput.cpp:
	
	New (static) method SoInput::searchForFile().

2001-06-25 12:04  mortene

	* include/Inventor/SbTime.h, src/base/SbTime.cpp:
	
	A few fixes to make headerfile be less bound to system.

2001-06-25 11:52  mortene

	* include/Inventor/sensors/SoSensorManager.h,
	src/sensors/SoSensorManager.cpp:
	
	Clean up some mess in the header file by modifying the signature of
	doSelect().

2001-06-25 11:44  mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	Clean up system-specific include file mess.

2001-06-25 11:34  mortene

	* src/nodes/SoSeparator.cpp:
	
	Minor doc and code comment fixes.

2001-06-25 11:24  mortene

	* src/misc/: SoInput.cpp, SoOutput.cpp:
	
	Warn about potential problems with public API methods using FILE*
	when Coin has been compiled as an MSWin DLL.

2001-06-25 11:15  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Minor doc fixes, plus an important FIXME.

2001-06-25 11:03  mortene

	* include/Inventor/SoOffscreenRenderer.h,
	src/misc/SoOffscreenRenderer.cpp:
	
	Workaround the problem with FILE*s as arguments to API-functions
	(which is a no-no with MSWindows DLLs).

2001-06-25 10:36  pederb

	* src/nodes/: SoIndexedLineSet.cpp, SoLineSet.cpp:
	
	Bugfix for line detail (meaning of part index and line index were
	swapped). Bug reported by Jacob Storen.

2001-06-25 09:55  pederb

	* include/Inventor/elements/SoGLPolygonOffsetElement.h,
	src/elements/SoGLPolygonOffsetElement.cpp:
	
	Code cleanup, and a workaround for a problem on certain SGI OpenGL
	implementations.

2001-06-22 10:18  pederb

	* src/nodes/SoShape.cpp:
	
	Bugfix for quad strip face detail.

2001-06-21 15:48  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Don't automatically select intersecting objects if a primitive
	filter callback is set.

2001-06-21 15:18  pederb

	* src/nodes/SoShape.cpp:
	
	Bugfix. Set face and line detail pointers in SoPrimitiveVertex
	before invoking primitive callbacks.

2001-06-21 14:19  pederb

	* include/Inventor/nodes/SoExtSelection.h,
	src/nodes/SoExtSelection.cpp:
	
	Misc. fixes/optimizations for rectangle selection. Updated
	documentation. Fixed PART lasso policy primitive handling.

2001-06-20 18:23  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Fix for start and finish callbacks.

2001-06-20 15:55  pederb

	* src/nodes/SoGroup.cpp:
	
	Removed an unncessary (and erroneous) range check.

2001-06-20 15:36  pederb

	* include/Inventor/nodes/SoExtSelection.h,
	src/nodes/SoExtSelection.cpp:
	
	Improved lasso drawing by skei. Fixed a bug in poly_line_intersect.
	Support for selction policy. Implemented support for primitive
	filter callbacks.

2001-06-19 19:16  larsa

	* scripts/ChangeLog.sh:
	
	New bootstrap.

2001-06-19 19:16  larsa

	* bootstrap:
	
	libtool test was "true"?

2001-06-19 12:54  larsa

	* configure.in:
	
	Compile fix for building static library.

2001-06-19 12:02  mortene

	* src/: actions/SoAction.cpp, fields/SoField.cpp, lists/SbList.cpp,
	lists/SoEnabledElementsList.cpp, misc/SoInput.cpp,
	misc/SoOutput.cpp, nodes/SoFontStyle.cpp, nodes/SoSeparator.cpp,
	nodes/SoText3.cpp, projectors/SbCylinderSheetProjector.cpp,
	projectors/SbSphereSheetProjector.cpp:
	
	Kill or convert obsoleted Metadon doc FIXME comments.

2001-06-19 12:01  mortene

	* src/nodes/SoSelection.cpp:
	
	Align list in documentation of setPickFilterCallback().

2001-06-19 11:58  mortene

	* src/fields/SoFieldData.cpp:
	
	Use types with the correct bitwidth.

2001-06-19 11:03  mortene

	* src/nodes/SoSelection.cpp:
	
	Document the common faulty assumption about automatic re-rendering
	on selection / deselection, plus mention
	So[Box|Line]HighlightRenderAction.
	
	Also includes a simple code skeleton for basic SoSelection usage.

2001-06-18 21:41  larsa

	* src/nodes/SoFile.cpp:
	
	SoFile.cpp

2001-06-18 21:37  larsa

	* src/misc/SoType.cpp:
	
	Include <string.h> (strcmp() is used) to compile with MSVC++.

2001-06-18 21:31  larsa

	* src/fields/: SoField.cpp, SoMField.cpp:
	
	Include <string.h> (strlen() is now used) to compile with MSVC++.

2001-06-18 19:44  mortene

	* bootstrap:
	
	Update with correct procedure for getting the necessary versions of
	Autoconf and Libtool.

2001-06-18 14:12  larsa

	* docs/: oiv_compatibility.txt, whitepapers/oiv_compatibility.txt:
	
	remove whitepapers dir

2001-06-18 13:54  mortene

	* include/Inventor/SbName.h, src/engines/SoSelectOne.cpp,
	src/fields/SoFieldContainer.cpp, src/base/SbName.cpp,
	src/misc/SoBase.cpp, src/misc/SoInput.cpp,
	src/nodekits/SoBaseKit.cpp:
	
	Clean up some mess in SbName.h by moving the definition of the
	internal private class SbNameEntry to the SbName.cpp file.

2001-06-18 13:15  mortene

	* configure.in, include/Inventor/SbBasic.h.in:
	
	Force either COIN_DLL or COIN_NOT_DLL to be defined by the
	application programmer under MSWindows.

2001-06-15 11:05  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Consider near and far clipping planes when testing intersection
	against box.

2001-06-14 16:54  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Fixed bug in SoRayPickAction::intersect(SbBox3f), which caused the
	method to report an incorrect intersection in some cases when
	usefullviewvolume was TRUE.

2001-06-14 14:56  pederb

	* src/nodes/SoSelection.cpp:
	
	Documented this node.

2001-06-14 11:15  larsa

	* README.DLL:
	
	Info about COIN_DLL define.

2001-06-14 11:01  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Updated code comment regarding alpha test strategy.

2001-06-14 10:48  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	More correct alpha test strategy.

2001-06-13 16:23  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Documentation update.

2001-06-13 16:23  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Use new functionality in SoGLCacheContextElement to ensure that the
	offscreen renderer uses a unique cache context id.

2001-06-13 16:22  pederb

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLCacheContextElement.cpp:
	
	Added new static method getUniqueCacheContext().

2001-06-13 15:13  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Compile fix for MSVC++. Problem reported by Larry D'Cunha.

2001-06-13 11:21  mortene

	* src/base/SbBox3f.cpp:
	
	Codestyle fix.

2001-06-13 11:11  pederb

	* THANKS:
	
	Added Florian Schröcker.

2001-06-13 11:10  pederb

	* src/fields/SoField.cpp:
	
	Fix for handling notifications in circular field connections. Bug
	reported by Florian Schröcker.

2001-06-12 15:30  mortene

	* src/misc/SoDB.cpp:
	
	Assert correct bitwidths on types.

2001-06-12 15:28  mortene

	* src/misc/SoType.cpp:
	
	Doc.

2001-06-11 18:19  pederb

	* include/Inventor/nodes/SoExtSelection.h,
	src/nodes/SoExtSelection.cpp:
	
	Added possibility to set a lasso selection filter callback. This
	has the same purpose as SoSelection::setPickFilterCallback.
	Function proposed by Felix Ritter.

2001-06-11 15:31  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Support for all lasso policies. Some documentation.

2001-06-11 10:36  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Major speedup by setting culling planes based on the 2D boundingbox
	of the lasso.

2001-06-11 10:04  pederb

	* docs/misc-resources.txt:
	
	Added GL postscript rendering resource.

2001-06-08 17:52  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Support for LASSO selection on bounding box selection policies.

2001-06-08 16:35  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Code cleanup and support for both FULL_BBOX and PART_BBOX.

2001-06-08 12:56  pederb

	* src/: actions/SoCallbackAction.cpp, nodes/SoSeparator.cpp:
	
	Enable SoCullElement for SoCallbackAction, and do cull test in
	SoSeparator::callback. Normally, no culling planes will be enabled
	for this action, but the application programmer can add any number
	of culling planes to optimize action traversal.

2001-06-07 16:27  larsa

	* THANKS:
	
	Alban Bergeret

2001-06-07 15:28  pederb

	* include/Inventor/nodes/SoExtSelection.h,
	src/nodes/SoExtSelection.cpp:
	
	First semi-working version of this node. Rectangle and Lasso
	drawing is implemented, but selection can (for now) only be done
	using rectangle selection on boundingboxes. By skei.

2001-06-05 17:15  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Further elaborate on the compile-time vs run-time binding problem.

2001-06-05 16:56  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Elaborate on the problem of doing compile-time binding against
	GLX/GL features.

2001-05-31 13:56  pederb

	* src/nodes/SoGroup.cpp:
	
	Test if child can be found in removeChild() also in the release
	version. This is done to be compatible with SGI Inventor.

2001-05-25 18:43  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Check for GLX v1.2 before using glXGetCurrentDisplay(). Problem
	reported by Jean-Pierre Eckmann.

2001-05-25 15:52  pederb

	* src/lists/SoCallbackList.cpp:
	
	Invoke callbacks using a copy of the list to enable callbacks to
	remove themselves from the list. Patch by mortene.

2001-05-23 17:00  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Reinstate the code comment above the XCloseDisplay() call about
	problems with an old Mesa version.

2001-05-23 15:45  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Reenabled XCloseDisplay() in GLX offscreen renderer destructor. It
	was disabled due to an old Mesa bug, but it seems to be safe to
	enable it again now. Problem reported by Kenneth Andersen.

2001-05-23 14:23  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Store/restore current GL context before/after offscreen rendering.
	This fixes a bug/problem problem reported by Sven-Kaare Evenseth.

2001-05-23 13:37  pederb

	* bootstrap, configure.in, include/Inventor/SbBasic.h.in,
	include/Inventor/actions/SoAction.h:
	
	HPUX's sys/unistd.h IN_PATH conflict fix. By larsa.

2001-05-23 13:30  pederb

	* include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoHandleEventAction.cpp, src/actions/SoPickAction.cpp,
	src/actions/SoRayPickAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoWriteAction.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/nodekits/SoBaseKit.cpp:
	
	Fixes and cleanups for action method and enabled elements handling.

2001-05-23 13:27  pederb

	* src/elements/SoTransparencyElement.cpp:
	
	Be robust on index out of range.

2001-05-23 13:25  pederb

	* include/Inventor/elements/SoOverrideElement.h,
	src/elements/SoOverrideElement.cpp:
	
	Make it possible to have separate diffuse color and transparency
	override settings.

2001-05-22 17:24  pederb

	* src/nodes/SoNode.cpp:
	
	Fall back to using pick() if no rayPick() method has been defined
	for a node.

2001-05-22 17:22  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Delay glClear() until after the GL viewport has been set.

2001-05-21 16:50  larsa

	* THANKS:
	
	Changed "Coin library" to "Coin library family".  Added Ralf
	Corsepius.  Alphabetized list.

2001-05-21 15:29  mortene

	* THANKS:
	
	Guys from Eos.

2001-05-21 13:45  pederb

	* src/misc/SoGLImage.cpp:
	
	Converted compile-time test for OpenGL 1.2 feature CLAMP_TO_EDGE
	into run-time test.

2001-05-21 10:34  pederb

	* THANKS:
	
	Added two names.

2001-05-21 10:24  pederb

	* src/misc/SoSceneManager.cpp:
	
	Complile error fix. Reported by Jean-Pierre Eckmann.

2001-05-20 18:25  pederb

	* src/misc/SoGL.cpp:
	
	Bugfixed NURBS complexity handling.

2001-05-20 18:24  pederb

	* src/nodes/SoShape.cpp:
	
	Optimized and robustified getScreenSize().

2001-05-18 15:46  pederb

	* src/nodes/SoMarkerSet.cpp:
	
	More HPUX compile fixes.

2001-05-18 14:27  pederb

	* src/actions/SoAction.cpp:
	
	Obsoleted isLastPathListAppliedTo().

2001-05-18 14:21  pederb

	* src/nodes/SoMarkerSet.cpp:
	
	HPUX Compile fixes. Needed explicit cast to double for ceil() and
	floor() argument.

2001-05-18 12:46  pederb

	* docs/misc-resources.txt:
	
	Added URL for latest item.

2001-05-18 12:39  pederb

	* docs/misc-resources.txt:
	
	New resource for order-independent transparency.

2001-05-16 16:26  pederb

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp, src/misc/SoSceneManager.cpp:
	
	Added methods to add and remove pre render callbacks in
	SoGLRenderAction. SoSceneManager now uses these methods to delay
	viewport clearing until viewport is correctly set by
	SoGLRenderAction.

2001-05-15 15:22  pederb

	* include/Inventor/SoSceneManager.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/sensors/SoSensorManager.h,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformerDragger.cpp, src/engines/SoEngine.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/sensors/SoSensorManager.cpp:
	
	Moved some private members into a private and hidden class.

2001-05-11 15:59  larsa

	* docs/api-wish-list.txt:
	
	Rebuttal of morten's "a lot harder" statement.

2001-05-10 18:15  larsa

	* AUTHORS, THANKS:
	
	(Re)moved "tertiary developers".

2001-05-10 18:07  pederb

	* docs/misc-resources.txt:
	
	New collision detection resource.

2001-05-10 15:07  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Cleaned up and optimized transparency handling a bit.

2001-05-10 13:14  pederb

	* src/elements/SoModelMatrixElement.cpp:
	
	Removed erroneous debug test and message in scaleBy().

2001-05-09 16:08  pederb

	* src/nodes/SoMarkerSet.cpp:
	
	Use last marker index for remaining markers if too few marker
	indices were specified. Bug reported by George Alverson.

2001-05-09 14:16  pederb

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp, src/nodes/SoShape.cpp:
	
	Added new transparency types,
	SORTED_OBJECT_SORTED_TRIANGLE_ADD/BLEND.

2001-05-08 13:13  pederb

	* src/elements/SoGLPolygonStippleElement.cpp:
	
	Adjust generation of stipples to make transparency 0.5 look better.
	Bug reported by Jean-Pierre Eckmann.

2001-05-07 17:36  pederb

	* src/nodes/SoCallback.cpp:
	
	Update SoGLTextureImageElement before invoking callback in
	GLRender().

2001-05-07 16:35  pederb

	* docs/api-wish-list.txt:
	
	New item SbString::apply().

2001-05-02 17:10  pederb

	* src/: misc/SoGLImage.cpp, nodes/SoImage.cpp:
	
	Prefer simage_resize() (for simage version > 1.1.1) to
	gluScaleImage().

2001-05-02 15:54  pederb

	* src/misc/: GLUWrapper.c, simage_wrapper.c:
	
	Fixed buggy versionMatchesAtLeast functions.

2001-05-02 11:32  mortene

	* docs/api-wish-list.txt:
	
	Shoot down larsa's idea for less env-var pollution. ;-)

2001-05-02 11:05  pederb

	* docs/api-wish-list.txt:
	
	More comments on the 3D GUI item.

2001-05-02 10:00  larsa

	* AUTHORS:
	
	Revoked my status as a primary developer :(  Secondary is more like
	it...

2001-05-02 09:59  larsa

	* docs/api-wish-list.txt:
	
	Less environment pollution suggestion.

2001-05-02 08:55  larsa

	* docs/api-wish-list.txt:
	
	date corrections (some dates had day before month)

2001-05-01 16:01  mortene

	* docs/api-wish-list.txt:
	
	Expand a bit on Peder's GUI components idea.

2001-05-01 14:59  pederb

	* docs/api-wish-list.txt:
	
	Added item about 3D GUI components.

2001-04-30 15:53  pederb

	* docs/api-wish-list.txt:
	
	New item (SoText2::verticalAlignment).

2001-04-29 18:12  pederb

	* src/misc/SoInput.cpp:
	
	Added support for environment variable
	COIN_SOINPUT_SEARCH_GLOBAL_DICT. This makes it possible to
	reference nodes in other files, and to reread SoFile files
	containing the USE keyword.

2001-04-29 16:21  larsa

	* docs/api-wish-list.txt:
	
	I wish for "class SoGestureEvent : public SoEvent".

2001-04-26 08:55  pederb

	* src/base/SbImage.cpp:
	
	Be robust in setValue() when a NULL pointer is supplied for the
	data.

2001-04-25 15:28  pederb

	* src/actions/SoAction.cpp:
	
	Store/restore action state before and after an apply. This is
	needed in cases where the action is reapplied to a new node/path
	during a traversal.

2001-04-24 17:42  pederb

	* src/misc/SoGLImage.cpp:
	
	Require an environment variable before using glTexSubImage() to
	replace texture data. There seems to be a bug, either in the new
	code or in the nVIDIA Linux drivers.

2001-04-24 01:01  pederb

	* src/nodes/: SoIndexedFaceSet.cpp, SoIndexedLineSet.cpp,
	SoIndexedTriangleStripSet.cpp:
	
	Fixes bugs in primitive count for these shapes. Reported by Larry
	D'Cunha.

2001-04-23 14:05  mortene

	* include/Inventor/SbOctTree.h:
	
	Don't use an invalid identifier name as the headerfile define
	wrapper (and follow Coin .h conventions).

2001-04-21 11:06  pederb

	* src/misc/SoSceneManager.cpp:
	
	Removed code that unscheduled one shot sensor in render(). User
	might have called scheduleRedraw() before rendering.

2001-04-19 16:27  mortene

	* HACKING:
	
	Elaborate in instructions for doing quick turn-around compile /
	link cycles.

2001-04-18 17:03  pederb

	* include/Inventor/nodes/SoFile.h, src/nodes/SoFile.cpp:
	
	Added new method getFullName().

2001-04-17 16:38  pederb

	* src/base/SbImage.cpp:
	
	Fixed bug in SoImage::searchForFile(). Subdirectories in basename
	weren't searched.

2001-04-12 18:12  pederb

	* src/misc/SoGLImage.cpp:
	
	Robustified new glTexSubImage code.

2001-04-11 17:57  pederb

	* include/Inventor/SoSceneManager.h, src/misc/SoSceneManager.cpp:
	
	Make sure GL has the correct viewport before clearing.

2001-04-10 17:59  pederb

	* src/misc/SoGLImage.cpp:
	
	Optimized GL texture handling by using glTexSubImage2D() instead of
	recreating the texture when possible.

2001-04-10 17:40  pederb

	* include/Inventor/elements/SoGLTextureImageElement.h,
	src/elements/SoGLTextureImageElement.cpp:
	
	Fixed potential memory leak. Added argument to set() that makes it
	possible to optimize texture handling.

2001-04-02 18:50  pederb

	* src/errors/SoDebugError.cpp:
	
	Added support for COIN_DEBUG_BREAK environment variable. This makes
	it possible to get core-dumps when a warning is posted from some
	method.

2001-04-02 18:14  pederb

	* src/bundles/SoMaterialBundle.cpp:
	
	Bugfix. Don't send alpha value when doing polygon stipple
	transparency, since this will lead to incorrect rendering when
	point or light smoothing is enabled (blending is enabled). Bug
	reported by Jacob Storen.

2001-04-02 17:01  pederb

	* src/nodes/SoSwitch.cpp:
	
	Fixed buggy SoSwitch IN_PATH traversal code. Bug reported by Jacob
	Storen.

2001-04-02 15:57  pederb

	* src/actions/SoAction.cpp:
	
	Typo fix in debug define.

2001-03-30 13:59  mortene

	* coindefs.h:
	
	Use __func__ if defined.

2001-03-30 12:57  pederb

	* src/actions/SoAction.cpp:
	
	Fixed bug which caused the traveral to go BELOW_PATH instead of
	OFF_PATH in some cases. Bug reported by Jacob Storen.

2001-03-30 12:22  pederb

	* src/misc/SoInput.cpp:
	
	Removed a debug message.

2001-03-30 10:35  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Compile fix.

2001-03-29 16:11  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Use the optimized SoChildList::traverseInPath() instead of
	traverse().

2001-03-29 14:33  pederb

	* data/draggerDefaults/rotateCylindricalDragger.iv:
	
	Fixed typo in geometry file.

2001-03-29 11:39  pederb

	* docs/api-wish-list.txt:
	
	Added comment to mortene's latest item.

2001-03-29 11:32  mortene

	* docs/api-wish-list.txt:
	
	Templatized hash / dictionary class to replace internal SbDict
	usage.

2001-03-29 11:12  pederb

	* docs/api-wish-list.txt:
	
	Minor fix.

2001-03-29 11:10  pederb

	* docs/api-wish-list.txt:
	
	Added item about matrices in SoCalculator.

2001-03-28 16:28  pederb

	* THANKS:
	
	Added Olav Solbakken.

2001-03-28 16:08  mortene

	* include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/elements/SoLazyElement.h, src/base/SbMatrix.cpp,
	src/elements/SoLazyElement.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/misc/GLUWrapper.h, src/misc/SoGL.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoText2.cpp:
	
	Kills TAB characters in sourcecode files.

2001-03-28 15:53  mortene

	* configure.in:
	
	Adds gdi32.lib to COIN_EXTRA_LIBS if necessary.

2001-03-28 14:50  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Misc minor codestyle issues.

2001-03-28 14:20  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Implements offscreen rendering on Win32 (with WGL). Written by
	thammer.

2001-03-28 14:07  mortene

	* configure.in:
	
	Add gdi32 library to WGL test.

2001-03-28 13:24  pederb

	* src/actions/SoAction.cpp:
	
	Implemented proper support for SoPathList traversal.

2001-03-28 13:23  pederb

	* src/lists/SoPathList.cpp:
	
	Fixed buggy SoPathList::uniquify().

2001-03-27 13:18  pederb

	* src/manips/: SoDirectionalLightManip.cpp, SoPointLightManip.cpp,
	SoSpotLightManip.cpp:
	
	Use a new material to set dragger color so that not all dragger
	instances will be affected by the color.

2001-03-26 19:20  pederb

	* src/: actions/SoGLRenderAction.cpp, nodes/SoAnnotation.cpp:
	
	Change strategy for adding delayed paths. It is now the caller's
	responsibility to copy the path before adding it. The path will not
	be copied in SoGLRenderAction::addDelayedPath().

2001-03-26 17:55  pederb

	* src/: manips/SoClipPlaneManip.cpp,
	manips/SoDirectionalLightManip.cpp, manips/SoPointLightManip.cpp,
	manips/SoSpotLightManip.cpp, manips/SoTransformManip.cpp,
	nodekits/SoBaseKit.cpp, nodekits/SoNodeKitListPart.cpp,
	nodes/SoFile.cpp, nodes/SoGroup.cpp, nodes/SoLOD.cpp,
	nodes/SoLevelOfDetail.cpp, nodes/SoLocateHighlight.cpp,
	nodes/SoSeparator.cpp:
	
	New traversal code for these nodes that use the new SoChildList and
	SoAction functionality.

2001-03-26 17:52  pederb

	* include/Inventor/actions/SoAction.h,
	include/Inventor/misc/SoChildList.h, src/actions/SoAction.cpp,
	src/misc/SoChildList.cpp:
	
	Initial support for SoPathList traversal (not activated yet).
	Implemented SoAction::pushCurPath() and popPushCurPath() properly,
	and added support for this is SoChildList::traverse(). Also added a
	new method, SoChildList::traverseInPath(), which is an optimized
	version of SoChildList::traverse() to be used when the path code is
	known to be IN_PATH.

2001-03-26 17:46  pederb

	* src/misc/SoPath.cpp:
	
	Make it possible to append a NULL node to a path.

2001-03-26 16:50  larsa

	* configure.in, docs/coin.doxygen.in:
	
	Skip unnecessary tests when configuring for something besides
	building the Coin library.  Tag paths in coin.doxygen.in on cygwin.
	 New bootstrap.

2001-03-26 16:41  larsa

	* cfg/doxy4win.pl:
	
	Change unix paths to dos paths in special doxygen config files.

2001-03-26 16:36  larsa

	* configure.in:
	
	Modernize AC_INIT/AC_OUTPUT invokations.

2001-03-26 16:25  larsa

	* src/base/SbPlane.cpp:
	
	Doxygen tweak: Refer to Inventor/SbLinear.h, but display SbPlane.h.

2001-03-26 16:24  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Test for one dimensionsal or empty bounding box instead of testing
	for volume before disabling default texture coordinate generation.

2001-03-26 16:22  larsa

	* src/engines/Makefile.am:
	
	Use $(srcdir) instead of $(top_srcdir)/src/engines.

2001-03-26 16:22  larsa

	* Makefile.am:
	
	Dummy 'built-sources' rule (unused).

2001-03-26 16:17  mortene

	* include/Inventor/SoPath.h:
	
	A few cleanups and code comments to clarify purpose of the
	OIV-compatibility includes.

2001-03-26 16:13  pederb

	* include/Inventor/SoPath.h, src/misc/SoTempPath.cpp:
	
	Disable refcounting for nodes in SoTempPath. Added SoTempPath as
	friend to SoPath to be able to do this.

2001-03-26 16:10  mortene

	* src/engines/Makefile.am:
	
	Commented lines with continuation characters ('\') at the end
	doesn't work out with the latest automake.

2001-03-26 15:40  larsa

	* Makefile.am:
	
	Remove incorrect msvccc install rule.

2001-03-26 15:38  larsa

	* data/draggerDefaults/Makefile.am:
	
	Made dist_noinst_SCRIPTS become noinst_SCRIPTS since it doesn't
	work at the moment - this breaks "make dist".

2001-03-26 14:37  larsa

	* src/VRMLnodes/Makefile.am:
	
	Typo fix: s/VRMLNodes/VRMLnodes/g

2001-03-26 09:51  mortene

	* configure.in, include/Inventor/system/inttypes.h,
	src/system/Makefile.am:
	
	Activates new configure-generated inttypes.h scheme.

2001-03-25 13:01  mortene

	* include/Inventor/system/inttypes.h.in:
	
	Template for the bitwidth integer type definitions.
	
	Not yet activated (waiting for larsa to fix the Makefile.am changes
	recently introduced).

2001-03-23 17:57  mortene

	* src/misc/: GLUWrapper.c, simage_wrapper.c:
	
	#if -> #ifdef fixes.

2001-03-23 14:59  mortene

	* README.WIN32:
	
	Mention configure's --enable-dependency-tracking option.

2001-03-23 14:53  mortene

	* configure.in:
	
	Adds a test for the OpenGL->Win32 interface calls wgl*(). Defines
	HAVE_WGL if available.

2001-03-23 13:58  mortene

	* acconfig.h, include/Inventor/SbBasic.h.in,
	include/Inventor/SoType.h, src/snprintf.c, src/snprintf.h,
	src/misc/GLUWrapper.c, src/misc/SoOffscreenRenderer.cpp,
	src/misc/simage_wrapper.c, src/nodes/SoText2.cpp:
	
	#if -> #ifdef fixes for bugs uncovered by larsa's changes to the
	configure / build to get rid of acconfig.h.

2001-03-23 13:56  mortene

	* src/engines/SoConvertAll.cpp,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/fields/SoGlobalField.h,
	src/fields/SoGlobalField.cpp:
	
	Don't export the API for these internal classes in the MSWin DLL.

2001-03-23 13:03  mortene

	* configure.in:
	
	Include test for buggy compiler version of Sun CC.

2001-03-21 20:34  larsa

	* Makefile.am, data/draggerDefaults/Makefile.am,
	src/Make-Common.tpl, src/VRMLnodes/Makefile.am,
	src/actions/Makefile.am, src/base/Makefile.am,
	src/bundles/Makefile.am, src/caches/Makefile.am,
	src/details/Makefile.am, src/draggers/Makefile.am,
	src/elements/Makefile.am, src/engines/Makefile.am,
	src/errors/Makefile.am, src/events/Makefile.am,
	src/fields/Makefile.am, src/lists/Makefile.am,
	src/manips/Makefile.am, src/misc/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am:
	
	src/Make-Common.tpl:  Reorganize to use $(RegularSources),
	$(LinkHackSources), $(PublicHeaders), and $(PrivateHeaders). 
	*/Makefile.am:	Adapt to new template.	Make "make dist" work.

2001-03-21 20:28  larsa

	* configure.in:
	
	Obsolete the use of acconfig.h.

2001-03-21 20:07  larsa

	* src/misc/SoGL.cpp:
	
	Changed "*/*const*/" to "* /*const*/" to avoid confusing the
	preprocessor.

2001-03-21 19:51  larsa

	* src/engines/Makefile.am:
	
	Don't install SoConvertAll.h after all (why is the class' API
	exported?)

2001-03-21 19:42  larsa

	* src/engines/Makefile.am:
	
	Install the SoConvertAll.h header.

2001-03-21 17:19  larsa

	* data/draggerDefaults/Makefile.am, src/VRMLnodes/Makefile.am,
	src/actions/Makefile.am, src/base/Makefile.am,
	src/bundles/Makefile.am, src/caches/Makefile.am,
	src/details/Makefile.am, src/draggers/Makefile.am,
	src/elements/Makefile.am, src/engines/Makefile.am,
	src/errors/Makefile.am, src/events/Makefile.am,
	src/fields/Makefile.am, src/lists/Makefile.am,
	src/manips/Makefile.am, src/misc/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am,
	src/system/Makefile.am:
	
	Path corrections so "make dist" does not fail.	Note that this does
	not imply that "make dist" works or is supported yet, though.

2001-03-21 16:55  pederb

	* src/events/SoKeyboardEvent.cpp:
	
	Compile fix for IRIX CC 7.3

2001-03-20 17:15  pederb

	* src/events/SoKeyboardEvent.cpp:
	
	Use SbDicts to convert to printable characters.

2001-03-20 16:07  pederb

	* include/Inventor/events/SoKeyboardEvent.h,
	src/events/SoKeyboardEvent.cpp:
	
	Added a new key value called UNDEFINED. This is needed to better
	support new GUI toolkits and non-US keyboards.

2001-03-20 15:03  mortene

	* src/events/SoKeyboardEvent.cpp:
	
	Typo fix.

2001-03-20 14:55  pederb

	* include/Inventor/events/SoKeyboardEvent.h,
	src/events/SoKeyboardEvent.cpp:
	
	Added setPrintableCharacter() method to make it possible to get
	correct printable character also for non-US keyboards.

2001-03-19 11:58  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	To avoid cache dependencies on model matrix and view volume, test
	for open caches before using optimized bounding box calculation
	method (for sorted transparency).

2001-03-16 13:29  pederb

	* src/base/SbVec2f.cpp:
	
	Typofix for debug message in SbVec2f::normalize().

2001-03-16 13:28  pederb

	* src/base/SbOctTree.cpp:
	
	Bugfix in node split handling.

2001-03-15 12:55  pederb

	* src/misc/SoChildList.cpp:
	
	Fix for very recently introduced bug.

2001-03-15 12:47  pederb

	* src/misc/SoChildList.cpp:
	
	Improved traversal code by considering the path code properly when
	traversing children.

2001-03-14 12:19  pederb

	* src/: misc/SoGLLineSetTemplate.cpp, nodes/SoLineSet.cpp:
	
	Fix for rendering and primitive generation when mbind or nbind ==
	PER_SEGMENT.

2001-03-14 12:01  pederb

	* src/: misc/SoGLindexedLineSetTemplate.cpp,
	nodes/SoIndexedLineSet.cpp:
	
	Additional fix to also handle texture coordinates correctly when
	nbind or mbind == PER_PART.

2001-03-14 11:56  pederb

	* src/: misc/SoGLindexedLineSetTemplate.cpp,
	nodes/SoIndexedLineSet.cpp:
	
	Bugfix for rendering and primitive generation when normal binding
	is PER_PART and material binding is PER_VERTEX.

2001-03-14 10:45  pederb

	* src/nodes/SoIndexedLineSet.cpp:
	
	Another SoLineDetail line index fix.

2001-03-14 10:42  pederb

	* src/nodes/SoIndexedLineSet.cpp:
	
	Fixed incorrect line index in the generated line detail for this
	node. Bug reported by Jacob Storen.

2001-03-13 15:07  pederb

	* THANKS, src/elements/SoGLDiffuseColorElement.cpp,
	src/engines/SoSelectOne.cpp, src/misc/GLUWrapper.c,
	src/misc/SoOffscreenRenderer.cpp, src/misc/simage_wrapper.c:
	
	Miscellaneous fixes for the Sun WorkShop C++ Compiler 5.0. Reported
	by Stefan Meinlschmidt.

2001-03-13 15:01  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Optimized sorted transparency rendering by detecting when
	SoShape::computeBBox() can be used instead of applying an
	SoGetBoundingBoxAction on the path to the object.

2001-03-13 13:32  pederb

	* include/Inventor/SbOctTree.h, src/base/SbOctTree.cpp:
	
	Improved node split logic. Added a function to debug the oct tree.

2001-03-12 12:10  pederb

	* src/nodes/SoImage.cpp:
	
	Fix to handle node with no image in scene graph.

2001-03-08 22:16  mortene

	* AUTHORS, NEWS, docs/optimization.txt, docs/plan.txt:
	
	Misc updates to more accurately reflect current status.

2001-03-08 22:06  mortene

	* TODO:
	
	Obsoleted.

2001-03-08 17:28  pederb

	* data/draggerDefaults/: rotateCylindricalDragger.iv,
	spotLightDragger.iv, trackballDragger.iv, transformerDragger.iv:
	
	Backface culling fixes for some draggers.

2001-03-08 15:46  larsa

	* src/misc/SoDB.cpp:
	
	Compilation fix: include errors/SoDebugError.h even for
	COIN_DEBUG=0.

2001-03-08 13:21  pederb

	* src/draggers/SoDragger.cpp:
	
	Documentation.

2001-03-08 13:21  pederb

	* src/actions/SoCallbackAction.cpp:
	
	Documented setViewportRegion().

2001-03-08 13:20  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Implemented getBoundingBox() to calculate and set center of
	bounding box for the nodekit.

2001-03-08 12:15  pederb

	* src/misc/SoDB.cpp:
	
	Actually perform sanity tests before printing out warnings.

2001-03-08 09:14  mortene

	* src/misc/SoDB.cpp:
	
	Converts obsoleted asserts into SoDebugError warnings.

2001-03-08 08:43  mortene

	* src/misc/SoDB.cpp:
	
	"Temporary obsolete" for 1.0 release the bitwidth asserts on native
	C types.

2001-03-07 13:04  pederb

	* include/Inventor/draggers/SoDragger.h,
	src/draggers/SoDragger.cpp:
	
	Initialize some property elements before traversing the dragger.

2001-03-07 13:01  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Initialize some values to NULL in push().

2001-03-07 11:15  pederb

	* include/Inventor/draggers/SoTransformBoxDragger.h,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp:
	
	Proper support for the surroundScale part.

2001-03-04 18:55  pederb

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Tab size adjustment bugfix.

2001-03-04 18:54  pederb

	* data/draggerDefaults/: scale1Dragger.iv, scale2Dragger.iv,
	scale2UniformDragger.iv:
	
	Miscellaneous PickStyle fixes for these dragger geometry files.

2001-03-04 18:06  pederb

	* include/Inventor/draggers/SoCenterballDragger.h,
	src/draggers/SoCenterballDragger.cpp:
	
	Proper support for the surroundScale node/part.

2001-03-02 17:52  pederb

	* data/draggerDefaults/centerballDragger.iv:
	
	Added missing feedback geometry.

2001-03-02 15:06  pederb

	* include/Inventor/actions/SoCallbackAction.h,
	src/actions/SoCallbackAction.cpp:
	
	Added setViewportRegion() method.

2001-03-02 15:00  pederb

	* src/base/SbViewVolume.cpp:
	
	Use multVecMatrix() instead of multDirMatrix() when transforming
	near plane points, to account for translations in the
	transformation matrix.

2001-03-02 14:25  pederb

	* src/base/SbPlane.cpp:
	
	One last (hopefully :) fix for SbPlane::transform().

2001-03-02 11:54  pederb

	* src/misc/SoSceneManager.cpp:
	
	Removed (erroneous) debug warning in setRGB().

2001-02-28 20:43  pederb

	* src/fields/SoField.cpp:
	
	When field is connected from another field, disable notification
	before copying data from master field, since notification already
	has propagated when master was changed.

2001-02-28 17:14  pederb

	* src/base/SbPlane.cpp:
	
	Correct (for all cases) implementation of SbPlane::transform().

2001-02-28 16:51  pederb

	* src/draggers/SoTransformerDragger.cpp:
	
	Fix for bugzilla bug # 168. SoTransformerDragger translation
	feedback is now correct.

2001-02-28 14:41  pederb

	* include/Inventor/actions/SoCallbackAction.h,
	src/actions/SoCallbackAction.cpp:
	
	Added the possibility to specify a viewport region for
	SoCallbackAction. Moved private data members into a hidden class.

2001-02-28 14:05  pederb

	* src/: fields/SoSFTrigger.cpp, misc/SoBase.cpp, misc/SoDB.cpp:
	
	Delay processing zero priority sensors until all nested
	notification has finished.

2001-02-28 14:03  pederb

	* src/fields/: SoField.cpp, SoMField.cpp:
	
	Use static buffers in get() and get1() to avoid too many reallocs.

2001-02-28 13:55  pederb

	* src/sensors/SoDataSensor.cpp:
	
	Be robust when SoNotRec::getBase() is NULL.

2001-02-28 13:49  pederb

	* src/misc/: SoChildList.cpp, SoInput.cpp, SoNotification.cpp,
	SoOutput.cpp:
	
	Include SbName.h to avoid compiler errors.

2001-02-28 13:46  pederb

	* src/fields/: SoFieldContainer.cpp, SoFieldData.cpp,
	SoGlobalField.cpp:
	
	Include SbName.h to avoid compiler errors.

2001-02-28 13:41  pederb

	* src/: errors/SoDebugError.cpp, errors/SoError.cpp,
	errors/SoMemoryError.cpp, errors/SoReadError.cpp,
	events/SoButtonEvent.cpp, events/SoEvent.cpp,
	events/SoKeyboardEvent.cpp, events/SoLocation2Event.cpp,
	events/SoMotion3Event.cpp, events/SoMouseButtonEvent.cpp,
	events/SoSpaceballButtonEvent.cpp:
	
	Include SbName.h to avoid compiler errors.

2001-02-28 13:38  pederb

	* include/Inventor/actions/SoSubAction.h:
	
	Compile fix: Include SbName.h when COIN_INTERNAL is defined.

2001-02-28 13:22  pederb

	* src/base/SbRotation.cpp:
	
	Bugfix for SbRotation::slerp(). Fallback to linear interpolation
	when rot0 ~= rot1 or rot0 ~= rot1.inverse().

2001-02-28 13:16  pederb

	* src/base/SbName.cpp:
	
	Include SbName.h in this cpp-file.

2001-02-28 12:45  mortene

	* include/Inventor/SbString.h:
	
	Only include SbName.h for Open Inventor compile-time compatibility.

2001-02-28 11:21  pederb

	* include/Inventor/elements/SoGLUpdateAreaElement.h,
	src/elements/SoGLUpdateAreaElement.cpp:
	
	Implemented this element properly.

2001-02-27 17:46  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Enable GL_DEPTH_TEST before rendering in the offscreen buffer.

2001-02-27 15:52  pederb

	* include/Inventor/SbViewVolume.h, src/base/SbViewVolume.cpp:
	
	Renamed and moved data members into the public space to be
	compatible with SGI/TGS Open Inventor.

2001-02-27 15:15  pederb

	* include/Inventor/SbViewVolume.h, src/base/SbViewVolume.cpp:
	
	Implemented narrow(box) and zNarrow(). Obsoleted
	getAlignRotation().

2001-02-27 15:13  pederb

	* src/nodes/SoShape.cpp:
	
	Bugfix. Don't call SoGLRenderAction::abortNow() in
	shouldGLRender().

2001-02-26 18:06  pederb

	* include/Inventor/nodes/SoAsciiText.h, src/nodes/SoAsciiText.cpp:
	
	Moved private data members into a hidden class.

2001-02-26 17:29  pederb

	* src/misc/SoInput.cpp:
	
	Fixed bug in SoInput::isFileVRML1(). Bug reported by Larry D'Cunha.

2001-02-26 17:18  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Removed a FIXME-comment.

2001-02-26 17:05  pederb

	* include/Inventor/nodes/SoText3.h, src/nodes/SoText3.cpp:
	
	Moved private data members into a hidden class. Implemented
	generatePrimitives() and getPrimitiveCount() properly.

2001-02-26 16:19  pederb

	* src/sensors/SoFieldSensor.cpp:
	
	Fixed a FIXME, and made the sensor a bit more robust.

2001-02-26 11:00  pederb

	* src/engines/SoFieldConverter.cpp:
	
	Obsoleted SoFieldConverter::getConnectedInput().

2001-02-26 10:54  pederb

	* src/sensors/SoTimerQueueSensor.cpp:
	
	Killed a FIXME: Reschedule sensor when changing the trigger time.

2001-02-26 10:35  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Prefer "" over \x0 in SO_KIT_ADD_CATALOG_LIST_ENTRY to avoid a
	warning from SGI MipsPro CC.

2001-02-25 20:43  pederb

	* src/actions/SoGetPrimitiveCountAction.cpp:
	
	Disables code that sets decimation type and percentage.

2001-02-22 17:35  larsa

	* configure.in, src/Makefile.am:
	
	Use --disable-symbols, not --disable-debug for toggling the
	generation of the .pdb file on Cygwin builds.  Install .pdb in bin
	with the .dll, not in lib.

2001-02-22 14:59  pederb

	* src/misc/SoDB.cpp:
	
	Delay versionstring allocation until getVersion() is called.
	Process immediate queue when notificationcounter reaches 0 in
	SoDB::endNotify().

2001-02-22 12:29  pederb

	* src/misc/: SoDB.cpp, SoInput.cpp:
	
	Added support for calling the pre and post SoDB::registerHeader
	callbacks. Cleaned up the code in SoInput a bit.

2001-02-22 10:58  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Implemented leafcheck and publicheck for createPathToAnyPart().

2001-02-21 20:29  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Bugfix. Test for empty bounding box before generating default
	texture coordinates.

2001-02-21 20:04  pederb

	* include/Inventor/elements/SoAccumulatedElement.h,
	src/base/SbBox3f.cpp, src/base/SbViewportRegion.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoGLDisplayList.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoTextureImageElement.cpp:
	
	Eliminated/fixed several FIXMEs.

2001-02-21 17:47  pederb

	* src/: actions/SoGLRenderAction.cpp,
	actions/SoGetBoundingBoxAction.cpp,
	actions/SoGetPrimitiveCountAction.cpp, actions/SoRayPickAction.cpp,
	nodes/SoArray.cpp, nodes/SoCamera.cpp, nodes/SoCylinder.cpp,
	nodes/SoDirectionalLight.cpp, nodes/SoFaceSet.cpp,
	nodes/SoGroup.cpp, nodes/SoImage.cpp, nodes/SoIndexedLineSet.cpp,
	nodes/SoIndexedNurbsCurve.cpp, nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoIndexedTriangleStripSet.cpp, nodes/SoLOD.cpp,
	nodes/SoLevelOfDetail.cpp, nodes/SoLineSet.cpp,
	nodes/SoLinearProfile.cpp, nodes/SoNonIndexedShape.cpp,
	nodes/SoNormalBinding.cpp, nodes/SoNurbsCurve.cpp,
	nodes/SoQuadMesh.cpp, nodes/SoSeparator.cpp, nodes/SoShape.cpp,
	nodes/SoText3.cpp, nodes/SoTextureCoordinateBinding.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp, nodes/SoUnits.cpp,
	nodes/SoVertexShape.cpp:
	
	Fixed/eliminated a bunch of FIXMEs

2001-02-21 13:59  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Bugfix: clear color and depth buffer between rendering passes.

2001-02-21 13:29  mortene

	* docs/coin.doxygen.in:
	
	Removes nodes not longer part of the Coin standard set.

2001-02-21 13:29  pederb

	* src/nodes/SoPathSwitch.cpp:
	
	Implemented this node.

2001-02-21 00:17  pederb

	* include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoNodes.h, src/elements/Makefile.am,
	src/elements/SoPROTOElement.cpp, src/elements/all.cpp,
	src/nodes/Makefile.am, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoNode.cpp,
	src/nodes/all.cpp:
	
	Removed unsupported nodes and element.

2001-02-20 23:53  pederb

	* src/: actions/SoAction.cpp, draggers/SoDragger.cpp,
	elements/SoGLLazyElement.cpp, elements/SoShapeStyleElement.cpp,
	elements/SoTextureMatrixElement.cpp, misc/SoNormalGenerator.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoIndexedNurbsCurve.cpp,
	nodes/SoIndexedNurbsSurface.cpp, nodes/SoIndexedShape.cpp,
	nodes/SoNurbsCurve.cpp, nodes/SoNurbsSurface.cpp,
	nodes/SoShape.cpp, nodes/SoSwitch.cpp,
	nodes/SoTransformSeparator.cpp, sensors/SoSensor.cpp:
	
	Converted some COIN_STUBs into COIN_OBSOLETED.

2001-02-20 23:17  pederb

	* include/Inventor/elements/SoWindowElement.h,
	src/elements/SoWindowElement.cpp:
	
	Implemented stubs, changed platform specific types to void
	pointers.

2001-02-20 22:15  pederb

	* include/Inventor/nodes/SoMarkerSet.h, src/nodes/SoMarkerSet.cpp:
	
	Bugfixes and code cleanup.

2001-02-20 22:13  pederb

	* coindefs.h:
	
	Added COIN_OBSOLETED macro.

2001-02-20 18:12  larsa

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Include config.h so the HAVE_WINDOWS_H wrapper will trigger on
	Windows.

2001-02-20 17:24  larsa

	* configure.in, src/Makefile.am:
	
	Handle "true" / "false" --enable-* option values.  Cygwin/Windows:
	* Link with .pdb in current dir, not with absolute path.  * Install
	.pdb file on debug compilation.  Ultra 10/Solaris 8: * Exit-value
	fix for config.status.

2001-02-20 16:33  pederb

	* src/nodes/SoSwitch.cpp:
	
	Implemented SoSwitch::write() properly.

2001-02-20 16:06  pederb

	* src/: bundles/SoTextureCoordinateBundle.cpp,
	caches/SoBoundingBoxCache.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoHandleBoxDragger.cpp,
	elements/SoGLCacheContextElement.cpp,
	nodekits/SoInteractionKit.cpp, nodekits/SoSceneKit.cpp,
	nodekits/SoShapeKit.cpp, nodes/SoFaceSet.cpp,
	nodes/SoIndexedNurbsCurve.cpp, nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoNurbsCurve.cpp, nodes/SoNurbsSurface.cpp,
	nodes/SoSwitch.cpp:
	
	Eliminated some no-brainer COIN_STUBs.

2001-02-20 14:54  pederb

	* include/Inventor/manips/SoTransformManip.h,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTransformManip.cpp:
	
	Implemented missing functionality for manipulators. Fixed a bug in
	the setDragger() methods.

2001-02-20 13:10  larsa

	* data/draggerDefaults/iv2h.sh:
	
	Use braces around the 'tr' ranges to be Solaris 8 (sparc)
	compatible.

2001-02-19 19:52  pederb

	* include/Inventor/nodes/SoMaterial.h, src/nodes/SoMaterial.cpp:
	
	Added code to detect special VRML V1.0 case where all fields except
	emissiveColor are empty.

2001-02-19 17:41  pederb

	* include/Inventor/nodes/SoNode.h, src/nodes/SoNode.cpp:
	
	Added support for setting node type to either VRML1 or Inventor.

2001-02-19 17:38  pederb

	* include/Inventor/SoInput.h, src/misc/SoInput.cpp:
	
	Added support for detecting VRML V1.0 files.

2001-02-19 17:34  pederb

	* include/Inventor/nodes/SoCamera.h, src/nodes/SoCamera.cpp:
	
	Added a new pointAt() method which accepts a camera up-vector in
	addition to targetpoint.

2001-02-19 15:30  pederb

	* src/engines/: SoComposeMatrix.cpp, SoDecomposeRotation.cpp:
	
	Initialize input fields to the the correct values.

2001-02-19 15:26  pederb

	* src/base/SbRotation.cpp:
	
	Initialize quaternion to a legal value (0,0,0,1) in the
	constructor.

2001-02-17 21:05  larsa

	* include/Inventor/SbMatrix.h, src/base/SbMatrix.cpp:
	
	Compile fix for MS Visual C++ (again).	This time it sticks!

2001-02-16 15:45  pederb

	* src/draggers/: SoRotateCylindricalDragger.cpp,
	SoRotateSphericalDragger.cpp:
	
	Implemented copyContents() properly for these two draggers.

2001-02-16 15:27  pederb

	* src/projectors/: SbCylinderPlaneProjector.cpp,
	SbCylinderProjector.cpp, SbCylinderSectionProjector.cpp,
	SbCylinderSheetProjector.cpp, SbLineProjector.cpp,
	SbPlaneProjector.cpp, SbSpherePlaneProjector.cpp,
	SbSphereProjector.cpp, SbSphereSectionProjector.cpp,
	SbSphereSheetProjector.cpp:
	
	Be more robust on error conditions. Removed some unecessary
	<assert.h> includes.

2001-02-16 15:25  pederb

	* src/base/SbViewVolume.cpp:
	
	Disabled unecessary bounds checking.

2001-02-16 15:24  pederb

	* data/draggerDefaults/rotateCylindricalDragger.iv:
	
	Sets unpickable style on the cylinder axis geometry.

2001-02-16 14:13  pederb

	* src/: actions/SoAction.cpp, actions/SoGLRenderAction.cpp,
	draggers/SoDragger.cpp, manips/SoPointLightManip.cpp,
	manips/SoSpotLightManip.cpp, manips/SoTransformManip.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoText2.cpp:
	
	Added missing documentation.

2001-02-16 13:02  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Set correct pass number for first pass when rendering multiple
	passes. Check hasTerminated() after first pass.

2001-02-16 11:22  mortene

	* THANKS, include/Inventor/SbMatrix.h, src/base/SbMatrix.cpp:
	
	Fix for build problem with egcs 2.91.66. Problem found and reported
	by Nicolas Trebst.

2001-02-15 21:58  larsa

	* src/nodes/SoCamera.cpp:
	
	Inclusion of config.h so HAVE_WINDOWS_H triggers on windows.

2001-02-15 21:23  pederb

	* src/nodes/SoCamera.cpp:
	
	Implemented getViewportBounds().

2001-02-15 21:13  pederb

	* src/: actions/SoGLRenderAction.cpp, nodes/SoCamera.cpp:
	
	Implemented support for antialiased rendering.

2001-02-15 19:25  pederb

	* src/nodes/SoGroup.cpp:
	
	Fixed recently introduced bug in SoGroup::GLRender() which caused
	path not to be correct while rendering.

2001-02-15 18:12  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Improved function that tests if a part node needs to be written
	even if isDefault() is TRUE.

2001-02-15 18:06  pederb

	* src/: draggers/SoCenterballDragger.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoDragger.cpp,
	draggers/SoHandleBoxDragger.cpp, draggers/SoJackDragger.cpp,
	draggers/SoPointLightDragger.cpp, draggers/SoSpotLightDragger.cpp,
	draggers/SoTabBoxDragger.cpp, draggers/SoTabPlaneDragger.cpp,
	draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp,
	draggers/SoTransformerDragger.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoInteractionKit.cpp:
	
	Export functionality for draggers.

2001-02-15 14:35  pederb

	* src/draggers/SoDragger.cpp:
	
	Use SoPath instead of SoTempPath to store path to dragger. This
	makes it possible to insert/remove nodes in path to dragger and
	still have a valid path.

2001-02-15 13:21  pederb

	* src/: draggers/SoDragger.cpp,
	draggers/SoRotateCylindricalDragger.cpp,
	draggers/SoRotateSphericalDragger.cpp,
	draggers/SoTrackballDragger.cpp, draggers/SoTransformerDragger.cpp,
	projectors/SbCylinderProjector.cpp,
	projectors/SbSphereProjector.cpp:
	
	Miscellaneous fixes for front/back projector/dragger handling.
	Fixes bugzilla bug # 120.

2001-02-15 11:41  pederb

	* src/nodes/SoText2.cpp:
	
	Fixed text z-position bug.

2001-02-14 17:06  pederb

	* src/: details/SoNodeKitDetail.cpp, nodekits/SoBaseKit.cpp:
	
	Added support for SoNodeKitDetail.

2001-02-14 14:34  pederb

	* THANKS:
	
	One new name.

2001-02-14 14:06  pederb

	* include/Inventor/actions/SoAction.h, src/actions/SoAction.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoSeparator.cpp:
	
	SoGLRenderAction abort callback is now fully supported.

2001-02-14 11:21  pederb

	* include/Inventor/nodes/SoFaceSet.h, src/nodes/SoFaceSet.cpp:
	
	Implemented support for concave polygons, using SoConvexDataCache.

2001-02-14 11:18  pederb

	* include/Inventor/caches/SoConvexDataCache.h,
	src/caches/SoConvexDataCache.cpp:
	
	Fixed bug for PER_VERTEX binding in SoConvexDataCache.

2001-02-14 11:08  pederb

	* THANKS:
	
	Added two names.

2001-02-14 10:48  pederb

	* include/Inventor/actions/SoGetBoundingBoxAction.h,
	src/actions/SoGetBoundingBoxAction.cpp:
	
	Fixed incorrect function declaration for beginTraversal(). Problem
	reported by Erik Antelman.

2001-02-13 16:59  pederb

	* include/Inventor/nodekits/SoInteractionKit.h,
	src/nodekits/SoInteractionKit.cpp:
	
	Code cleanup.

2001-02-13 16:06  pederb

	* src/nodes/SoSeparator.cpp:
	
	Windoze compile fix.

2001-02-13 15:15  pederb

	* include/Inventor/nodekits/SoSeparatorKit.h,
	src/nodekits/SoSeparatorKit.cpp:
	
	Implemented missing functionality in SoSeparatorKit.

2001-02-13 15:13  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Disable notification and connections while loading a nodekit.

2001-02-13 15:01  pederb

	* src/: caches/SoCache.cpp, nodes/SoSeparator.cpp:
	
	Fix for cache to cache dependencies.

2001-02-13 14:21  pederb

	* src/nodes/SoSeparator.cpp:
	
	Bounding box cache invalidation fix.

2001-02-13 14:14  pederb

	* include/Inventor/nodes/SoText2.h, src/nodes/SoText2.cpp:
	
	Implemented computeBBox() and rayPick().

2001-02-13 12:52  pederb

	* src/nodes/SoImage.cpp:
	
	Fixed typo-bug.

2001-02-13 11:46  pederb

	* include/Inventor/elements/SoModelMatrixElement.h,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoModelMatrixElement.cpp:
	
	Removed an incorrect cache dependency on the model matrix while
	building an SoBoundingBoxCache.

2001-02-13 10:30  pederb

	* src/: misc/SoNotification.cpp, nodes/SoNode.cpp:
	
	Optimize notification by using a time stamp to stop notifications
	at nodes that have already been notified.

2001-02-12 17:47  mortene

	* src/base/SbViewVolume.cpp:
	
	Miniscule codestyle fix.

2001-02-12 15:09  pederb

	* src/nodekits/: SoBaseKit.cpp, SoInteractionKit.cpp:
	
	Implemented copy functionality for nodekits.

2001-02-12 13:21  larsa

	* configure.in:
	
	Last change will screw up on srcdir builds, so we revert the
	change.

2001-02-12 13:14  larsa

	* configure.in:
	
	Make sure obsolete coin-config script is removed if one is in
	builddir.

2001-02-09 23:03  larsa

	* configure.in:
	
	Corrected (just introduced) $host_os IRIX match problem.

2001-02-09 22:51  larsa

	* configure.in:
	
	Improved check for whether to use CC as linker on IRIX.

2001-02-09 22:47  larsa

	* configure.in, cfg/install-header, src/Makefile.am:
	
	Revert to standard Automake install-header rule, and override
	$INSTALL_HEADER with $auxdir/install-header.  More verbose commands
	during linking and make install/uninstall.

2001-02-09 19:20  pederb

	* src/misc/simage_wrapper.c:
	
	Handle old versions of simage.

2001-02-09 16:35  pederb

	* include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp:
	
	Implemented nodekit export.

2001-02-09 12:23  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Moved private members into a hidden class.

2001-02-09 11:22  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Fixed cache context bug. Cache context id was never set.

2001-02-08 16:14  larsa

	* src/Makefile.am:
	
	Fixed typo causing .lib files to be installed in libdir.

2001-02-08 14:04  pederb

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	
	Moved private members into a hidden class.

2001-02-08 13:35  pederb

	* src/nodes/SoCone.cpp:
	
	Removed debug message.

2001-02-07 22:45  larsa

	* .cvsignore:
	
	Do not ignore coin-config.

2001-02-07 22:45  larsa

	* configure.in, coin-config, coin.cfg.in:
	
	Consider the --enable/disable-static/shared options when building
	Windows libraries with MSVC++.

2001-02-07 22:43  larsa

	* Makefile.am, src/Makefile.am:
	
	Corrections for some dependencies.  Improved Windows library build
	hooking into the Automake-provided Makefile-rule infrastructure. 
	Support for static Windows lib.

2001-02-07 22:02  larsa

	* include/Inventor/SbMatrix.h, src/base/SbMatrix.cpp:
	
	Fix so MS Visual C++ can compile the file too.

2001-02-07 16:38  pederb

	* include/Inventor/SoOffscreenRenderer.h,
	src/misc/SoOffscreenRenderer.cpp:
	
	Added new methods for saving into all export file formats supported
	by simage.

2001-02-07 15:38  pederb

	* src/misc/: simage_wrapper.c, simage_wrapper.h:
	
	Sync with changes in simage.

2001-02-07 14:16  pederb

	* src/: base/SbImage.cpp, misc/Makefile.am, misc/simage_wrapper.c,
	misc/simage_wrapper.h:
	
	Created a simage wrapper which handles run-time and compile-time
	linking transparently.

2001-02-07 14:10  pederb

	* src/misc/GLUWrapper.c:
	
	Added comment about Purify Bad Function Parameter.

2001-02-06 19:25  mortene

	* coindefs.h, data/draggerDefaults/iv2h.sh,
	include/SoWinEnterScope.h, include/SoWinLeaveScope.h,
	include/Inventor/Sb.h, include/Inventor/SbBSPTree.h,
	include/Inventor/SbBasic.h.in, include/Inventor/SbBox.h,
	include/Inventor/SbBox2f.h, include/Inventor/SbBox2s.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
